This version of the Captools/net contains a number bug fixes and enhancements.

1/16/26
1) Modified Valuation Graph to correctly plot "Net Investment" parameter and to better display chart lines that go negative 1/16/26 
2) (Captools Co "wind-down decision made) Grandfathered license enabled for expiration dates after 6/30/2026  1/30/26
3) Machine Id license Keycode dependency removed, to make easier for users to upgrade machines without new keycode 2/9/26
4) CTReport.dll (Legacy code) rebuilt to fix problem where edits to header/footer fields were not being saved.  2/24/26
5) CTReport.dll disabled report setup "group" filter, now operating again. 3/16/26
6) "SameMachine" checking discontinued for "Grandfathered" Licenses.  3/17/26
7) XOP transaction code, used for Assigned options now imports with correct signs from CRSchwab files. 3/26/26
 

1/12/25
1) Some Server Configuration parameters (e.g. On SCPanel/Utilities/Windows Config dialog) now stored in ProgramData/Captools Net/CTScripts/CTSrvCnfg.ini file
rather than in AutoTask.ini file)  
2) Advanced-Adjusted Fees reports now correctly display prior period net deposits in the "Net Deposit" field.  1/14/25
3) "Two-currency" reports enabled at all license levels if multi-currency license activated. 1/23/25
4) WFC and DFC TAC codes now allowed for all multi-currency license users. 2/4/25
5) Generic import code modified to remove code that filled quantity field for money fund "DV+" transactions and converted them to "DRI" 3/12/25
6) Missing prices coloration applied on Positions and Valuations when price downloads fail. 3/13/25
7) Transaction blotter import subroutine "ConsolidateTaxWHCommisAndFees" fixed "hang" for certain SP+ transaction. Subroutine Algo revised to be a bit more efficient. 4/4/25
8) IncludeAccrualsInDistribs setting no longer used in report profit calc algo b/c it is not yet supported in the interface 4/29/25
9) "StartGain" and "StartGain%" values now properly reported (was using "EndGain" figures)
10) RepIntf unit code bug in reading Config file values using uninit file handle fixed.
11) SCPanel/Confirations/Backup setting now checked for possible "Null" (blank) setting value to ensure backups not inadvert disabled 5/15/25
12) Function of some CTSrvCnfg params (see item 53) cleaned up. 5/15
13) Security record price factor (for TIPS & GNMAs) inadvert disabled in prior hotfix now functioning again 6/13/25
14) Code added to try to implement Self-Signed Server Certificate support abandoned on basis that "Self-signed" Certs seem to no longer be supported by most browsers. An alternative method of using a third-party "MKCERT" tool which effectively installs a certificate authority on the server to make a certificate is deemed too complicated and risks being shutdown going forward.  6/16/25
15) Code added to support "Flat-rate Service Fees" based upon account groups.
16) Notices added to SCPanel to instruct users how to create Virtual Machine running Windows 10 to continue support of browser based functions. Longer term plan is to develop form-based client side "Apps" to replace browser based user intefaces (a long-term project).
17) purged "test" Indy SSL code from source code on basis that LT plan is that browser functions will be replaced 6/26/25
18) Report Masterpassword fix (read from Autotask.ini file as in prior versions)  7/7/25
19) Service Fee code correction. 7/7/25
20) Download AuxFile function now works again (reverted code to equiv of 10/04/24, deprecated some "CTWebUtil" functions back to "CTUtils" unit) 7/12/25
21) Reconciliation record import now consolidates same account/symbol records w/o using "AcctId" as a comparison criterion (due AcctId changing when TDAM merged w Schwab)
22) fix in "rpt_PPOperiod" unit to fix double counting of TXW transactions in reports. 7/21/25
23) Valuation "Frozen" field now "checkable" when unchecked, to permit setting particular valuations as "frozen" so they will not be later "purged" during batch valuations. 7/24/25
24) Code for CRSchwabCore interface modified to add a parameter from "Acctg Rule" CRS data column to "BDMemo" variable to enable properly translating TAC codes for Short transactions.Also, the "MKTAC" table is now bypassed if a transaction code is assigned from the TAC translate script table 7/29/25
25) Div Rate Lookup function now always returns absolute value of rate.  8/4/25
26) Error in code change to support 7/7/25 Service Fee request, which disturbed "Total Fee" sum, is now corrected. 9/8/25
27) SrvFix Unit reinstated registering midas.dll upon running fixup functions during SCPanel launch 9/9/25 (may be needed for dlls)
28) CTReport.dll unit now includes code from "MidasLib" in the unit rather than relying on call to external "midas.dll" call, to resolve problem where external calls to midas fail on some machines for clientdataset objects. (this increased DLL size)  9/12/25  (this dll must be compiled on "CTLegacyDev" VM)
29) Rpt_BaseRep code pertaining to SubAcct report fields reverted to 10/25/25 values to resolve report issue for that field  9/15/25
30) fs_PPOcalc code controlling coloring for "missing prices" fixed so imported zero prices not indicated as missing 9/18/25
31) rpt_PPOperiod code corrected to re-instate subtotalling of price field when subtotaled on symbol field.
32) rf_SubAcctSymbol field added for reports at Pro3 level.
33) rpt_PPOperiod code mod to re-instate correct labeling of "Composite Style" field when used as a grouping key.
34) rpt_BaseRep code to load report "user text" from a ".txt" file reenabled. 
35) ReconRec import fix so first recon rec imported contains correct values, and Recon Rec "Dedup records" function re-enable on data sub-menu.  10/22/25
36) Functionality added to SCPanel program to detect whether running on a Hyper-V Virtual Machine and whether Windows Automatic Update is disabled, and if not, to disable it if approved by user. (User can also disable Windows Automatic update via SCPanel Utilities/(more) Advanced/Disable Windows Updates command) 10/26/25
37) "Invite New Users" function on SCPanel is now suppressed (not typically used, made invisible).  11/6/25
38) SCPanel "Email" dialog now preferentially has user specify a third party email app to send emails. (So Captools no longer needs to support changes to email protocols) 
 

1/17/24
1) Report option added to exclude accrued interest & dividends from dividend, interest and profit fields. 1/17/24
2) Period reports where StartDate=EndDate now does not zero startdate values, and now does not force "*Q" periodicity.
3) Fix to double count of "Tax Withheld" in reporting for securities coded with TXW and non-cash symbol.  1/22/24
4) Taxwithheld amount excluded from unrealized gains figure.
5) Aux Xrate for period reports now is same as End date Xrate for multicurrency securities (rather than an runtime lookup)
6) Hint/Notes added to SCPanel Config dialog and Report Run Screen that IIS must be restarted after change to report base paths
7) Custodian import scripting & code modifications to prevent overwriting of valid Cusip numbers with invalid data.
8) Fix to custodian import bug only affecting "hotfix" releases between 1/16-2/16/24 which may have suppressed "cash" import transactions
for which the data feed did not provide a symbol.
9) Deactivated calls to SetFolderPerms.vbs script in Captools due to script erroring in Windows, and folder permissions set in CTNetSetup in any case.
10) Account record "ClientId" field now only allows selection of ClientId from drop/down, but not entry of a ClientID not already in Client Records
(otherwise entry of a new ClientId results in creation of a clientId record)
11) Account/Client Record import for CRSchwab coded to try to prevent creating new client record when client record exists under old TDAM clientId.
12) Report field rf_AuxXrate lookup function error fix.
13) Fund Accounting fieldl "PFA_Date" restored as a "unique key" field in PFAview.pas to fix issue with inserting new record in the PFA table.
14) CRSchwabCore.idi changes: ($JNL of cash now translated as "DPF" (credit) and "WDF" (debit). Reconciliation import of Cash now adds unsettled cash (rather than subtract it). 
15) Computed "Net Gain" field added to account record view on Captools Desktop program.  4/12
16) Fix to import bug in recent Hotfix which prevented import of new security records.  4/17
17) Report code changes so DLV & RCV transactions with Symbol=(CASH) produce correct and consistent ROI and Period Profit for both 
Portfolio & Roi by Security reports. (note: Some CRSchwabCore imports now use "DLV" and "RCV" with "(CASH)" symbol in lieu of WDF & DPF)  4/18
18) RepIntf index error in email code fixed.
19) Algorithm change for funds included in account "Available Cash" field. Previously this included "(CASH)" foreign currency, and any money mkt funds. 
Now users may limit which symbols (other than (CASH) and foreign currency) that are included in this computation by specifying those symbols
in the program preferences or in the account records via a "CashEquivSymbols" field. This is to accomodate users who hold money funds that
may have liquidation limitations.
20) Reporting Algorithm to handling TaxWithheld amounts now generates consistent profit figure for "by security" and "by portfolio" reports. 5/4
21) Limits for number of security records supported based on license level increased at most levels 5/23  
22) "Ok" button on Server Control Panel "Restore Backup" dialog now labeled "Restore DB" to make clear this initiates restore of selected backup
23) ROI calc fix for bug introd in hotfix about 4 weeks prior, affecting ROI by Security for (CASH). Now runs consistent with earlier versions 6/4 
24) Rotated reports (e.g. Portfolio ROI reports) column spacing algorithm adjusted to support more columns while hiding leftmost columns if all 
specified colums do not fit on a page. (note: if a font size (e.g. Arial "10") may slightly truncate last figure in a number field, we suggest 
reducing the font size by one size e.g. to "9" or trying another font type e.g. Calibri)
25) CSV report function restored (again) and "Two Currency" report functions restored. 6/20
26) Report Symbol Filters can now be loaded from filenamed "symbolfilter.txt" in user's custom report folder.
27) Correction to "WaitFactor" computation for Backup function in CTTasker (was causing backup failure for some large DB's) 7/1/24
28) Period reports again display Market Price at subtotal level when the grouped by security.
29) Security realized gains in period performance reports now properly does not adjust for taxwithheld amount in period.
30) Correction to Mgmt Fee computation for "Uniform Periods" with non-blank days/year field. 7/11
51) Added fix to #49 to de-couple taxwithheld from Realized and Unrealized gains in reports. 7/12/24
32) Tweak to intraday pricing algo to deal occasional delays of up to several days in download availability of mutual fund prices. Prior day's prices
are now carried forward but marked as "stale".  
33) Report function "FillGenericRptDataSet" now passes "UseDates" variable instead of "UseEndDate" so that reports needing "UseTwoDates" don't omit 
closed positions unless that is separately specified. 7/25/24
34) Accruals upon purchase/sale of Fixed Income securities restored to Dividend/Interest report field consistent with 10/30/23 release.
35) 7/25/24 Fix of "FillGenericRptDataSet" reverted to "UseEndDate". Instead Symbol filter handling code in two locations now made consistent solving the orig issue. 7/29/24
36) Reporting computation correction for net additions/profit when a "DLV/RCV" transaction code is used with with "(CASH)" symbol.  8/15/24
37) Position Record MktPrice field now properly retains "0" value when manually filled or designated "zero value". 9/16/24
38) Possible double counting of number of records in DB during import was corrected.
39) Code implemented which launches webpages (e.g. Yahoo) containing info on double clicking Symbol or Mkt Price field on Batch Position view. 9/19
40) Captools Desktop program web Ticker "lookup" functions revisions to support specifying alternative websites when double-clicking or right clicking on a symbol. 
Preferred website can now be specified in the Desktop program "Preferences"
41) "PriceChanged" flag reset in PFXcalcs supressed to ensure Price History records get updated when a position record is manually priced (TPVLrec.SumPVLrecFromPPOrecs CTTasker function)
42) SCPanel now again resumes registering Midas.dll because it is still required for the DLL programs even tho the EXE programs now use the Midas Library  10/1
43) Fix to bug in Report Advance Fee report computations, again compute advance fees.  10/2/24
44) Tweak to Custodian import code to deal with way Schwab handles splits by using a reversal transaction with a "Temp" symbol. 10/8
45) "Saved" emails now include the "To" field information.
46) Mgmt Fee Report Subtotal fix with uniform periods selected
47) Schwab Core import RCV/DLV transactions with "blank" Symbols are now assigned "(CASH)" as symbol.
48) "About" dialogs on both SCPanel and CTNet Desktop programs cleaned up to better show Windows version info.
49) CRSchwab import tweak to resolve account record import failure for second client account 11/12/24
50) Income/Yr and Income Rate fields added to Position by Lot Report.
51) Fund Account Record import made functional (including addl fields added to Fund Acct Record).  11/29/24
52) TWrkRec function (io_DatOps) refinements to support Lookup fields

10/28/2023
1) Cross-reference report generate bug in 10/25/23 release fixed.  10/30/2023
2) Run Report "Send Email Later" checkbox greyed out (disabled) for Cross-ref reports, since such reports should not be emailed to clients b/c they could 
include non-related accts.
3) Report UserText and Header and Footer text fields now support specifying text files from which to load text content. These files must be located in
\Program Data\Captools Net\CTReport subfolder.  The text file name (w/o path) is specified in the text box. (Future updates may limit amount of text which 
may be directly entered into UserText and Header/Footer text fields because the report RTM files may get corrupted massive text.
4) Report CSV output now operating again 11/1 
5) BM Index description lookup in report UserText region reverted code used in June 2021 release.
6) Backup function pause after issuing windows command to stop SQL Service increased to prevent DB backup failure on some systems.
7) SchwabCore import script fix so Security "type" field is not overwritten upon import.
8) "Strict VarStrings" checking on compile now enforced for all code units (this forces string types passed to functions match the type used in the functions) 
9) "BreakList" used in reporting units changed from "TObjectList" to "TCTStrObjList" so that the attached object can be more quickly accessed.
10) Download "ValidateScript" function now should exit download if script is invalid to avoid hanging CTTasker.
11) Report Pie chart custom coloring of pie segments resumes functionality (disabled since a prior hotfix).
12) "MAT" transaction code added to differentiate bond maturity from a sell at market.
13) "RCV" and "DLV" TAC codes for "(CASH)" symbol now computed identical to DPF and RCV, respectively for "Removals" and "Additions".
14) Re-Compute of transaction "Aux Amount" field for "BUY" transactions modified to require that "Amount" field not be zero. 
15) Report Pie/Bar charts "Legend/Description" option again shows Description instead of symbol
16) Report periodicity date selection now bypasses periods whose start date is prior to first portfolio transaction. 
17) "%ClientName%" token reinstated as an available Report filename element (Client FirstName+LastName used).
18) Batch Position "unit cost" fix for holdings with price factors <> "1"  (unit cost is now same magnitude as price/unit)
19) Computations involving "Pool Factors" (e.g. GNMA type securities) revised to update position record "PoolFactor" field and use that in subsequent recalcs.
20) Rpt Email bug when GlobRepSendToList empty is fixed.


10/13/23
1) Reverts report code to restore optional obscuring of personal info in reports names/headers/footers. 
2) Save under Merge Folder option in reporting restored.
3) SchwabCore import script now imports price factors for securities like options into Security records.
4) Code modified to support imports of Recon Records where Recon Price field is not used in import, so as to avoid incorrect recon pricing from being computed.
5) Chart labeling for bar charts made consistent with pie charts.  10/25
6) Report Code dealing with placeholder tokens consolidated and simplified 
7) Report code fixes so that checking "Save on Server in Final Format" does not disrupt the simultaneous emailing encryption of attached reports and/or
cause duplicate copies of reports attached.
8) SchwabCore import script now turns on "TaxWHCommission" consolidation switch to combine separate Schwab Div & TXW transactions into a single transaction 
9) Bug in prior update causing report footer changes to not save resolved.
10) Subtotals added to costfields on Reconciliation records (untested until import source provides cost data) 

9/13/23
1) Certain account/client reporting fields not populated in recent updates now properly populate. 
2) CRSchwabCore script for reconciliation imports now reduces "(CASH)" by amount of value of short positions in account.
3) Modifications to label descriptors in various locations changing "automatic" to "scheduled".
4) Transfer from Transaction blotter function now pre-selects accounts as it did prior to the 8/24/23 update.
5) Client info report (& some others) restores Client Email and some other reporting fields inadvertantly disabled in prior 8/24 update
6) Security List import now "protects" Security Statistics record "TTM DivInt Rate" field from overwrite if security payment rate was manually entered in Security Fixed record.
7) CRSSchwab Core script now only imports payment rate if security is identified as type "DEBT".
8) Model Allocation chart label behavior consistent with portfolio chart labels, Label override option deactivated.  9/21/23
9) Backup Purge function now deletes backup folders which do not contain a database folder (from failed backups).
10) CRSchwabCore.idi changes translate DV+ transactions with "DEBIT" notation to "DV-"  9/22/23
11) Import field "protection" for Security Computed records fixed. (FieldId# for SLC_ProgCtrlBits corrected from 81 to 79). 9/27/23
12) CRSchwabCore.idi update to Recon record section to import only quantity & values, not price field due to price factor issues. 9/28/23
13) Code changes for string variable typing for fixed length strings, from notation such as "Str20" to "Str20x" and moving from unit fs_types to CTTypes,
with some strings passed as "Var" function params typed as "String" rather than fixed length strings. Should not affect operations. 9/29
14) Fix to "compute" function on Security record to automatically clear "protect field" bit so computations override manual entries for div rates.
15) Freezing records now excludes some non-portfolio records (e.g. client, account and security records..).  10/4
16) Fix to model allocation chart bug which caused it to not generate in some instances. Also fix to chart description labeling in
cases where a Type, Group or Class, etc identifier is the same as a stock ticker. 10/5

9/12/2023
1) Report chart Label Override control functions disabled to resolve chart edit loading issues for some rpts.
2) Temp variable ReportOutPutFileName in RepIntf unit no longer used for log output due to possible mem issues.
3) Update "1899" year issue when no update is posted, is now suppressed.
4) "backups" no longer referred to as "automatic backups", but rather "manual" or "scheduled".
5) Custodian interface code now supports "REMOVE=" scripting to remove extraneous custodian text from text imported for descriptive fields like account titles.
6) Report generation "stall" in 8/24 release for some reports resolved.
7) Several "record" fields used in report functions have "buffer" sizes tweeked in consideration that compiler option specifies 8-byte boundary base for record variable fields.
(this should resolve RTM loading/saving issues that occured in some cases)
8) some report emailing issues observed in prior update should be resolved.

7/5/2023
1) More repairs to CTReport.dll to fix/improve report edit functionality for Header/Footer, Title/Subtitle and UserText areas, to reduce or eliminate out of list range errors.
Some existing reports "may" need to be re-built.
2) Report emailing inadvertantly disabled, now enabled. (a data field SRA_EmailFaxRepStatus had been renamed to remove "fax", now reverted)  7/10
3) Option which truncate/obscure of Accounts # and other private info in reports, reverted to prior method, but with option to limit to digits only.
4) Report graphs "Override" of description label now disabled to simplify interface. Users should be able to use primary selection control to obtain result desired. 
5) Position pricing function code modified to not excluded data manually entered into price records in time zones a day ahead of NYSE zone. 7/18
6) Functions calling several "general" DB tables modified so only one instance of field name is stored in code so as to avoid inconsistent variations of such name.
7) Update process from SCPanel now renames prior CTNetupdate.zip file with date tag so not overwritten when new update downloaded 
8) Deprecated use of "fbit_SLF_IsCTnet" flag due to not needed and also removes error in how it was also applyed to "ProgCtrlBits" field (was clearing SLF_ProgCtrlBits).
9) Fix to double report attachment in #2 above, verify password protection working.
10) CTReport.dll Interface record types in RepTypes Buffer size decremented for new fields based on minimum field size being "quad word" (8bytes).
11) SchwabCore import now assigns "(CASH)" symbol to IN- transactions if symbol is blank.
12) Scheduled Task hang up due to "No Batch" value checked for an account is now resolved, with that account skipped and batch proceeding.
13) SecList Record "Payment Rate" now is not overridden by computed value if is has been previously manually entered.
14) SchwabCore Description import now does not overwrite manually edited security record description.
15) Income (rates/yield) reporting fix for securities using manual security record rate method. 
16) Batch Valuation "Purge Valuation" button temporarily hidden b/c function not yet implemented.

5/31/2023
1) Repair of CTReport.dll to restore Header/Footer edit functionality.
2) CTTasker further mods to align Additions/Removals computations with June 2021 release (see 5/8 below).
3) Position record "future price" function now does not classify current date as "future" so current prices can be imported.
4) Client Info report inactive fields activated 6/7
5) Code in rpt_PPOperiod unit concerning Tax Withheld (TXW) reporting treatment reverted to June 2021 code.
6) Code in rpt_PPOperiod unit concerning External fees (e.g. MFD code) modified to include in "Removals" as well as "Fees&Expenses" category so no effect on Net Additions.

5/8/2023
1) Truncation of Report sub-total and grand-total fields in DXE4 is now fixed
2) Reporting of "Additions" and "Removals" reverted to match 6/2021 and earlier releases
3) Downloading of option prices for intraday pricing now more reliable.
4) Report Header edit bug (out of bounds error) resolved (RPHFEdit.js fix)

3/1/2023
1) Current date option pricing from Yahoo supported. Security record must specify option type and LongSymbol field must match Yahoo symbol for the option.
2) Vanguard import interface updates 3/3
3) Yahoo price downloads activated for Windows 11 (a Window update apparently reinstated WinInet function, but we had disabled it for testing WinHttp. 
Our support for WinInet is now reinstated).
4) Sign for imports of quantity field for SchwabCore interface corrected for SLL transactions.
5) Missing Transaction prices pulled from Recon Records when dates match. 
6) BaseRepD7 and Unit_ArchiveStream units compile directives revised to omit DLL compilation of functions not needed in DLL programs.
7) Artifacts in description of consolidated reinvestment transaction removed.
8) Report subtotals for additions, removals and net additions now include only external additions/removals at account level or higher.
9) Pie/Bar Chart Labling with descriptions (not just symbols) reinstated for category groups. Users must specify their labels in Securty Types records for each category.
10) Additional tweaks to additions/removals algorithm to deal with "from inception" case with a "StartROIdate" specified.
11) Client/AcctInfo report now reports valuation and other figures based upon Rpt EndDate rather than most recent date.
12) CTReport.dll fix of bug that prevented font changes for report headers and footers. 
13) The BaseRepD7 code unit name was changed back to BaseRepDM to facilitate comparison with older versions of same


2/8/2023
1) Import of TAC string now accomodates "-" or "+" prefix to raw imported TAC code.
2) Indy source code from Delphi 10.3 substituted for Indy code from Delphi XE4 to support TLS1.2+ & STARTTLS (tested with outlook.com)
3) Captools/net Desktop now self refreshes an edited field when in dialog entry mode.
4) Distribution generation function now supports "RNT" Tac code when Income Type is set to "Rent" and Distribution type is "UseSecId Rate"
5) Distribution generation function now supports receipt of amortizing payments on a mortgage type loan when Income type is "Amortizing Debt", 
6) New TAC code "RIP" (Receipt of Interest/Principal) added to indicate receipt of payment on amortizing loans. The "Amount" field indicates the
Amount received, the "Interest/Accrued" field indicates the interest component, and the Aux Amount field indicates the principal component of the payment.
7) New report "Near Future Cash Flow Event Schedule" added (Pro3+)
8) Use of Delphi "IncMonth" procedure replaced by "NextMonthDate" procedure to resolve diff days in month problem. (Also fs_fins date functions moved to CTUtils.)
9) Reports with no groups assigned now generate. 
10) Test for missing backup folder now considers any path length <=3 as a missing backup so root folder not used.
11) Bond accrual calc now provides option (via checckbox in security record) to use "Buy" date as base date in lieu of issue date.
12) Report units handling of "RptSetup" function made uniform (should avoid stranded memory blocks).
13) MidasLib added to "Uses" clause of Exe builds to remove need to distribute updated Midas.dlls.
14) Use of "Grid Navigators" embedded in DXE4 release disabled and in "new", "delete", and "save" buttons re-implemented b/c difficulty in
making the navigator work in multi-level application, i.e. w/o direct connection to DB.
15) Fund Accounting: "Fund Acct Name" lookup field added to Fund Transaction Record, to provide clarity as to whose fund account manual edits are being made.
16) Fund Accounting: Phone, Email, SkypeId and Address lookup fields, linked to client record, added to Fund Account Record. (CTDataMod and CTSrvRdm changes where made to support this).  
17) Default Data download script path switched to \Program Data\Captools Net\CTScript folder from "Program Files (x86)\..."
18) Assignment of value to SLF_Description field from PTR_Description field now truncates string if needed.
19) Captools/Win conversion function (accessible 32-bit only) no longer limits acct records based upon Program Level. 
20) Transaction edit now pre-fills "Transaction currency" field based upon ticker symbol lookup when it determines the symbol is a foreign currency/security.
21) Code supporting download of stock fundamental data disabled due to lack of easily downloadable sources.
22) Code supporting download of Yahoo distrib. data tweaked to accomodate a Yahoo webpage change that had disabled distrib downloads.
23) Code supporting import of SchwabCore Data added.
24) Aux Amount no longer greyed for LCO and SCO TAC codes, to support user entry in that field per documentation.
25) Security record "Special" field now has "Cash Div MMF" option to specify that Captools will not assume a money fund reinvests dividends. 
26) "Fee Factor" functionality cutoff lowered from Pro3 to Pro2
27) "Where Held" function now has option to also show accounts that don't hold the specified Securities.
28) Transaction table view now has "Realized Gains" field, computed for closing transactions as "Amount" less "Aux Amount".
29) Conversion script TDAtoCRSAcctNumChgSymbChg.idi added with supporting code.
30) Some Pro2 fee features enabled for Pro1 (e.g. fee exclusion value, fee discount)
31) "Notice" feature added to Server Control Panel to facilitate providing special instructions like conversion of TDA to Schwab

3/18/2022
1) Yahoo option symbol (put/call) pricing implemented (non-scripted, uses embedded code for now, supports periodic intraday quotes, however the intraday option
pricing seemed suspect to us, so only end of day option quotes will be downloaded until further notice)
2) Report email placeholder %ClientName% which used Salutation field as data source now uses First+Last name if salutation is blank.
3) Intraday pricing no longer shown with negative stale days on position view.
4) Reporting functionality fixes for Delphi XE4 release of software. 
5) ROI Matrix reporting tweaks to deal with some fields appearing blank which should hold values.
6) Recon table now activated for PWM users.
7) Account Table Latest ValueDate now allowed to be ahead of current date up to current months end, so as to support advanced data entry.
8) Fixes to javascript bug in RPHFEdit.js (report header/footer edit browser page) and associated .pas unit code (fixes index error due to page name text error)
9) Transactions coded with TXW (tax withheld) along with a specific security symbol, in reports now attributes that amount to the symbol instead of cash.
10) Report PDF email attachments now encrypt with the DXE4 compiler.
11) Dividend/Int rate reporting algo adjusted to reduce TTM "slop days" to zero for month end reporting.
12) HighWater fee calc modified to adjust up prior highwater point with fees charged in that period unless "Gross HighWater specified (pro4 functionality)
13) Emailer function now supports debug progress statements.
14) Pie and bar charts can now limit items shown based on item count rather than minimum percent. All items not making cutoff fall into "Other" category.
15) ROI by Security xref reports grouped by symbol and detail hidden now can display Index ROI subtotal

12/10/21
1) "Sleep" calls in SCPanel related function shortened by approx 2x to achieve faster execution of various SCPanel config functions. (ServMain and CTSrvUtils)
2) SCPanel "fixup" routines on launch and closing DB config. dialog, now only do fixups since data last done based upon fixup date in DB. Much faster!
3) Report outputs for emails now tagged with time stamp (not just date stamp) to ensure output pdfs are differentiated even if no client ident info included.

11/30/2021
1) CTTasker Log and Job Log output tweaks to ensure date & not just hours/mins shown.  Log filenames changed for clarity to "JobStatusLog" (sched. tasks status) and "JobRuntimeLog" (all other thread messages). 
2) SCPanel status bar cosmetic tweaks
3) SCPanel Configuration dialog wider, Restore dialog gives more info on backup contents status
4) Rpt Fields rf_AltAvgCapital,rf_AltProfitVsAvgCap,rf_AltProfitPctVsAvgCap activated for "Two Currency" Performance reports
5) "SetBit" procedure renamed to "SetABit" to avoid possible conflict with other code using same name.
6) Variable "Emailoutputbits" used to designate report output handling changed in code from "integer" to "word" to ensure it cant have a neg. value.
7) Level 4 report option added to include TXW transaction amount in "Fees & Exp" field.
8) Report Emailing functionality re-programmed to no longer rely upon Gnostice component to perform emails. TLS 1.1 & 1.2 supported
9) Scheduled reporting corrects 9/2 release fail.
10) CSV reports corrects 9/2 release fail.
11) Html reports corrects 9/2 release graphics fail
12) Client Record fields for OneDrive and AltDrive client identifiers now check for duplicate entries upon edit and prompt for user action. 
13) Report Save Path dialog now can access to Program Data subfolders
14) Report rendering of numerical fields fix so does not generate exception on Null value.
15) Code added to ensure Security Description field import (and other text flds) truncated to not exceed DB field size minus 1 byte.
16) Removed "New Report Set" scheme for creating new reports sets. To create new reportsets user should run an existing report, then
use "Manage Report Sets" to make that "Recently Run Report" a "Permanent" Report Set that can be further edited and configured. 
Screen "hints" provided to re-direct to this approach.
17) Report email "subject" implements User Custom Text".  Report custom path element now saves and implements at runtime.  12/03

9/02/2021
1) Compiled on Delphi XE4. This version of compiler has modifications to underlying code to support 64-bit applications.
   This Captools/net build is still in the 32-bit mode, but later releases will support 64-bit at some licence levels.
   Various code modifications were made to accommodate the move from XE0 to XE4.
2) Desktop and SCPanel cosmetic appearance tweaks.
3) Desktop program "update" option prompts for user to restart in "admin" mode.
4) Service "Status" message on Server Control Panel now shows "Stopping" or "Starting" in case hung up.
5) Portfolio Performance report Benchmark labels now can wrap to accommodate long Benchmark descriptions.
6) Some browser based function pages includes debug code only used by developer.


7/28
1) Period Gain% calc on Valuation screen restored.
2) Realized Gains report option to label lot open date field subtotals as "various" now works.
3) Captoolsnet Desktop program now self-registers in the \Software\Microsoft\Windows\CurrentVersion\AppPaths registry node. 
4) Now use "zero" dcml format to decrease column width for Intraday value columns on Acct, Value & Position records.
5) RepIntf units changes to support Report Set functionality for Fund Accounting reports.
6) Report Set function fixes so parameters that were not being "remembered" run to run are now retained/reloaded each run and
run as intended when scheduled.
7) A "TCTBaseDbgPageModule" class created to support a debug log on some reporting HTML pages. This is intended only for developers 
and is hidden to users.
8) The minimum quantity for reporting was increased from 0.0001 to "0.000001" so that share quantities to 1/1000000 could be accurately
reported (Note: this is to support some asset classes, e.g. bitcoin, Robinhood frac share, etc. with very small fractional quantities.
More work to support this will be implented later for the user interface which will require an added security record field).   

6/7/21
1) Fix to Holdings Rpt Model% field calc for merged account reporting (bug intro'd in 1/26 release)
2) "Morningstar" export option for licensee 22983
3) Private Equity reporting fixups.
4) Browser options modified to set path for Internet Explorer option in "custom" field, due to it being deprecated. 
5) "Model%" report calc algo modified to replace a "currency" type intermediate variable with "float" type to fix truncation error in computing model allocation percents. "Percent" algo encapselated into single function to avoid for other percentage calculations.
6) Generic Export (template export) fix (DB connection error issue)
7) Cosmetic modification to Generic Import/Export Html files (pushes "error 500 msg off bottom of screen).
8) Tweaks to report grouping labels to put underscores in lieu of blanks.
9) By Security Performance and profit reports handling ofr DLV & RCV transactions in computing Unrealized and Realized gains no longer
make cost or value adjustments from those transactions.
10) CTNet Desktop Report drop-down menu simplified.
11) Adding or editing a security record symbol now automatically sets the record as "Active".
12) CTNet Desktop Import menu re-ordered to place "Other" to last list item.
13) "GetRelevantSLFrec" function now "nil" local SLFrec before use.
14) Benchmark performance metrics (i.e. BM ROI, alpha, beta, etc) for subtotals/grand totals were weighted by report end date value%,
now are by default weighted by report period "Avg Value%" in order to properly include BMs for closed out holdings.  End date value
weighting can be optionally selected via options panel.
15) RpMainPg unit now has "error messaging" to trap occasional error generated by "Recently Run" report DB table. These notify the 
user to clear recently run reports to clear the error & hopefully identify the location of the error in code.
16) Fund Acctg Rptg bug which may have interferred with report completion for some Rpt types (had to do w repurposing fax fields)
17) Intraday pricing algo in Fsvops unit now does not clear position records before re-pricing. Also Intraday algo no longer explicitly add current day transactions to position records b/c these are computed as by valuation update routine (avoids double counting).
18) CTnet Desktop Position view default field order mods supporting intra-day pricing fields.
19) CTnet Desktop functions controlling default on-screen field ordering revised to simplify and improve control of ordering.
20) Mgmt Fee special option added to increment Start Date by one day as displayed on report.
21) Intraday valuation and position record updating algo improvements,and moved out of FsvOps to IntraDayOps unit.
22) CTNet Desktop Account Edit dialog error on close of dialog fixed (return value left unassigned when close prompt removed..since b4 2017).
23) "PVL_ValuationOnly" field renamed to "PVL_Intraday" consistent with usage
24) Captoolsnet.exe CTUtils mods to deal with new Win10 version with renamed/relocated "Edge" browser.
25) RGains report algo fix to cost basis calc for multi-currency transactions (use open exchange rate instead of close x-rate)
26) Fix of some Header/Footer rendering bugs intro'd in since 3/30
27) Annual Income and Yield fields added to Batch Position record display
28) Server Control Panel now includes "to Archived" and "from Archived" on Extract / Import Accounts Utility caption
29) On Loading Server Control Panel now bypasses testing of WU folder which sometimes gave false results & also non-critical function.
30) Report Set configuration page now retains "all" settings when click "save" button.

1/27/21
1) RepSet Edit "User Rep Filter Button" click on when list is empty now does not error out..
2) "Close" button removed from progress log browser screen and replaced with "Back / Close" dual purpose button.
3) Generic import now uses filename prefix for symbol for price/div history imports if no symbol field source is specified.  12/6
4) "By Security" reports again force G/T and Acct Value% to 100% to resolve systematic rounding which can cause deviation from 100%  12/8
5) Fix to item #30 in 12/1 release to reverse signs in reports on Sell/Buy transactions. 12/8
6) MStar export interface exposed for one client (otherwise is deprecated).
7) Report email functionality restored (inadvert disabled in 12/1 update)
8) Merged reports better deals with blank merge critera fields.
9) Security Descriptions in position views have full length restored. 
10) Security Type/Category primary key field now accepts lower case input.
11) Empty or almost empty compressed files skipped on import to prevent unzipping hangup..
12) Report output options to html & excel restored.
13) Report Sched Table field name changes fixed (12/1/20 fixup did not work)

12/01/2020
1) Lastname, FirstName no longer required fields for client records ("ClientId" must be unique however).
2) Dialog for "Request Assistance" utility modified to emphasize that user should verify with whom they are connecting for support by initiating the call to Captools Co. or by using caller Id before connecting.
3) Batch Valuation using "Quarterly to Current Date" option now proceeds to most recent quarter end.
4) Batch Valuation "Delete" after New Valuation or Recalc now does not crash.
5) Unused Fee Rate fields now hidden: (AFR_NonMergedFeeRates,AFR_IncentFeeMethod)
6) Statistics record yield calc fix correcting error in computed annual frequency based prior 365 days dividends for some situations.
7) Incentive Fee report now has "special option" "MgmtFee Timing Adj Incent Profit Calc" allow for shift in timing of Mgmt Fee relative to the incentive fee period.
8) "SyncFinishJobServer" replaced "FinishJobService" for BatchValuation & Batch Recon tasks to reduce risk of time-out with many accounts.
9) Browser resolution fixes to avoid opening File Explorer in lieu of browser.
10) Report "Merge By" list now includes "User Def3-5" as merge criteria for Pro3/higher versions.
11) Program icons now display "Mtn/Moon" logo in lieu of text. Color scheme retained (CTNet Desktop yellow, Server Control Panel Green).
12) Inactive Client & Account records now displayed with grey background to better identify their status.
13) TcalcRecs unit now sets callback function for FsvOps object in its "create" function when Intraday quote D/L activated 
14) Quote download functions now screen for "bad" symbols and truncate log messages displaying webpage body to minimize memory consumption & leaks. This
with fix #13 resolve scheduled autotask failure to run.
15) Manage Report Set button bug introd around 3/20 fixed so that report set screen again opens.
16) "Scheduled Tasks" activated for Pro1 level for custodian imports and batch valuations.
17) Symbols filters options activated for "Two Currency" reports.  
18) EndAccruals & AltEndAccruals fields added to "Two Currency" reports
19) Report Sets Editing fixups and improvements.
20) Scheduled "local" machine Captools backups now cannot be disabled, but can be set to be as infrequent as quarterly (this is due to observed
unreliability of some third party cloud backups).
21) Transaction code "RCD" added for "ReCallable Distribution" for Level4 (private equity transactions).
22) "Ping Interval" parameter on Captoolsnet Desktop program can now be reduced to "0", equivalent to 30 seconds.
23) Logging bug intro'd several months ago fixed so that "Tasker" and "Job" log info is again separate rather than being combined in Job Log.
24) Dialog background colors now light blue or beige rather than white or grey. Program icons now use "Mountain/moon" theme.
25) Transaction blotter functions made available to PWM level users to support rollback and imports.
26) Prelim work on facilitating "Cloud Drive" report output. Some Fax fields repurposed for this.
27) "GetLatestPPOrecsPriorToDate" function now initialized to Start at First record in set rather than last. This resolves bug in Merge Accounts function and COL record reconciliation (now set to "First" in those functions for good measure).
28) Modification to Sigma Calc normalization (monthly rather than annual) so it can handle sharper drops and rises.
29) Some "Custom" interfaces (Junxure/ProTracker/Morningstar) deprecated.
30) Transaction History report: notation "-Amt=BYD,SLW,etc" in report "Misc Custom Specs" option reverses amount signs.
31) SCPanel now shows most recdnt Local & External backup dates (also corrects External Backup display error).
32) Accruals now computed into Net Amount during generic imports

7/2/20  (6/25/20)
1) Fix to Avg Capital balance calc in 5/20 release.
2) CTNet Desktop field selection dialog fixups to remove duplicate instances of fields.  
3) "Investment Gain" and "Investment Gain%" by holding added to Position records.  Because of movements from/to cash these may not sum to values equal to total portfolio investment gain.   5/27 update (CTTasker only)
4) Default Browser code now points correctly to "Current User" subnode in registry to obtain correct "Default Browser".  If default browser not found the fallbacks are first MS-Edge, and next MS-IE.  Valid default browsers can be MS-Edge, MS-Internet Explorer, Chrome, Firefox or Opera browsers.  Other browsers can be used but must be specified as a "customer browser" with path to browser executable.
5) Report lookup of Category description fix recent revision to force it to use to prior lookup function if new function returns blank.
6) Client records can now again be deleted (fixed error in reorged data extraction code)
7) UpdatePFforPerturbedPTRRecs function again also recomputes share and cash balances. (was omitted as redundant for speed) but is needed support generic imports of transactions.
8) Code added to "MoveWrkRecsToPTRrecs" function to check that there is a corresponding Account record for any imported record, otherwise that record is skipped.  This is to ensure that no "orphan" transactions get into the database.  Users should add account numbers before importing directly to portfolio transactions.
9) Max "Wait Time" before "Time-out" for batch operations is now proportional to number of accounts.
10) "Hide Unused Interfaces" option (default=true) implemented on Custodian import interface.  Also, on the AutoImport interface only scripts assigned paths are shown.
11) Fix to BatchTools Distrib Gen Utility (fixed params passed from AuSub to CTTasker) 7/2/20
12) Custodian import function added to support importing security records using the ISecID field as an alternate Key field.  7/2/20

5/23/20
1) Intraday quote tweaks to fix bug re. same day transaction and to blank Intraday gain if current day prices are not yet fetched.
2) Batch Position "Where Held" function dialog height correction.
3) "Tools" Account Transfer function has added checkbox "Step Up Cost Base". If checked, RCV Aux Amount is filled with value as of transaction date, else Aux Amount is aggregate cost carried from source account records.
4) Fixed bug intro'd 01/08 which errored our Portfolio Perf reports on "rf_hide" field if category grouping used in report (unusual for this rpt).
5) F/C Dividend rate computation correction for case where dividends have asymetrical payment dates..
6) Reworked the labeling and algorithms for reports fields "End Gain" and "End Exchange Gain" vs "Prd Gain" and "Prd Exchange Gain" for multi-currency holdings.
7) Fixed bug in CTServer intro'd in 3/23 update that prevented transaction "Calc" functions like "Est. Taxes"
8) CTNet Desktop login "Server" address field lengthened to accomodate longer ServerName addresses 
9) Batch Operation function calls now all done via CTTasker program rather than direct call from IIS (run logs still shown in browser) This has been done for better program organization and possibly better threading support.
10) Intra-day generated valuations now propulate "Net Investment" and "Cumulative Additions/removal" fields.
11) Desktop column headers prefs dialog now displays DB field name in dialog caption. Also if custom field header is "blanked" the header reverts to default value.
12) "Statistics" view "Mkt Cap" is now only updated from Mkt Price when Shares Outstanding > 0.  Also "ROC rate" is only updated if orig rate is changes (to avoid zeroing out)
13) Downloaded price quotes that return "blank" results now stored as blanks (nulls) in lieu of "0"
14) Level-4 report feature to "collapse" categories single lines now works as intended.
15) Browser function "Log-in" screen for non-I.E. browser is now bypassed once a valid login is entered and checked to "remember".
16) Single digit negative quantity now properly displays in reports as non-zero. (bug fixed in RemoveNumericAdornment function, redundant neg sign, affected rpt display not computations).
17) Compute command on trans Symbol field sets "Trans Currency" field value from security table (requires multi-currency functionality)
18) Source file \CTimpexp\CTExtract.pas renamed CTExtractpg.pas b/c it name conflicted with file in another directory, performing a different function.

3/23/20
1) CTDesktop Update function now displays popup message to re-try running "as admin" (prior hint messages were not displaying).
2) Realized Gains report now uses proper sign for AFS transaction code.
3) Generic import of transactions now properly computes trade price and local amount if those fields not active in import template.
4) Report generation date in report footer/header restored (was blank w/o a format specified)
5) Tweak to recent Intraday value code change in 2/25 release to ensure Intraday Value computed for "all-mutual fund" accounts 
6) A Report Field combining period Dividends, Interest & Accruals added at Pro4 Level.
7) A Report field was added to report the market price denomiated in the portfolio base currency for multicurrency accounts.
8) The base cost of a bond excluding the accrued interest paid upon purchase is now automatically filled into the "Aux. Amt" filled of the purchase transaction.
9) Accrued Interest computed using the "Calc" function now extends to the Net Amount field w/o generating a posting error.
10) Fixup to SCPanel IIS Stop routines to resolve IIS/W3SVC service being in "starting" mode.  
11) Three report fields involving Avg Cost Basis added to Portfolio Perf. reports at Pro-4 level.
12) Several "hidden fields" added to the rotated reports in prior update, now removed b/c not needed and affecting column positions.
13) Intraday quote pricing function tweaked.
14) "Upload File to CaptoolsCo" function suppressed (due to support server move).

2/25/20
1) SCPanel fix to screen "Hint" function to avoid error msg pop up occuring for some users.
2) SCPanel "Current date" now taken from embedded build date rather than file date, so as to allow update for users who have SCPanel "hotfixes".
3) RPMain code for toggling visibility of "Save Panel" reverted to 6/24/19 version to deal with error occuring for some users.
4) Correction to recent new code in incentive profit calc.

2/21/20
1) Mod to Generic Import to better support option pricing import with long symbols.
2) Transaction report now has option for TAC description in group header if TAC field used as grouping field.
3) Batch valuation close query no longer generates error message if user prompted as a result of manual change in pricing.
4) "Long Date Format", e.g. "dddd, MMMM, dd, YYYY" is now supported for report headers/footers when entered in applicable 
header/footer memo field using notation like "fmt=MMMM, dd, YYYY" 
5) Early market close time routine removed from price downloads due to date algorithm too hard to maintain.
6) Advanced billing now uses Period close date to compute days in year rather than rpt run Enddate which would be in prior year if 12/31
7) Realized gains on transactions made in foreign currency now use current FXrate for cost rather than opening FXrate.  (add'l fields fixed 1/15)
8) SCPanel "fixup" function now can "cleanup" (delete or move to "obsolete" folder) extraneous files in Captools program folder.
9) Gr.Total% reporting anomaly when certain short positions held and sorted to rpt bottom resolved.
10) Avg Value reported in Fee Billing report now matches that for account performance report.
11) Account record colorizes ROI Start/End Date fields when date entered is a future date.
12) FormatStrToDate function now corrects for year selection when no YY in format. If month greater than default month default year is decremented.
13) "Non-Mgmt Fees" and "Advisor Fees" report field added to reports to facilitate separating reporting of Non-Mgmt Fees and Advisor Fees from Mgmt Fees.
14) SCPanel buttons to launch IIS & Firewall applets no longer require user to paste/run link at Windows Start button for 64-bit OS 
15) Algorithm for report consolidation based on record Description field re-worked in get correct inception date (Pro4 feature)
16) SCPanel "Windows Tools", moved from Utilities submenu to a "WinTools" menu so not so hidden.
17) Captools/net Desktop fix to Transaction records to restore ability view/enter data in Trns Currency field (bugged during work for Futures transactions).
18) Limit of 10 characters, no periods, for new RepIds (aka "UserIds) to help resolve problems dealing with longer names.
19) Reverted handling of "Trn Currency" field to retain user input value even if same as account base currency. (multicurrency versions).
20) Fixes and improvements implementation of Prog.Prefs Date Format selections. 
21) Local Cash Balance Recalc function now built into Cash Bal re-calc function, so it will automatically be computed in multi-currency portfolios.
22) Position Record GrTotalGan and GrTotalGain% fields now populated.
23) CT Desktop Date format selection fixups to workaround bugs in 3rd party DX code.
24) Rpt Selection screen now warns if "model.rtm" or "raw_model.rtm" are missing. These are essential for cloning reports from Std Rpts.
25) More dependencies on WUupdate component removed.
26) "RemoveNumericAdornment" function modified to remove blank betw currency sign and number used in some currency formats.
27) "Batch / Block Trade Allocation" dialog modified for better clarity and functionality.    

 

12/18/19
1) Valuation "re-calc" of prior date "intra-day" priced positions now clears intra-day flag and price to force re-pricing at end-of-day value
2) Tweaks to Service Check/Start routines for timing (followup on #12 in 6/26/19 release) 
3) Report Special option from list function fixed so does not need always return default value (fixes "subtotal type" in Pf ROI report so works as intended;
also may be issue for reports with non-default settings for combo-list type options).
4) Intraday pricing interval tweaks allowance for prior day divs and splits in computing intraday gains/losses.
5) Non-Rotated style Portfolio Performance report template added to report selections (Portfolio ROI by Account). This
supports reporting multiple periods for multiple accounts on a single page.
6) ROI by security & Matrix reports now use length of actual period held for ROI when that is less than the report ROI period. This is only 
significant for securities held for partial periods. 
7) CTDesktop (Captoolsnet.exe) now prompts usr for update at login if unexpected field found. Update Installer can be downloaded from User's server or from Captools Co
website (note: download from User's Server now works as intended).
8) ISIN and Sequence # fields now available in transaction reports.
9) Position records created based upon ACL transactions no longer deleted until accrual amount is zero.
10) A report option checkbox provided so user can report position values excluding accruals.  
11) "Home/Activate Data Download" command browser call tweaked so no login needed if browser is I.E.
12) Distribution generation now excludes holdings bought on ex-date.
13) Cumulative ROI & ROI by Acct reports no longer need "HideLines" setting set to "None" (HideLine function disabled for these multi-period reports) 
14) Distribution generation function now provides option to adjust effective ex-date for settlement days.
15) "AIMR Annualization" relabeled "GIPS Annualization on Rpt Options page and in code variable names
16) Default new report Field Header spacing changed from "0.0" to "0.015" 
17) SCPanel now displays the User specified path to the Captools/net data folder.
18) Fixup to manual transaction entry that was preventing recalculation of transaction value for futures transactions.
19) Revision to futures amount/value computation to eliminate need to use security contract price in computation, instead opening futures transaction 
prices used and cumulated to optionally permit several futures positions in the same commodity to be combined into a single position.
20) "Cumulative Additions" and "Cumulative Removals" fields added for ClientInfo report.
21) Fix to intra-day valuation so cash is properly cumulated.
22) Report "Net Additions" now correct when "Foreign Cash Acctg" option checked.
23) Backup function fix to ensure AutoTaskThread gets suspended during backup (up to 10 tries) of large DBs.
24) Generic import mods to support pulling account number from source file header records and match trailing 4 digits with account record.
25) Generic import template screen minor tweaks plus toggle button added to show/hide the filter panel.
26) Cumulative ROI report functionality restored to 6/26/19 release functionality (disturbed by #5 above).
27) Account "Quick ROI" functionality restored for accounts containing no security transaction detail to support inclusion of historical performance data. Please refer to Help documentation for operation instructions.
28) "Est. Tax" computation fixes for Deferred income accounts. (DLV now considerd a taxable withdrawal, withdrawal now assumes zero cost basis).
29) Security OptionType bits now set in the generic import process and in transfer from Blotter to portfolio to support Futures transactions.
30) Intra-day pricing function tweaks to better handle dates where downloaded pricing is missing.
31) Tax Lot Generation tool floating point error fix. Was caused by very small fractional share remnants for mutual funds.
32) Routines revised for importing and manually entering of Futures contract transaction data and computing Local and Portfolio amounts in a multicurrency situation.
33) "Initial Base Date" field added to reports to indicate the date of first transaction on a per security basis.
34) Function added which copies Generic import templates from Captools Company\..\CTScripts to Captools Net\..CTScripts upon download of AuxFiles.
35) Desktop program fixups to resolve "zeroing" of manual entry for non-quantity TAC codes like ACL.
36) "Avg" lot computation of Aux Date field is corrected to show date of most recently purchased lot rather than original purchase date. This does not affect realized gains reporting which was/is correct.
37) Fee "Service Charge" now applied only to first layer of layered fees.
38) Recomputation of "Local Cash Bal" field in portfolio foreign currency transactions implemented.
39) CTWinInet unit fix so progress log message does not include entire body of fetched webpage. (2/19 bug)
40) Incentive fee calc option function reinstated (disabled in some hotfixes after 6/26/19 release)
41) Position record sort by symbol & s/t on position field added to support opening position view with multiple related accounts in view 
42) Generic import tweak to ensure price factor of zero is not inadvertantly set.

6/26
1) Tweak so Intra-day gains factors same date transaction cash changes into current date value.
2) Download prices default date range start date is now 3 months prior in lieu of 93 days prior.
3) Select date dialog "Ins Memo", now has "hint" text.
4) DLV/RCV cost pull function in PTRrecs Calc function now assigns negative cost for short positions.
5) Trans Blotter manual entry now feeds new record with date pre-filled to same date as most recently edited record.
6) Mutual fund DLV/RCV re-classification "compute" procedure implemented to lookup and carry forward cost basis of old fund merged into new fund.
7) Nasdaq Security Lookup link added to Security & Position tables (right click on symbol for lookups)
8) Security Statistics record fields that depend upon Financial earnings data downloads now forced to "Null" (rather than report stale data),
until new download source can be implemented. (download code will be re-enabled at that time)
9) Intraday quote download interval now varies depending on time of day, decreasing in the two hours after market close to 10 min interval to get day's end 
close quotes faster.
10) New User "canned" CTnet Desktop installation email now includes link to Captools website version of the CTNet Desktop installer.
11) Div Yield reporting fixup so less chance of dividend frequency computation when dividend dates chance slightly.
12) SCPanel on startup now checks for IIS being down and attempts to start it if it is.  Also SCPanel no longer prompts for
start of CTServer or CTTasker if down upon SCPanel launch, instead it just simply starts them.
13) An unintialized est tax function variable is now initialized. 

5/16/19
1) Rollback to blotter function bugged in prior (5/8) release fixed so it removes records rolled back from transactions.
2) Intra-day gain and gain% 5/8 release subtotal calc error fix.

5/14/19
1) Period report option to allow user to specify that amounts from TXW transactions get combined into Net Additions. (rpt options screen "tightend")
2) Synthetic Index calc function fixup to support alpha/beta calc with a synthetic indexes. (routine simplified resolving an runtime exception error)
3) rf_ExcludedSymbols, rf_ExcludedValue, etc. activated as reporting fields in Portfolio Perf. reports (Level 3/higher).
4) Transaction record "hold period" computation fix, "zero" holder period now displayed as "blank" (null)
5) Updated DistTrans.html file omitted in 5/8 build now put in build.
6) Generic import tweaks to better support fixed income security payment date specs.


5/8/19
1) Captools/net Desktop "Home/Activate-Config. Web Data Downloads" sub-menu item added.
2) "Scheduled tasks" page tweaks.
3) Position Record S/T type toggle re-enabled (inadv. disabled in 3/8 release)
4) Batch Valuation "missing price" marking re-instated.  
5) Server Control Panel License Expire Warning panel suppressed when Logging panel is visible so one does not crowd the other.
6) Fixed income reporting yield error from 3/8 release (due to Distr. Method default) corrected.
7) Position record income yield% is now grand totaled.
8) Distributions now download independently of price downloads to ensure that they are downloaded when prices have been imported from custodian.
9) Account "Split" and "Merge" functions now assign "Account ID" values to transferred records to preserve tax lot assignments.
10) Account "Merge" function now provides option to generate "RCV/DLV" transactions in lieu of merging all historical transaction records.
11) Distribution rate computation fix to ensure single distrib per year properly computed.
12) CTnet Desktop loading now prevents loading in "minimized state".  It also ensures that if the state is not "maximized" it uses at least 20% of the screen.  
These changes prevent the program from being inadvertantly "hidden" by closing it in the minimized state.
13) Account Note type "Sweep Symbol" added to Acct Note records.  Specifying a Money Fund Sweep Symbol causes only that particular Money Fund to be included in 
Account "Available Cash".
14) Report special options "Use Account ROI Exclusions" activated for cumulative ROI reports such that when active and the report can be filtered by security 
categories, symbols or account ids.
15) "CTNetUpdater" program (on website) fix to support updating CTnet Desktop updates on non-server computers.
16) IntraDayGainPct field added to Account record to show daily gain/loss% by account
17) "DelPost060908RelAddedFiles" function in SCPanel disabled b/c no longer needed.
18) "Report Mergeby" field in account records is now a "maskable" field, to facilitate double masking based upon "Mergeby" status and group or family, etc.
19) Cumulative ROI report fields rf_3YrPfAlpha,rf_3YrPfBeta,rf_3YrPfRsqrd activated (where excluded by a higher level case statement.
20) Fixed transaction reporting bug from 2/9 that could cause report to overrun by one day at beginning or end of report period.
21) Acct Record "Perturbed Date" field now populated so user can quickly identify accounts that need valuation record re-calcs.
22) Server Control Panel "Help/Advanced" now has a "Custom Data Fixup" option which can be used to deliver particular data "fixup" capability to users (init clearing Perturbed flags).
23) Header/Footer lookup & display of Acct and Client record "UserDefined" fields now works as intended.
24) Exchange rate lookup when no "To" currency is specified now assumes xrate is price looked up for "From" currency
25) Tools "Split/Merge Accounts" function now called "Account Data Transfers" and has revised user interface that supports both accounts account splits and merges.
26) Accounts with "No Batch" checked now do not transfer from transaction blotter.

3/8/19
1) Fix to 2/22 release reporting date format "override" code so override only occurs if std local format does not return a valid date.
2) Report "override" code from pre 9/2018 release re-instated. This supports insertion of non-report generated PDFs into reports, as well as the "send email" later option.
3) Chart default "scale-down" factor for Sec. Metrics chart set to "1".
4) Reporting GetValueForFldId function 2nd and 3rd parameters are now default "false" and "nil". This resolved a case where "Null" rather than "blank" returned for a string
field value, crashing the report.
5) Additional conditional compile directives ("$IFDEF ISDLL") added to reduce unnecessary code compiled into CTReport.dll program, reducing its size.
6) Security record DivIntRate algorithm now treats a "null" setting for "Distrib. Method" field same as the default setting of "Lower of TTM/Last". Null settings are now
re-set to that value in the Security Record.  This fixes a mis-computation of the income rate when there was a null value in the "Distrib. Method" field. Tweak also 
made to better handle "drift" of dividend payment dates year to year payments are not over/under counted.
7)  Fix to report bug in 3/7/19 release.

2/22/19
1) Report Chart Setup page appearance cleaned up to remove some extraneous screen artifacts.
2) Reports with Serial Periodicity combined with a non-serial "from inception field" now don't drop the first serial field.
3) ACR and AMT fields now "compute" with the Data/Compute function provided they are intially blank.
4) Code added to unregister midas.dll from old location if Captools is reinstalled into a different folder on the same machine (b/c windows uninstall does not unregister that dll)
5) Code added to clear Intraday summary values from account record when "Intraday Active" field is unchecked. Also fixed bug that sometimes cleared Intraday values when navigating 
between records. 
6) PerturbPfForDeletedPTRrec function modified to ensure no more than one record perturbed.
7) Report fetch function for filling transaction data set now applies "end of day" criterion to ensure any transaction prior to end date is fetched for 
transactions and realized gains reports.
8) DST, DSW and DSR added to "Private Equity Distributions" in ROI by Security reports.
9) Management fee calcs modified so if a "Service Charge" is specified while "Min Fee" is "blank" or zero and the first level fee rate is <=0 then the Service Charge 
is applied to the first tranche of layered fees. Also the Service Charge is no longer allocate across multiple fee layer tranches. Lastly the "Account Note" records now 
have a "Service Charge Override" option so Service charges can be customized at the account level without needing to set up a new fee rate schedule. These changes now
allow the first layer of layered fees to be set up to have a "fixed" base "service charge" with subsequent layers specifying asset level dependent fees.  
10) Default zeros and ones now more reliably set for new records manually inserted.
11) Types/Categories records can now only be deleted if not referenced by security or account records. Hint: to delete un-used "Types/Categories" records, select all 
records and then execute "Data/Delete"..only the un-used records will be deleted.
12) Script added to import TD Ameritrade "PC-Format" data files without manual extraction of files.
13) "Transaction" currency and "Import Source" fields added to transaction report. 

1/18/19
1) Realized Gains Rpt subtotal display of "Sell Date" again populated (inadvert. disabled in mid-2018)
2) fixed small mem leak in GetSPHrecsForList function
3) Fix to transaction balance recalc that was hanging if RCV transactions contained Nul (blank) Aux Amount fields.

1/4/2019
1) Fund Accounting incentive fee calc now suppresses output where profit is negative.
2) Exchange and Mkt Gain report output bugs in 12/17 & 27 releases corrected.
3) Dividend rate computation on "Statistics" table now always pulls rate based upon security table settings.
4) Desktop user browser selection now "stays put", i.e. does not change when other pref. params are changed.

12/27
1) Correction/improvement to transaction delete algorithm intro'd in 12/17 release to make it faster and ensure it triggers cash/share balance recalcs.

12/21
1) TransBlotter, Reconciliation, Custodian Open Lot and Custodian Gains record screens now automatically refresh when switched into from another table (i.e. manual refreshing
no longer required after imports if you tab to imported table.)
2) Desktop Grid now displays "percent" fields with a trailing "%" sign. This can be disabled by ending the column label with any other character, e.g. a ".". Right click 
on the column label and choose "properties" to make this change.
3) Inherited PtrCalc "BeforeDelete" bug from 12/17 removed (blocked trans record deletion) b/c it did not return a result value.
4) Rpt partial Period profit error in 12/17 release fixed. (StartDate decremented 1 day to pickup starting transaction case);
5) Lookup of current OS version tweak (CTNet Desktop still picks up prior OS version, if OS was upgraded) 
6) Block on insertion of trans record prior to frozen date reinstated (this is in server side code, was suppressed in 12/17/18 version)
7) GetLatestPPOrecsPriorToDate algorithm revised to ensure orphaned PPOrecs not used except when being searched for. 

12/17/18
1) More time alloted to stopping SQL services during backups.
2) Backup zip file created for external backups is purged after successfully copying to external location.
3) MSSQLFDLauncher and MSSQLLaunchPad services now included as "dependent services" when SQL is shutdown during backups. These are SQL Server 2017 services and
if running can prevent the SQL Server from shutting down for backups.
4) I.E. "Standard" path is now specified as "\Program Files\internet explorer\iexplore.exe". On 64-bit systems, the x86 path is used as a fallback if the standard path fails.
5) Tweak to "Start Date" & "End Date" (also Open & Close Dates) on by security reports so that actual security Start & End dates are reported as opposed to account start/end dates. 
(versions prior to worked correctly for Start Date, but inadvert. was reverted to account start date in 8/8 release).  
6) Foreign currency exchange rate lookup reverted to pre-8/8 release which constrained lookup to exact date. (This & #5 above fixed Exchange rate gain error in 8/8 release)
7) "End Mkt Gain" and "End Exchg Gain" fields added to holdings and period reports to show breakout of those components as a part of End Unrealized Gains.  
Period Market and Exchange Gain fields are retained, but include both realized and unrealized components of period gains. 
8) All "Model" reporting fields when "Model Detail = By Category" are now shown as "null" fields at the detail level while still being shown at the subtotal level.
9) Using "Data/Compute" function on transaction "Mkt Price" and "X-rate" fields no longer prompts to show log.  This function is now done via CTServer instead of CTTasker.
10) "IntraDay Active" field added to account records, so that IntraDay pricing can be selectively applied to limited number of accounts.
11) When editing picklist type fields the record posts then returns to edit mode as soon as you leave the field.  This resolves the issue of the field retaining its
old value until the record is posted.
12) More (and detailed) field "Hints" now appear when cursor is waved over a field header in the desktop program.  To turn these off, 
use "View/Show Desktop Hints" and set "Hint Pause" to zero.  
13) Desktop prog. column labels for lookup columns now use lookup field label instead of lookup field name for column header. 
14)  Background color for intraday fields now uniform to help visually identify those fields (light green background)
15) Desktop prog. multi-currency computed fields now suppressed in non-multi-currency position views.
16) "FieldId" type variable now always "smallint" type (no "byte" or "integer" types) to allow > 255 fields in a table, plus more rigorous type checking on compile,
and maybe slightly smaller function variable stacks.
17) Intraday pricing for mutual funds can be implemented by assigning a similar Index or ETF as a "Benchmark" in its security record, in which case a pseudo intraday
price is computed for the mutual fund based upon the Benchmark intraday price changes.
18) Report filters (e.g. symbol or type filters) can be temporarily disabled by inserting '//' in the filter causing any subsequent text to be ignored.
19) "Dynamic" Composite Performance report added (Lev. 4) to simplify composite performance reporting by Style when accounts change style over the time span of the report. 
20) TXW transaction code added to Tax Deferred transaction set so estimated tax computed on withdrawal (TXW typically incurred for foreign held stock). User can "zero" 
est. tax field if not appropriate for their case.
21) Correct to transaction screen cash & share balance recalc for some cases when a transaction record is deleted. Since reporting is based upon position records 
this does not affect reports.
22) Share & Cash balance fields now display as blank for "MMO" transactions.
24) Report run page start date selection via "radio button" reinstated.

9/27/18
1) Avi type files that show animation for file copies and downloads now don't raise errors if missing (some security software quarantines these)
2) SCPanel main form "Windows State" set to "wsnormal" rather than "wsmaximized" to suppress Windows re-scaling screen on some events.
3) GetStalePriceDays function modified exclude weekend/holidays for periods of a week or less. I.e. if a "Monday" valuation is priced with Fridays price
it would be considered only 1 stale day.  
4) Period Report Start/End date assignment for accounts starting/ending mid-period reverted so dates are based on data start/end dates instead of report assigned dates.
5) Custodian import checkbox option to use/not use "Country Code" (Interactive Brokers) now functions as intended. 

9/17/18
1) SpMeAcct.html file restored to build (was missing causing the "Split/Merge Accounts" function to be inoperative.
2) Function to turn off "Country Code" in Interactive Broker interface now works (checkbox on "Set Advanced Options" screen).
3) ROI calc initialization of compute variables with near-zero value resolved to avoid conflict with results containing same value.  (9/10)
4) Recon record pricing bug in 9/4 release fixed (was due to param "Date" name change).
5) Position record download of intraday prices (724 release) fixed so does not conflict with download of asset based prices for in-the-money pricing of options. 
6) Intra-Day Gain and some other non-database fields added to Position table "summary" bar as "Sum" fields.
7) Saving of report email parameters for report sets reinstated (inadvertantly disabled in prior update).
8) Server Control Panel Admin/Email Configuration dialog tweak to reset Ports to typical default values based upon Protocol selections.
9) Reporting now sets blank security types, classes, groups, etc. to "n/a" so grouping totals and percents are correct in those cases.
10) Fixups to anomalies in "StartValue%" reporting.
11) Browser path function now supports pre-Win 10 operating systems using known paths for I.E., Chrome & Firefox, in lieu of registry lookups (only reliable in Win10)
12) Symbol Lookup from position screen resumes supporting use of I.E. which is now working better with Yahoo on the symbol lookup page.

9/4/18
1) Batch multi-date valuation generation fixes. User "Selected Date" is now presumed base date for multi-date valuations generation.
2) Transaction report multi-currency reporting fix for end-date on weekend.
3) Transaction report now has checkbox to optionally suppress "DLV/RCV pair" transactions (DLV/RCV Pair field in transactions must be also checked)
4) Unit cost reporting error (unit cost doubled) from 7/24 release (item 55) fixed.  8/30  

8/20/18
1) Captoolsnet.exe browser preference handling fixups. Now uses registry data for I.E. path.
2) SCPanel.exe "DB Fixup" now uses separate function for field renaming associated with IntraDayGains.
3) Shutdown of CTTasker and CTServer for updates and hotfix now use a function that tries up to 5x to "KillTask" to ensure these are shutdown.

8/8/18
1) CaptoolsDBInstSQLservice shutdown for Backups now uses "KillTask" function if "regular" stop function does not work.  x
2) SCPanel "Help/Launch Current Installer" now "Help/Launch Current Update" since the update is now performed from CTNetUpdate.zip.
3) CTNetZipUpdater tweaks to better ensure necessary services are shut down before installing updates.
4) Captools/net Desktop Browser Preference selection fixed so it stays as set.
5) Index Bug fixed in new code to support additional report placeholders report headers and user text.

7/24/2018
1) Report Set "Override Merge Criteria", "Save in Final Format" & "Generate Email" & "Send Later" now persist when report set saved.
2) "Total" header now not hidden in cumulative performance report
3) SCPanel "Help/Run Current Installer" now runs the CTNetUpdate2.exe version of the update without re-downloading.
4) "Total" header restored for cumulative performance report Gr. Total group.
5) ROI matrix & Portfolio ROI report periodicity custom Period Label tweaks. (first label now always used for inception, and inception dates now
consistently identical for both reports, and Periodicity no longer truncated following report on new accounts).
6) MS-Edge option for browser functions, now substitutes Internet Explorer due to 1/1/18 MS-Edge update which produces page error. Chrome or Firefox
can also be used.
7) Portfolio Spin-off and Merge tools now properly handle exchange rates in generated two currency transactions in multicurrency portfolios.
8) Account record "Value Date", "Value", etc updating now does not filter out incomplete valuations and also looks back as far as 240 days (was 120).
9) Cost basis and open lot units fixes for multicurrency auxiliary costing.
10) Price Lookup/Download function now checks for money fund symbol nomenclature before doing price downloads or lookups. Money fund prices are assumed 
to be always "1.0". 
11) Private equity reporting fields added (lev 4)
12) Local currency valuation fields added to position by lot reporting.
13) Current Mkt Value fields added to Transaction report at Level 3 for users tracking transaction level gains/losses
14) Money market unit pricing (price at "1") added in pricing routine if Symbol passes "Ismoneymarket" symbol test, even if mmf flag not set.
15) "Income by Security" report modified to add "Tax Withheld" entered under the TXW or TXS Tac codes.
16) "Max Stale Price Days" field is now a default visible Security Table field.
17) Position record pricing reverted to 5/25/17 code to fix problem of fetching stale mutual fund prices if prices weren't available for value date.
18) Fund Accounting "Fund Acct" records calc fixups for several fields to allow for closed accounts.
19) InvestStyle variable type increased from 8 to 20 chars.
20) Fix so Private equity net Capital Commit cannot go negative.
21) "Avg" Lot cost with split now properly adjusted for split.
22) Good Friday date holiday Algo fixed to handle end of month betw. G.F. & Easter.
23) Holiday and weekend dates valuation dates slightly lighter background color.
24) Report Set editing user interface/implementation modifications
25) Fee subtotal with Uniform period now reports correct Fee% on G/T line (does not change fee, which is correct)
26) Minor mods to Javascript code for consistency with current JS standards.
27) Removal (hiding) of some browser-page buttons no longer applicable due to browser changes, e.g. "close" buttons removed from
parent web page b/c most browsers will not allow closing a "main" page via javascript, either not responding or generating a prompt at a 
"random" screen location for user to respond to.  These pages can be closed by user however by "X-ing out of the page.
28) Captools/net now lets I.E. browser determine initial opening size (works best with hi-res displays)
29) Browser page hints now activated for non-I.E. browser. (e.g. Chrome, Firefox).
30) Browser page based functions scrubbed of most "modal" dialogs (e.g. asking user to respond) due to propensity for such dialogs to "get lost" on screen. These dialogs are usually redundant of on-page selections, therefore better "hints" now provided for "on-page" selections.  
31) Deletion of import files from Generic Import dialog removed b/c too much risk of inadvertant deletion of user's data.
32) Resolved potential data posting conflicts for portfolio and blotter transaction records.
33) SCPanel DB Fixup routine now "forces" fixup if user specifies a fixup start date (even if registry shows already fixedup).
34) Moving Captools/net install to new drive on same machine now does not require user manual re-registration of Midas.dll
35) Tightened up client/account dialogs on CTnet Desktop program to help fit on smaller screen make a bit easier to navigate.
35a) Selection of browser preference to be used for Captools browser based function now retained upon restart of CTNet Desktop.  5/22
36) TaskMain mem. leak now blocked.
37) Insertion of jpg/bmp images in User Text area now works for Header User Text and does not need to be accompanied by text.
38) Historical quote downloads (from Yahoo) current quotes if current date is indicated in download date range.
39) Report speed-up for performance reports that only show account grand total level detail 6/4
40) "Intra-Day" "Date", "Value" and "Gains" fields added to Account record to trigger and display mid-day account values, provided that current date price downloads are available (i.e.Yahoo). Clicking "compute" on Intra-Day Date" or "Intra-day Value" will fetch current prices and re-value temporary "Intra-Day" position/value records. These will be re-generated each date that this function is triggered.  "Intra-day" Value records will not be used for reporting b/c these typically are not based on "final" end of date prices.
41) Changes in code that supports insertion of Jpeg images in report "User Text" sections.  
42) Est. Tax credit no longer computed for Fee type transactions in accord with recent U.S. tax law changes.
43) Report email attachment filename now properly includes datestamp.
44) ROI Performance Chart fix of bug that could cause it to error out in some cases.
45) "Start Local Cost" and "Start Local Cost/Unit" fields added to reports for multi-currency licensees.
46) Server Control Panel "Services/Stop Tasker" command now uses "KillTask" instead of "StopService" function, to ensure the service does not get in a "hung" state.
47) "Security Statistics" record fields now "Nulled" when data is greater than one year old.
48) Two Objects in RepIntf.pas previously possibly not initialized, now initialized as "nil" hoping to resolve a report merge issue not easily reproduced.
49) A DateStamp now added to any emailed report file regardless of whether client info is included in the filename.
50) "PDF Formfill" button on Client record edit dialog now hidden (since it has been deactivated a long time).
51) Changes to Desktop program registry backup of view settings to better support including data in server-side backups.
52) Server-side backup tweaks to better identify to user if and how a backup might have failed.
53) Multi-date batch valuations now has a "quarter-end" options.
54) Intra-day valuations (see #39 above) improvements to ensure that "intra-day" flag is not cleared by recalcs until after its date is no longer current.
55) Portfolio level performance reports no longer need "Hide Lines=None" to exclude Securities tagged as "No ROI" 7/21

1/5/2018
1) Position by lot report fix to 12/29 release bug that caused crash.
2) Reporting fix to sidestep a runtime bug (holdings rpt crash) that could arise from a field that was removed from a report but still was in the report template. 
3) Inception column restored for reports with periodicity
4) Cumulative Performance report restored to show each account separately in a multi-account portfolio report.

12/29/2017
1) Fund accounting highwater incentive fee computation fixes, particularly for case with an incentive base and no prior fee has been charged.
2) Compute of "Aux Amount" cost on Closing transactions with prior ROC transactions modified to use Lot "Rem Cost" and "Rem Qty" variables.
3) Position record "Cost/unit" display is now can show up to 4 places rather than 2 places previously due to rounding.
4) Account Selection for Report Sets now works reliably (bug fixed) and most report set settings persist as expected.
5) Browser functions now select correct "Default Browser" if that option is choosen by user.

12/14/2017
1) ROI matrix report column header formatting and layout fixes.
2) Tab Switching from Aux Tables to Portf. tables no longer sensitive to case of account number.
3) Custodian Open Lot and Realized Gains record import now forces upper case for account numbers for consistency with account record imports.
4) Custodian Open Lot reconciliation functionality fixes, including "pushing" custodian costs data to transactions via "Data/Calc" function.
5) RCV transactions now can initialize received in cost from custodian Open Lot records, but applying the "Data/Calc" function to the
AuxDate or Aux Amt fields.
6) Income report now has special option choice to combine short/long dividends and interest paid/received for net amounts.
7) Browser functions now invoke the Windows Default browser if "Custom Browser" is specified, but is not found or fails to open.
8) Fee Rates record "Days Per Year" field can now again be "blanked", in which case the value is assumed to be 365.25 days per year.
9) A disabling bug in "Tools" Distribution Generation function fixed. This function also now does not recalc from start of all transactions. 
10) "Blanking" price or value field on position record clears "stale days" field.
11) Desktop program "Hint" pause (time hint lingers on screen) increased from 2.5 sec. to 5 sec.
12) Desktop program "Show_Hints" actions added to "View" sub-menu, activated by default.  
13) Correction to fee bug in 9/12 release change that resulted in Div. by Zero error 10/2
14) Recon Record based pricing now applies "Relevant Mkt Pricing Date" criterion.
15) Reporting procedure FillRptDataSet disables DataControls on the report dataset for faster performance.
16) "Local Gain" and "Local Gain%" fields added to Positions records for multicurrency users.
17) CashFlow record list in cross-ref. perf. rpt now freed to fix memory leak.
18) CTTasker log message upon stopping removed, and "_synchronizer:=nil" added to 3rd party SVcom_NTService unit to initialize variable,
fixing unneccesary debug log entry/file generation upon stopping CTTasker service.
19) FillRptDataSet procedure for holding/performance reports now increases default "CommandTimeout" as necessary for extra large datasets.
20) Fee Rate Record "Non-prorate" option when checked, bills for full non-pro-rated period if either "Start" or "End" Value methods are used.
21) SCPanel DBpassword field is again displayed with PW characters obscured to comply with security stds. If you need to know the password, you
will must edit the password field to reset the password, and click the "save changes" button.
22) Fix to bug in earlier 10/11/17 custom Hotfix affecting Layered fees reported fee rate. 
23) Multi-symbol price download now have a 100 millisecond "sleep" gap after every symbol to allow yield to other processes.
24) "GetSymbolsHeldList" reverted back to 5/25 release code for PPO & PTR fetch for efficiency (smaller dataset fetched).
25) ROI matrix report now iterates through periods based upon RptDateList rather than "Period1..Period12"
26) "Period-to-date" type periods in reports no longer deduplicate when there are duplicate date pairs, such as first month of quarter or first quarter of year.
27) Reports with custom period labels suppress periods for which ReportSet data does not start on or prior to the period start date.
28) Reports with non-custom period labels now use notations "MTD", "QTD" and "YTD" for periods indicated with "*M", "*Q" and "*Y" in the periodicity spec.
29) Generic imports of records with Symbol fields now can lookup the symbol based upon an Alternative ISIN or SEDOL identifier if the notation "slf_ISIN" or "slf_SEDOL" is placed in the generic import "Format" field for the Symbol specification.
30) ROI Matrix report - Security detail ROI now has forced "Normalization" to the reported account period dates to ensure ROI consistency of Detail vs Acct Totals.
31) Report Period column headers no longer force 4-digit year format so as to better accomodate more data columns if the user so chooses.
32) Fund Accounting transaction record "Description" field maximum length increased to 160 chars and Fund Accounts "Account Name" field increased to 120 chars. 11/6
33) Generic import now fills "Required" fields with placeholder values to sidestep problem with imported data with missing reqd data fields.
34) Fund accounting GetFirstPerturbedPFTrecs function simplified.
35) Fund accounting fee generation tweak to deal help with initial period fee for a participant account which might start mid-period.
36) Fee reporting modification for Advance Fees to get correct Gr. Total Fee% reported for Uniform Period case.
37) Desktop program Date Format options disabled selection of formats beginning with "yy" or "yyyy" due to error being generated in third party
code when date is edited with that format.  However, if a Date format leading with "yy" or "yyyy" is desired, you can use the Windows Control Panel "Region"
setting to select such a format and then select "Use Windows Default" for the Captools/net date format selection.
38) LARGE_ADDRESS_AWARE Compile settings in CTServer activated in Build version to make more memory available.
39) "Number Formatting" control restored to CTNet Desktop "Program Prefs" (had been inadvert. pulled off the form).
40) Report log messages limited to 255 chars to prevent data overflow crash observed due long data list.  11/22 
41) Yahoo current quote downloads disabled to reflect apparent Verizon/Yahoo policy change re "semi-real-time quotes".  End of day quotes are downloadable
in next day in historical quote downloads.  
41) SCPanel "DB Fixup" function "From Date" control now works as intended to ensure that all fixups from user specified date are executed.
42) Custodian Import "Custom Checkbox" option that appears in some scripts now saves the user setting when checked or unchecked.
43) ROI report periodicity modifications to align weekly, monthly and quarterly report periods with end of period (i.e. week, month, qtr) when the initial end date is mid month.
44) Custodian import now blanks "Country Code" (used in IB interface) if MarketCurrency and BaseCurrency are same value, rather than appending the Country code to the symbol. 
 

9/12/17
1) CTNetUpdater now also handles MSI fixup for installations under "Users" directory
2) SCPanel fix in 9/7 release so AuxFile only downloaded once following update. (hotfix posted)
3) Income report code reverted to 5/25 release due to buggy "work in progress" code.

9/07/17
1) Generic imports of TXW Transactions now fills symbol field with record symbol instead of "(CASH)".
2) Non-Pro-Rated EndValue made available in fee records.  This suppresses any time-weighted pro-rating of fees.
3) Auxiliary file download now done by SCPanel directly instead of delegating to CTTasker upon SCPanel startup following an 
update.  This is b/c the CTTasker is sometimes "down" upon launch of SCPanel.
4) Fixed bug associated with report "rf_Hide" field referenced as a boolean instead of integer.
5) Fee Record option added to "Non-Pro-Rate EndValue" based fee for partial periods (default is to Pro-Rate)
6) Fee Report sub-total effective fee percents now based upon months elapsed rather than days if whole months (rather
than partial months) are involved. 
7) "Next Account" & "Prev. Account" button on Transaction table now refresh pick lists when changing accounts.
8) Browser selection bug in 8/29 release fixed.


8/29/17
1) Custodian import scripting now supports 'IF=""' condition for blanks.
2) Custodian import main webpage and user "edit" page tightened up.
3) XOP (Exercise option) transaction treatment in additions/removals corrected.
4) Modification to Batch Valuation "create record" and "delete record" code to remove sensitivity to date format on 
either the client or server side.
5) Record fetching functions now always include Sequence field if defined for record type.
6) Fund Transaction record now subsorted on sequence for same date records.
7) Generic import now fills RepId field with user value if imported value is blank.
8) Microsoft Edge browser now supported for Captools/net browser functions.
9) Transaction "Est. Tax" field for Tax-deferred withdrawals now accounts for any taxes withheld.
10) A script to download historical pricing from Google added (for backup to Yahoo script).
11) Date formatting related code updated to deal with some date format inconsistencies with non-US formats.
12) Report Set edit fixes so several parameters now persist supporting automatic report generation with user-set values.
13) Report Page Header placeholder support added for Account and Client record "User Defined" fields and also Client Salutation field.
14) Report Email Setup now uses "Servername" rather than "MachineName" in two places the verification email to resolve the
cases where the "Servername" is different than the "MachineName".
15) Code now allows position pricing with "Intraday" quotes but marks them (orange-yellow color) to facilitates more timely valuations.
16) Incentive Fee reporting now has "Prior Incentive Value" field as an optional field to report prior high-water mark.
17) Colors on Report Growth graph now matches user setup settings when some items are intentionally hidden (not visible).
18) Report "n/a" group descriptor added in 1/20/17 for  release now suppressed if record is intentionally hidden
19) Fix to bug introd in 2/28/17 release related to option to use "Account Note" as Footer or Header in report. Now no longer creates 3 copies of text.
20) Symbols containing blanks are now displayed in italics in the security, pricing, transaction and position record to indicate 
that blanks should be removed (to eliminate inconsistencies in fetching other records where the symbol is primary key)
21) Fee Report compute routines now tolerate assignment of a "Fee Group" of "None" to the fee record.
22) Fund Acctg "Generate Transaction" bug fixed by increasing variable size b/c reqd fields now always fetched.
23) Added a SCPanel helper program "CTNetUpdater" to implement "CTNetUpdate" patches due to Windows apparently regularly clearing the user 
cache folder which referenced the Captoolsnet Server Suite.msi file.  The "CTNetUpdater" moves the "Captoolsnet Server Suite.msi 
file to a permanent location (Program Files\Captools Company\MsiInstaller folder) and "fixes" several Captools/net registry entries to reflect this.
24) 8/2/17 release recinded (obtained by some users who were reverted to prior version).  Problem with "distinct" SQL fetch affecting valuatio now resolved.


5/25/2017
1) "Add Symbol" Button on Desktop View Prog. Prefs Security Retrieval options now does not require a row to be pre-selected (fixes crash).
2) Numerical format function for generic import now functions as expected w/o regard to current regional setting.
3) Code identifier for options now typed for codeing clarity.
4) Current price update from when switching into price history record is now disabled (to reduce excess pricing requests from provider website). 5/22/17
5) Short options added to income reporting (to be implemented: net vs. option value if not expired).
6) Yahoo Historical price downloads again revised to handle new Yahoo download URLs which required cookies and Unix Date format dates.

5/9/2017
1) Account list coloration for Account Values, etc. restored.
2) Fee Rate "Days Per Yr" is interpreted to be "365.25" if field is null or blank, and if 366 is specified, then 365 is used unless the billing end date year is a leap year, otherwise the only other allowed values are "360" (30 days/mon) or "372" (31 days/mon).
3) Position Reconciliation table now can populate "Cost" fields using data from custodian imported Open Lot table.
4) Open Lots Reconciliation table..record matching tweaks and better support for manual data entry on the Recon side of table.
5) Custodian Import processing tweak to ensure that quotes not embedded in security ticker symbols
6) SCPanel "Configurations/Other" "Inline Checkbox" component name changed for code clarity (should not affect any operations)
7) CTTasker memory leaks plugged several places, esp. in Batch Valuation computation, Transfer from Blotter routine & "PVLrec.DeleteWithDependents" routine.
8) RepId field in Open Lot records now can be edited.
9) Valuations perturbed due to transaction changes now update valuation calc date field when automatically 
recomputed.
10) Fee Reports with "Generate Fee Transactions" option now works again (inadvert. bugged in 2/22 release)
11) SCPanel program exits on startup unless run "as Admin". This means only users with Admin priviledges may run the SCPanel.
12) SCPanel "Configure Database" function now resets initial "default" database Login Name and Password 
to a unique value for each installation, to improve resistance from an external hacker when the machine
supporting Captools is exposed to the internet. The Login Name & Password are visible on the "Configure Database" dialog
since they are only accessible to users who have logged in with admin rights. If a user attempts to change the 
DB UserName or Password and the Database is contained in a "Database Instance" that does not use the default
"CaptoolsDBinst" name, then the user is warned that could affect the functionality of any other database sharing that 
instance.
13) ROI correlation now reports the more standard "R-sqrd" figure rather than "Correlation coefficient (R)".
14) "Exchange Gain" field now not populated unless Start or End Exchange Rates <>1.0 or Net Local (Additions<> Net Additions) so that Exchange Gain is always zero unless those conditions apply.
15) ROI Matrix report tweaks to fix inadvertantly hidden grand total columns.
16) #2 above amended to allow "364 days" (i.e. 91 day quarters).
17) If an account is not a multi-currency account, "Market Gain" and "Total Gain" (or "End Gain") fields now should always report same values.
18) Quote downloading functions and scripts modified to accomodate Yahoo recent webpage changes which had disabled historical and dividend quote downloads. (note: there may be some future yahoo data page changes which we will try to respond as quickly as possible).
19) Report group footers which are marked "not visible" no longer also hide trailing space, if you do not want this space simply 
set it to zero.
20) "Account Info" variation of "Client Info" report added to Std Reports, primarily to give advisor per account detail on asset balances, cash avail etc. at any point in time for records. 
21) Unused code removed, (relating to the old (pre-2010) dcom communication betw. server and desktop) 
22) Report default page margins decreased from 0.4" to 0.25" and default page "border" lines removed from  "standard" report templates. Default
charts are slightly smaller height and default "3-D" effect reduced for a "flatter" look & smaller change per user selected increment. Default
report templates regenerated to implement these changes.
23) "Client Group" field in fee object in Mgmt Fee Report code is now initialized from object being cloned (relevant to layered fees only)
24) Generic import function now applies numeric formatting (if any) in "Format" field to override any regional format settings on user's server.
25) Report "Body edit" browser page shortened to better fit on laptop monitors w/o page scrolling.
26) Position record processing now forces re-fetche of security record on recalc of price factor field to ensure latest edit value is used.


3/01/17
1) Run Report "date-picker", "by month" option now properly handles end-of-month for all months. (js code change)
2) Opening Browser for Yahoo Symbol lookup via Position or Security Record now attempts to use system default browser or "Custom" browser path in lieu of Internet Explorer due to Edge, Chrome or Firefox dealing
better with live price updates on Yahoo website..
3) Security record and transaction Description fields lengthened to 140 characters, for most users,
 and optionally to 320 characters for level 4 users. The database size will only increase if longer 
 descriptions are imported or entered.  A provisional "Extended description" scheme introduced in the 
 prior version, involving a new table has been disabled as too complex and that table will be dropped 
 from the database in a future update. 
4) More "hints" added for the account and client record dialogs.
5) Valuation recalc tweak to help purge "orphan" position records.
6) Successive Portf. ROI reports now reset variables so Pf. Sigma gets recomputed for each report.
7) Report Set setup dialog now retains prior settings by user.
8) "Expenses" report fix so that user does not need to specify TAC codes in filter for expense items. 
(bug from 11/30 update).
9) Fee "Uniform Period" adjustment now ignored for periods > 366 days. Fee "Uniform Period" algo made more
robust to better handle partial periods and leap year instances.
10) Custodian import logic now allows scripting to adjust dates on imported data to support a new script where
the custodian was providing a file creation date in lieu of a market close date.
11) Several "Fee Override" fields added to Account record, active at Level3/higher, permitting specification of fee grouping at the account level overriding the specification in the fee class. When the fee grouping is specified this way, group asset threshholds can be based on all accounts in a free group independent of 
whether all of the accounts in the group are billed in a given report.
12) Level 4 composite performance reports now add option for 3-yr rolling portfolio alpha, beta & r-sqrd statistics.
13) Report Set Edit dialog again now retains user configured parameters as intended (inadvert. disabled several versions ago).
14) Renaming of prior CTServer.exe program file during update now checks for existing ".del" file and deletes it prior to renaming
to prevent renaming error.
15) Fix to bug in 2/23 release (item #3 above) which prevented editing of transaction description fields below level 4.

1/20/17
1) Add'l security record fields made "maskable".
2) Security Record Cusip to Symbol lookups now handle duplicate cusips (but different symbol) situation using 
account currency symbol to arbitrate which symbol is used. (subject to multi-currency license/enabled)
3) Distribution record "fixup" of Yahoo data for Cap.Gain Distribs recently added now disabled to sidestep some complications. 
4) "PDF Insertion" option (Pro 3/higher) now operative for Report Sets as well as individual reports.
5) UserPrefs now loaded prior to PFXcalc module to ensure user specified quantity precision is used in computations.
6) Tweak to Market Holidays algorithm to include Monday following Sunday holiday as a market holiday.
7) Fix to item #10 (pre-Roi processing) in prior release.
8) Report sets can now be built containing reports from more than one user.
9) Client & Account record "User Def" fields can be used as placeholders for inserted PDF files (Pro3+)

1/11/17
1) Reported "$ Drawdown" and "% DrawDown" now properly account for case where initial holding starts mid period. Also, the
reported figures are for "Max. $ Drawdown" and "Max% Drawdown" which could be at different points in time if there are
investments or divestments during the period.
2) Report growth chart bug intro'd in prior release fixed. (was due to typecasting of Price History rec)  1/4/17
3) Management fee computation/reporting for Advanced Fees billing days and Fee% S/t fixed.
4) Backup purge of old backups tweak to deal to ensure no purge unless script file containing params (tasker.ini) can be read.
5) Desktop report menu loading modified (loaded in disable mode then enabled) to resolve Desktop startup issues on remote desktop installations.
6) Tools "Distribution" and "Rollback" functions "filtering by symbols" restored (inadvert disabled prior update).
7) New Security setup in Security list upon import now better restricts "Long Symbol" and "Compressed Symbol" creation to Option securities only.
8) IB custodian import script change to avoid bonds using description as "Long Symbol.  
9) Copyright notice update for 2017
10) Cashflow pre-Roi processing tweak to avoid inserting zero security valuation CF record on date when other securities missing prices. This resolves reporting of -100% TWroi figure in Subtotal record.
11) Missing security Type/Grp/Class identifiers substituted as "n/a" in report field to resolve "null variant" error when generating subtotal record in reports.
12) Restored Logo setup code that was disabled in 12/12/16 release but which is needed to support swapping of logos during report run. (bug fixed: prior rpt logo now cleared)
13) Report column header vertical alignment positioning improved.

12/29/2016
1) CTNetDataServer component now freed upon closing Captoolsnet.exe (Desktop Program), resolving some important large block
Desktop memory leaks.
2) Report Exclusion by type option now supports exclusion by Security Style, Region & Currency (if fields allowed by prog. level).
3) Report and import memory leaks resolved.
4) Report object pointer error that could crash the portfolio perf. report resolved.
5) Captoolsnet Log-in dialog reverted to appear in middle of screen rather than middle of form so that it is always accessible at startup.  Also "Enter" key now executes dialog if "pre-filled", "Esc" exits program.
6) Generic Export temporarily reverted to pre-12/12/16 version to resolve error.


12/12/2016
1) Server Session "ping" interval control added to CTNet Desktop Prog Prefs ("other" tab) to better
support more frequent "keep alive session" pings for operation with CTServer on cloud based Virtual Server (e.g. Azure).
2) Several Prog tweaks to accomodate SQL Server 2016
3) Allocation report now automatically excludes accounts closed prior to the report end date or with zero value.
4) Empl Stock Options prices now can't go negative (fix of 10/4 implementation)
5) Report Periodicity bug intro'd in 10/7 release fixed. (bug could introduce extraneous period).
6) Manual entry of Position price for options priced using "in-the-money" pricing no longer populate price history records since
this should be computed based upon underlying asset price records
7) "Mgr Fee Share" field added to Fee report to break out Manager's fee from SubAdvisor (Pro-4 & Enterprise-3/higher)
8) Transaction Blotter description field size increased from 50 characters to 340 characters (Extended Description will
be removed in a later release).
9) Price History records now includes an 8-byte "float" field, "Close8", in addition to the existing 
"Close" field which is stored as a 4-byte "real" float data. The "Close8" can store pricing to up to 15 places 
of precision vs. the 7 places that can be held by the current 4-byte real.  The "Close8" field is optionally 
viewable in the price history records because its contents will usually be identical to the 4-byte Close field 
except for prices with more than 7 digits. The Close8 field will be updated with downloads and imports and will be 
used in computations and reporting if it contains a non-null value.
10) Bitmap handling for logos in reports revised to definitively clear BMP logos when finished with them (to prevent PDF file 
expansion occuring with BMP's but not JPGs.
11) Security Yld%/Income reporting when using Security Fixed Rates is now restored. (inadvert disabled in prior update).
12) Index option for "DistrPrice>Index ROI" now properly applies AIMR/GIPS rules for < 1 year periods.
13) Mgmt Fee report tweak to fix subtotalling when client groups are used.
14) Portfolio Auxiliary transaction description table added at level 4 to accomodate large descriptions (>70 characters) without increasing size of the Portfolio transaction record (in order to help keep under SQL express memory limits) This table is accessible via editing a transaction description.
15) Report Subtitle field now supports independent Start/End date formatting using notation like "\ed fmt=MMMM DD, YYYY"  Also Performance report "date range" field can now be independently formatted via the field edit.
16) Function to stop DB during Backups, etc., now checks for and shuts down non-essential dependent
SQL services such as SQLAgent and SQLTelemetry (called "CEIP Service").  This is to avoid backup failure due to these services running and now allowing DB to stop.
17) Warning dialog when user is deleting Client or Account records now modified to give additional secondary warnings to prevent inadvertant deletions. "Cancel" of these dialogs now always is interpreted as "don't delete" record.
18) Report "Position" and similar fields now can always display a subtotal for sums relating to holdings in multiple positions in a single security..
19) Report user note from Account "Note" field no longer constrained to 255 chars (up to 500)
20) Memory leak bug introduce in 9/9 release is fixed. (this bugged sometimes stopped CTTasker).


10/07/16
1) Income report now classifies reverse transactions as long/short depending upon Tac code so an 
amount is not double counted in two categories.
2) Reporting implementation of obscuring TaxIds and AcctNumbers tweaked. Also single account rptg
email placeholders now work as expected (disabled in earlier release)
3) Management Fee reporting now displays correct rate when rpt period is longer than period specified in rate table.
4) Recon Record sort reverted to prior sort scheme.

10/4/16
1) Generic Import now has import file filter field so only shows designated import file type
and browser import page resized (shorter) to better fit screen.
2) Realized Gains rpt fix so no negative hold periods.
3) Report Periodicity fix to eliminate extraneous partial periods at beginninng of Period series.
4) Captools "Home" screen tightened vertically to better fix screen w/o scrolling.
5) Improvements to Employee Stock Option treatment including support for Non-Qual. ESO's. 
6) Setting of ESO option transaction flags/cell background color modified to distinguist Qualified vs non-qualified ESOs
7) Batch Valuation date range selection combo box now properly initialized at default value (6 mo) if no stored value found.
8) Server Control Panel DB dialog option to use "Windows SQL Authorization" disabled. (did not work).
9) DCOM controls (which were already disabled) removed from Server Control Panel "Windows Config" dialog.
10) Server Control Panel Windows Config. Dialog "Launch Firewall applet" button now gives instruction message to 
launch firewall in 64bit OS (like for Launch IIS Mgr button).
11) Rpt Placeholder token bug (pre-pended "ADT") introd in (8/15/16 release) fixed.
12) Potential for a possible but unlikely mem leaks in some sql call functions fixed (occurred only if DBhandle=nil) 
13) Dividend Trailing Twelve Month rate option now working as intended (as opposed to 4x last).
14) Server Control Panel launch dialog modified to better accomodate new Windows 10 update prompt for
elevated UAC rights.
15) Import browser page resized shorter to better fit on typical current screen.
16) Report output filename tweaks to ensure that filename can't include full acct number or taxId number (instead 
uses partial numbers with 4 name derived characters to ensure unique filename.
17) Mgmt Fee report now handles case properly where "uniform period specified" but user specifies fee period longer than
indicated in the fee rate records.

9/9/16
1) Modifications to code and script to accomodate changes in Yahoo price/data downloads.
2) Modifications to support Employee Stock Option transactions cost basis.
3) AuxFiles now only downloaded by SCPanel program when version # changes.
4) "Financials" now exclude "Period Size" from default view since all figures are annual as of record date.
5) "Rep Fee%" added to "Client" Record (Enterprise level) to support allocation of fees to sub-reps.
6) User Interface bug in "Schedule Tasks" function repaired.


8/15/16
1) Default setting for Months to fetch portfolio records set to "9999" (all records).
2) Fixed problem with cash transactions stuck in blotter b/c have no symbol.
3) Report placeholder token replacement extended to several add'l account record fields (shortnamefield, Misc fields)
4) Rotated Reports (e.g. portfolio performance) now better syncronizes visibility of Label Headers and Body fields
and column spacing reduced slightly to allow space for more columns.
5) Computation/reporting of sub-advisor fees added to Pro-4 & Enterprise-3/higher.
6) Dedup function tweak to exit dedup if only single record remains.
7) Proxy settings on Email setup screen now has checkbox to indicate whether user wants Proxy to be used for 
downloads in addition to Emails (usually not wanted).  
8) ROI Matrix report now shows "blank" ROI figure for a security for non-relevant periods.
9) "Runtime stamp" option added to report header/footer list.
10) Report "obscured" filenames now prefix partial acct#'s with first 2 chars of first/last name of owner
to facilitate sorting and identification by advisor.  
11) Fund Acctg "Active Account" criterion now excludes accounts with specified "Close Date" prior to "As-of Date". 
Close Date field now editable if current shares < 1.0.
12) Current day's quote yahoo downloads are now supported for same-day pricing portfolios.

7/8/2016
1) Batch Position & Alloc Trade record sorting fix to put G/t and indices in correct position with new grid.  7/6
2) Fee report subtotal rendering for Fee% field tweak.
3) Fund Accounting Perf. report fix to correct omission of transactions occuring on first day after start date.
4) TWroi computation corrected to fix error intro'd in 5/16 hotfix and 6/1-29 build which improperly used subperiod ending 
valuation as calculational denominator rather than beginning value.

6/29/2016
1) Position record view sorting tweak so g/t remains at bottom when sorted on currency, and "(Cash)" at top
if no Type, Group, Class etc value is assigned.
2) Fix to correct fixed income Avg Maturity Date report subtotals computation.
3) The Server Control Panel DataBase Admin subdialog now gives user option to specify a fixup "from" date
to facilitate loading and runnig of old database versions.
4) "Compaction" command on SCPanel "Admin" submenu removed as obsolete.
5) Serial Daily dates routine for multiple period ROIs revised to fix weekend problem around series start date.  6/15/2016
6) SCPanel adds non-clustered field table indices to speed various SQL fetch functions which
may improve reporting speed by 10-40% depending upon type of report and reporting period. (Thx Jeremy D.)
7) Improvement to report handling of valuation dates marked to be excluded from ROI 
8) Corrected improper feature allowance in a couple places which was blocking Lev4 features. 
9) Auxiliary record sorting/subtotalling disrupted by upgrade in Desktop grid component in 6/1 release now fixed.
10) Pershing import script updated to support bank custodian BNYMellon.
11) Bug in Account Merge code fixed so it is again operative.
12) Position record group toggle issue resolved to ensure stays on current acct.
13) Saved report filenaming with custom prefix/suffix now working again.

6/1/2016
1) Extract imports now process price history data in chunks of 1000 instead of 100 for better speed.
2) Avg Fee calc (Average Value (BOD) method) bug introd in prior release fixed.
3) Report header sizing/wrapping tweaks.  
4) Fix to syncing between portfolio & prime index cash flows to deal with case where primary index unspecified. 5/2
5) Rollback function unfreezes transactions on/after the earliest rollbacked transaction.
6) More stringent Recon price lookup implemented to avoid using stale prices.
7) Correction to bug in 5/2 Hotfix which suppressed Twtd Roi & Sigma calc if no primary index specified. 5/13
8) Twtd ROI calc tweak to attribute large inflow investment fees & commissions to those transactions.
9) Pricing download/lookup now implemented for LQD tac code in transactions.
10) Index sigma calc now does not require Index roi display.
11) Rpt "Special Options" for extended User specified Period labels activated for ROImatrix & Alt-currency reports.
12) DataBase routines used to add tables & fields now stores fixup status in DB rather than registry to
enhance DB portability to other computers.
13) Report emailing delay now not applied to emails that are generated in queue to be "Sent Later"
14) Reporting run-time option to "Insert PDF" file into reports now implemented for Level-3/higher.  This
feature allows you to insert into your reports one or more pages of "static text and/or graphs" such as might be used 
to provide market commentary to your clients. Inserts are specified under "Show Save Options" and can be at 
first, second (after cover page) or last position. (Report must be in PDF output format).
15) Transactions in foreign securities which specify transaction currency which match acct base currency
now correctly are credited to base currency position and cash balances.
16) Handling of price factors in reporting as it affects group subtotal reporting of per unit values fixed.
17) Use of AcctNumChg.idi script for bulk change of account numbers now works again properly.
18) Third party grid interface for Captools/net Desktop program updated.  This results
in a slightly different appearance in Windows 10, and hopefully will resolve some of the 
crashes experienced by some users when manually entering data.

4/22/2016
1) Header/footer options now allow including all acct#'s in a merged report header/footer.
2) Placing notation "IRS" in the Transaction "Trade Counterparty" field allows computation of
relevant estate "IRS Fair Market Value" in the Aux Amount field in a RCV transaction using
the Aux Date as the basis date for the value.  Requires High, Low, Close values in security 
price history records. Select Aux Amount Field & click on "Data/Compute" to compute.
3) Report column placeholder headers now size better. Tweaks to improve positioning of regular headers.
4) 3yr Rolling Portfolio and Benchmark Sigma fields added to cumulative performance reports at Level 4.
5) Sigma computation algorithm modified slightly, typically reducing figure by about 3% for a 12 month period,
e.g. a 10.0% -->9.7%.
6) Benchmark ROI used for alpha/beta and sigma comparisons now synced such that weekend/holiday valuations 
in portfolio are better matched with effective latest BM index value prior to weekend/holiday.
7) Report file placeholder fixups to support multiple placeholders in folder or filename and to support certain
date formats, e.g. "YYYY-MM".
8) Vanguard import script enabled at Pers Wealth level.
9) "Avg Value" fee method no longer has "Exclude Opening Date" option. Instead there are now two "Avg Value" 
fee methods to choose from: "Avg Value (BOD)" (beginning of day) and "Avg Value (EOD)". The former (original one)
sums subperiod values based upon sub-period start value and the latter based upon sub-period end value. 
10) Timing related gliche which sometimes caused CSV Report to fail patched with timing pauses.
11) Desktop Program max editable field widths for "Family" field and "UserDef" fields to match size in
prior 2/29/16 update (#21).
12) Group Subtotalling on some Fixed income metrics fixed to provide "Average" value for group rather than
last item value.  4/13/16
13) Report forwarding email text space tripled from 2000 characters to 6000 characters.
14) "Demo" database updated through 2015 and also "DBfixedup" to current DB structure.

2/29/16
1) Imported data now can handle currency symbol inside minus sign. 
2) Post Generic import function fixups to update Statistic records and fix price recs mem. leak
3) "Close Capital Commitment" (CCC) transaction code added to better support Private Equity investments (Level 4)
4) Security Type/Category records "Rpt Hide Detail" now activated.  Checking this box for a type/category used
as a report group will suppress display of detail records, showing only sub-totals.  A corresponding check box
in the "Special Options" needs to also be set to activate this.
5) Period profit/perf detail reports which consolidate closed positions now generates.
6) Fund Acctg reporting tweaks to allow filtering by P/I Category and also fixed a run bug for some 
Fund Acctg transaction report customizations.
7) Income F/C report again can now show non-rounded amounts b/c rpt Fixup routine now resets format string after 
editing display display decimal places.
8) In case where accounts are report "filtered" based on Acct Type or Acct Code (Lev 3+) and now account passes
filter, then a "No Data" report is generated.
9) Generic import templates can now leave date format spec. blank and import will attempt to "guess" proper format
based upon data. This requires the data to be in a MM DD YYYY or YYYY MM DD format with "-" or "/" separators. 
This helps deal with retail format downloads which may not consistently use the same format.
10) Yld% & Est. Income fields added to two currency report.
11) Fund Accounting Particip. Acct. Reporting now uses Particip Start/End dates in lieu of Rpt Start/End dates to
allow for mid-period start/end of acct. (Now Particip StartDate+1 12/29/15)
12) Report option added so user can suppress output page (in lieu of "No Data" message) if there is no data 
for an account or account group.  This also resolves case of where a single account was supposed to be filtered but
printed b/c it was only account in group.
13) Distribution Generation bug fix so "Reinvest" option works.
14) Server Control Panel now only requires a min of 3 characters for Primary UserId (was 6 chars for a short while).
15) Generic imports now protect manually entered security descriptions and Acct Titles from being over-written.
16) Correction to Sub-totalling of Exchange Gains field available in some reports for multi-currrency portfolios.
17) Changing order of shutdown of programs for certain Server Control Panel init. operations to resolved HotFix 
and update installation issue which prevented updating CTnet Desktop on some recent windows versions. 
18) Position view now always excludes "Accruals" from the "Gains" column.
19) Modification of RemoteHost launch routine to set "HIGHDPIAWARE" in registry so this will show Captools Support 
the complete screen when the user has a high res. monitor.
20) Report Options for "Fax" and "Print" suppressed due to direct line faxing no longer being supported by most computers
and due to reality that all users view reports on screen first and then print from the viewer application.
21) Certain text fields in Client and Acct records expanded in length ("Family" now 40 chars and Client & Acct "User Defined" fields now 50 characters in length, and Account "Custodian Id" field now 30 char in length)
22) Database fixup procedures now implement fixups applicable from 2011/later, assuming prior were already accomplished in prior installs.
23) Since all quote downloads are now initiated from the Captools/net Desktop and implemented by the CTTasker,
the browser-based CTSymDL  is now deprecated from new installs and removed from the list of programs in the SCPanel.
24) Report email option now available to "save" the email for sending later. These will be saved in a subfolder under the
report "save" folder and can be opened for review in your email software and sent from there. A utility to streamline
this process will come later.
25) Report Sets user-interface improvements.
26) Client & Account Record "User Defined" fields now available in portfolio performance reports and "two currency" reports.
27) Desktop program tweak to accomodate "reverse sign" amount fields for certain transactions w/o orange coloration.
28) Lookup of most recent "Frozen" portfolio date tweaked to deal with "None" condition.
29) Eliminates need for mid-month valuation for Accts starting / ending mid month when Avg Value fee method specified.
30) "Custodian ID" field in Account record is now hidden. This field was not used and will be removed from the database at a future time.  The "Custodian" field is still active and can be used to specify custodian specific pricing and exchange rates.
31) Custom view field selection dialog now sorts source fields alphabetically.
32) Functions supporting Client-specific logos (see 09/25/15 release item #10) disturbed in 10/12 release are again working
as intended. 
33) More tweaks to "private equity reporting" (see 10/12/15 release) to support "collapsing" to single line item based upon
description field contents in addition to common group identifier. 
34) Income Yield computation used in reports now triggers a "fixup" of Yahoo downloaded distributions to split them into
Dividend and Long/Short Gains distribution components based on custodian provided transaction data.
35) Fix to sub-allocation reporting using security notes. (Level 3+ feature).
36) Fund Acctg Transactions "No-Calc" field options now avail to user to set, and "Compute" of Transaction FundAcct field marks 
General Mgr accounts with green background color.
37) Report "Run" and Report-Set interface pages improved.

10/12/15
1) Program Preferences/Data Retrieval Specs re-instate control of "Always Active" symbols which previously was supported 
via a browser user interface.
2) Security indices statistics reporting re-enabled (inadvert. reported "blank" in 8/4 release). 
3) Reporting tweaks supporting private equity reporting (Lev. 4) added in 8/4 release.
4) Batch Position records now accept input into value fields and properly reflect them in price fields and underlying records.
5) Batch account selection dialog sizing tweak so does not extend below the windows task bar.
6) Private Equity multiple report field now subtotals on a wtd average basis.
7) More tweaks to yield reporting (excluding zero value Distribution records from frequency computation). 
8) Zipped backups with missing "Status.ini" files no longer crash Restore dialog.
9) Account Type & Code Filtering in reports tweaked to work as expected (& previously for exclusions)
10) Fee Report presentation of Fee% rate for partial period accounts now not adjusted with "Uniform" periods invoked.

9/25/15
1) Fix to Captools update process to accomodate Window updates that changed some timings to shut down processes.
2) SCPanel now has "verbose" logging of the pre-update process at bottom of screen.
3) Tweak to DivRate routine to deal with possible CapGains Distribs in data.
4) "Region" field added to ROI Matix report (Lev 3&4)
5) Fix to report symbol filters so negative filter works as intended.
6) Selection of more than 4 accts and then tabbing to portfolio and then positions now works w/o crashing.
7) "Merge Accounts" function bug fix so it runs all the way through to completion.
8) Report option added to specify second acct record field for acct. description (e.g. Rpt Title + Investment Style)
in group header or footer. Function "GetSpOptionValue" fixed so it can rtn text value from SelList.
9) Logo filename may now include sizing factor in the filename, e.g. "25%_MyLogo.jpg" (note underscore rather than space).
10) Logo files may be placed separately into User subfolders under "\ProgramData\Captools Net\CTReports". This allows 
separate Logo files for each user. (if shared reports, the filenames must be identical but the content may differ)
11) At Pro-3/above level, Logo filename may be specified in Client or Account record fields, e.g. place the logo filename
in "User Def" or "Misc." fields and in the report reference the applicable "User Def" field in lieu of the logo filename.
12) Two Currency report "AltURGainsPct" field now properly subtotaled as a weighted average.
13) "Money market Sweep" option in some custodian import interfaces (e.g. Schwab) re-enabled (inadvert. disabled prior release). 9/9
14) A possible divide by zero situation in a reporting code branch affecting a user is now trapped to allow report to proceed.
15) Batch Valuation view now shows period investment change.
16) Fund Acctg Perf. report now properly breaks out expense transactions.
17) Database backup routine now allows more time to stop SQL for very large databases to allow backups to successfully proceed.
18) Database backup filename extensions modified to help obscure from some malware that targets datafiles.
19) Report Chart filtering of excluded symbols now does not suppress chart (fixes 8/4 bug)

8/4
1) "Active Security" days setting on the SCPanel/Config. dialog can now be set to zero.
2) Application of a "fee rate" to a user-defined synthetic security is now supported. See Help docs for format.
3) A Fund Accounting "Plan Transaction Confirmation" report added.  Some other fund accounting reporting
details modified like header initialization and runtime date initialization.
4) Reporting of money fund computed rate and yield now supported including multi-payments/day case.
5) Short wait (sleep) statements added to Server Control Panel Update procedure.
6) Report filtering function now handles legacy Symbols containing spaces.
7) Alloc. Trade fix for "Buy Only" and "Only Sell Alloc Table Symbols" cases.
8) Period Billing code substitution on CSV exports now only occurs if code is "M","Q", or "Y".
9) User switch from non-valuation table to Position table was bugged in 7/22 release, this is now fixed. 7/30
10) One more tweak to yield reporting, for when portfolio history has not yet recorded a distribution 8/1
11) Server Control Panel now prompts for users to replace "demo" password with their own password of 8/2
at least 6 characters, to improve the security profile, particularly to protect installations on a 
local area network that could contain other computers that are compromised. 

7/22
1) Income F/C report now no longer reports income after maturity date. (fix to 6/14 update).
2) Report "Email from" tag line no longer automatically added to report emails.
3) Blank zero field rendering now works for various ROI statistic fields.
4) Several new dispersion reporting related fields added (Level-4)
5) More tweaks to Income f/c report primarily to deal with fixed income securities w. price factors and the payment date option.
6) Problem in prior release with multi-currency report showing closed foreign currrency balances fixed.
7) Trans. Hist. Rpt now shows transaction descr. in lieu of security desc. if MMO TAC type.
8) Client Info report tweaks to break out the two email addresses as separate fields. 
9) Matrix report label wrapping bug introd in 6/15 release fixed.
10) Multi-date Batch Valuation now works as intended for week-ending scenerio.
11) Fund acctg Trust Acctg tweaks to code that generates Particip. Transactions from manually entered fund transactions to make work as intended.
12) Fixed refresh problem detected in switching position record views.
13) Fixed problem with downloading/reporting perf. for securities paying once/yr dividends (correct problem intro'd in prior two release).
14) Accounts table now displays Value field using grey font and "strikeout" when a valuation is missing prices or is perturbed.
15) "Two Currency" reports now assume global specified base currency if none is specified for an account. Also rtns FXrate=1.0
if FXSymbol invalid.
16) Non-Admin Users can now be assigned accts belonging to higher level users (e.g. Admin) to facilitate the non-admin
user to maintain such accounts w/o granting that user full admin level permissions.
17) Yahoo stats dnlds with current quotes (#12 in 6/15 update) fixed so the current quotes now not suppressed.
18) Fund Acctg Transaction generation dialog now supports display up to 6 decimal place NAV.
19) Interactive Brkr Interface now provides Advanced option to turn off/on "Country code" appendage to ticker symbol 
when importing multi-country custodian data.
20) Controls to specify path for RAF (Report Archive Fmt) files now suppressed on Rpt Runtime
setup page as users should not need access to this non-viewable internal format data.

6/15/15
1) Option to create multi-date batch valuations extended allow creation across multiple years to current date.
2) Fund Acctg Particip. Performance report now has optional field to report incentive fee computations w. hurdle rates.
3) Fund Acctg particip. incentive fee generation function tweaks to properly support hurdle rates.
4) Function call to stop SQL Server DB instance replaced with call that confirms it has been stopped if "Net Stop" branch used.
5) Div. yield calc from portfolio records tweaked to work for case of only one div./year as for some mutual funds.
6) Security record "Distrib." field option of "Use Portfolio History" added to use to force report yields to be based on
portfolio transaction history.
7) Fund Acctg symbol exclusion now supported on Fund acctg participant performance reports, report fields added to show Value and profit 
exclusions and ROI with Exclusions (before fee). 
8) Reporting code involving exchange rate gains fix for case where no transactions exist for a symbol.
9) Correction made to chg #42 of 5/4 release to reinstate proper transaction cash balance calc for foreign currency transactions.
10) Shift+Ctrl+, and Shift+Ctrl+. when on a portfolio transaction, valuation, position, etc. view moves to prior/next portfolio.
11) SeTFld function enhanced to safely handle invalid input for data type.
12) Download of Current Quotes now populates "Statistics" table with current MarketCap, P/E Ratio, P/Sales ratio, Yield%, etc.
13) Report Income Forecast report fixes for when "Pay Date" (vs. ExDate) option is specified.
14) Bug in Sub-Account record manual input fixed (corrects 9/14 error)

5/11/15
1) Distrib. Generation tool now assigns correct Div & Int TAC code for short positions
2) Merger Generation tool now skips accounts not holding position on applicable date.
3) Batch Val. dialog adds option to do Security Reinit. in portfolios in addition to security "Repricing"
4) Tweaks to Batch Valuation dialog "Date Range" option box initial setting.
5) "Use Payment Dates, not Ex-Date" option added to F/C Income report, required specifying Ex&Pay Dates in Security Records.
6) Position Reports with "Sub-Allocations" used now do not drop last symbol.
7) Switching betw. fund-accounts fund transaction views now reloads fund account picklist.
8) Report label caption handling revision to correct bug intro'd in 5/4 release for runtime modified labels


5/4/2015
1) Allocation trade function, tweak to handling cash-equivalants.  12/8/14
2) Cosmetic tweaks to account note insertion in reports.
3) Report and Import browser log appearance tweaks (larger scrollable area/ smaller header/footer).  12/12
4) Code added to fetch System Id for future use. Also, Code added to save base MachId in Database for future reference.
5) Optional "Foregone" gains and income fields added to realized gains reports.
6) Foreign cash "cost" basis computation fixed (bugged in prior release)
7) Fund Accounting "Share" record computations speed up.
8) Default dates used in import routines now exclude the "time" part of the date.
9) Cross-ref. Mgmt Fee Export standard report added to reduce the need for users to customize report to do that function.
10) Custodian Import file listing now uses "File Modified Date" in lieu of Windows "File Create Date" in cases
where the "Modified" date is earlier than the "create date" to resolve problem where files which are moved
in Windows are given the "Move Date" as the "Create Date".
11) OFE Tac ROI effect in by Security reports can now be associated with a symbol instead of assuming "(CASH)".
12) The EXP & OFE Tac Transactions can use a figure in the Aux Amount field to adjust cost basis.
13) Valuation recompution modified to set "perturb" flag on next record to deal with case of
interrupted re-calculation process.
14) Income/Expense Rpt "Tax Withheld" field now uses TXS and TXW "Amount" fields if the "Withheld" field is blank.
15) "Request Remote Assistance" function prompts now based on Windows Version.
16) SQL version number now reported correctly on SCPanel for Win7/8
17) Support for MS-SQL 2014 implemented.
18) Fund accounting reporting correction for participant perf. report from inception (corrects 12/8 error)
19) Misc Fund Accounting tweaks to make manual entry of fund transactions smoother (e.g. NAV missing 
prompt replaced by color cue (orange) in NAV field)
20) "All Fund accounting table refresh" now also refreshes Valuation table.
21) Third party DevEx. source near Line 3780 in CxCustomData.pas encapsulated in Try..Except to bypass data induced bug.
22) Reconciliation Qty & Val Diff fields now filled in S/T records when multiple instances of same symbol in group.
23) "GetCLAcctNumFromBDAcctNum" routine now checks for an existance of an account in the account records before doing a lookup of the AcctNum in the Sub-Account records (so assign proper Portf. Acct Number in Recon records)
24) Code review/fix of usage of "Absolute" function to minimize chance out-of-range values being passed to it.
25) Change of an intermediate variable type from "currency" to "float" and other computation changes in the computation of foreign currency cost to resolve computation issues on currencies with large exchange rates.
26) "P/I" field on Fund Acctg Transactions now activated at Pro-3 level to use to categorize transaction source.
27) "OppositeSign" function disturbed by #24 above, revamped to not use absolute function.
28) Correction to Sigma computation for periods > 1yr, output had been mistakenly time normalized (since 7/2012) when it should not have been due to input being already normalized.
29) Dividend/Interest rate lookups used in reports refined to better deal with special one-time dividends and with Mut. Fund Cap.Gains Distributions rolled into distribution history. Portfolio Transaction history now given greater sway over determining actual dividend rate. 2/3
30) Div/Int. Forecast from downloaded data now allows more time for late data 
31) "Commission" reporting field now available in Performance reports for PWM level of program.  
32) Browser based report screen header design tweaks to "tighten" pages.
33) Transfer from blotter function check box to check for dups now works as expected (i.e. does not check) when unchecked.
34) ROI matrix report now allows "blank" zero sub-totals for improved appearance when no activity in a group for a report period.
35) Distrib. Gen. function now supports multiple same date transactions in same security.
36) Improvements to Bifurcate Lots tool to extend its use as a multi-account, multi-symbol lot modification tool.
37) Manual Entry into "Local Amount" field on Trans Blotter now recomputes Amount field as expected.
38) Internal "RptFixup" function tweaked (uses descendant RptDesign object) to permit more flexible programmatic initialization of reports.
39) "SGDistribs" and "CostBasesAdj" categories added to Income/Expense report (Amounts separated from CGDist & RetOfCap categories)
40) Report "Hide ROI" for Cash & MMFs extended to ROI Matrix report.
41) Three additional optional period fields added to ROI matrix rpt.  2/24
42) "Trn Currency" field in multi-currency transactions now forced blank for BFC & SFC transactions to ensure
base currency cash balance properly computed.
43) Multi-date batch valuations now can go process existing valuation dates w/o generating a conflict error.
44) The computation of the Sigma statistic modified to limit the "Avg. ROI" element used in the computation to a "rolling average" value of no more than twelve months. It had been observed that over long periods encompassing both a bear and bull market, e.g. 2007-2015 that the relative lower average ROI for the entire period resulted in higher computed standard deviations for performance encompassing the full time frame. Research found no consensus for the length of time that the average should be computed over, however some figures reported by third parties appeared to be using relatively short periods. Our belief is that a rolling 12 month period is long enough to accurately report portfolio risk for longer term investors, without overstating that risk for full market cycle periods.
45) Computation of statistics (alpha, beta, sigma, etc.) now better bypassed if not displayed in a report (for faster generation of rpts).
46) Fix in PFTcalc unit suppressing "PopFilter" call to resolve error preventing opening of valuation table.
47) {DROPPED: Backup process will convert any DB's with >2MB LDF files to "Simple Mode" DB format to eliminate unnecessary large LDF files. See #61 below}  MDF & LDF file sizes (in MB's) are now displayed on Server Control Panel.
48) WCF (Wash Carryfwd) transaction now does not interfere w. cash / share balance computations of trnsaction view.
49) Custodian and generic import from shared Network folders is now supported.
50) Reporting related memory leaks reduced. 
51) "Re-factored" (tweaked)  routines for "massaging" report column headers for substituting dates and symbols at runtime.
52) "GetSymbolsHeld" routine now treats transactions with non-"(CASH)" symbols with Cash transaction codes as if it has the CashTicker symbol (suppresses reporting of extraneous symbols).
53) "Request Remote Assistance" utility call now gives Admin Rights and adjusts for screen resolution.
54) Some browser functions now open in IE in a slightly shorter (12% less) window to better fit typical screen aspect ratios.
55) Fee Report "Effective Rate" field now uses "Uniform Period" rules if that option is checked in Fee Rate records.
56) "Generic" grid "Edit" forms now open with same Height/Width ratio as screen.
57) CIL transaction cost date and cost amount now appear in R.Gains Report.
58) Deletion of client records now archives data in related accounts as intended.
59) SCPanel Report Configuration now contains control to limit rate at which report emails are sent, so as to avoid
conflicting with user's third party email servers which may limit number of emails sent per hour.
60) Report Column Label Wrapping for Benchmark Indices columns activated.
61) Server Control Panel "Database Compaction" functionality moved to the "Admin/Configure Captoolsnet Database" dialog. The user is now given control whether the LDF Log file is put into "Simple" or "Full" modes. Most users will want "Simple" mode for smaller LDF files, but the Full mode may be needed for users running certain reports and other operations which use the LDF file on a temporary basis.
62) Merged reporting with multi-currency is now supported, e.g. if a client has accounts denominated in different base currencies they can be merged into a single uniform "report" currency.  Requires the multi-currency license option.
63) Fund Acctg. generate transaction dialog enhanced to show current fund id. & bug which sometimes crashed dialog upon first opening fixed.
64) Portfolio Transaction "Aux Xrate" field no longer initialized at "1.0" so it can be "blanked" to force use of Transaction exchange rate.


12/6/14   {11/19/14}
1) Tweaks to SubAccount record processing to ensure AcctId field is non-blank.
2) SubAccount record count limit on import relieved by factor of 10
3) Tweak to "Bifurcate" function so symbol filter works as intended (also confirmed data trnsfer to split lot does not corrupt record).
4) Allocation trade table behavior when "Buy/Sell" field is blank restored to its pre-9/11 release function, i.e. blank is treated as same as "Buy or Sell".
5) Error raised when manually entering Trans. Blotter record (shortname field) resolved.
6) Correction to item #43 in 8/12 release to attribute ACL transaction to security, not currency. 
7) Reconciliation B/D import Record_Clearing modified so can import from multiple source files as for Pershing Global. Import of same file twice will create dups however.
8) Foreign Currency cost calc tweak to prevent cost blowing up when position almosted zeroed out.
9) Report records grouped by various acct record group identifiers now will display as a subtotal 
description in Acct Title or Short Account Name field. More verbose descriptions for Acct Code, Type
& Group fields may be added via the Types Table.
10) "Custodian" option added to report account selection filtering.
11) AllocByAcctType & Group Charts now only require level 3 instead of level 4 license.
12) Redo on #5 above. 10/12/14 Hotfix
13) Bug intro'd in June re Gr. Totalling of Commis., Trade fee and TaxWH fields being doubled, now fixed.
14) UpdateStat Procedures and CallBackFuncPtr moved from private to public scope in Reports & Imports to ensure assigned a globally resolveable address
15) Report Group "Description Display" checkbox on Report Body Edit "Group" is now active, 
i.e. when unchecked the group description is suppressed.
16) Report Email "Master Password" functionality reinstated.
17) Backup purge routine tweaks.
18) Program Permissions - bugs in orig. code fixed so permissions setting works as intended.
19) Tax Rate record lookup routine updated to use current Delphi (XE) bookmarking.
20) Desktop side export script (e.g. alloc. trade) now look in both Program and ProgramData folders 
for scripts.  Alloc.Trades now suppress export of no-trade transactions.
21) Backups now have option to Zip compress older backup folders (recommended) and to optionally archive
zipped backups on a network drive. 
22) "Export" option of certain temp records such as allocation trades, bugged in prior release is again functional.
23) Position records display ceiling on # of records before suppressing income/yr calc bumped from 50 to 100.
24) Captools/net Desktop program no-longer attempts to email bug reports when exception generated (b/c outlook keeps retrying to send email).
25) PurgeBackup function now does not place purged folders in the windows recycle bin so as to prevent disk space consumption.  12/1
26) Manual PurgeBackup function now also will delete zipped backups.  12/1
27) Generic Import bug intro'd in prior release is fixed.  12/5


9/11/14
1) Desktop program Log-in Dialog tweaks to resolve Win8 issues under Log in Options.
2) Custodian import code tweak to reduce sensitivity to blank lines in script.
3) Fund Acctg code tweaks so portfolio generated transactions from fund acctg have Local Amt field filled.
4) Fund Acctg trans. gen. function NAV lookup now no longer Acct# Case Sensitive.
5) Array of TCalcRec in Desktop TabCalc unit deprecated by attaching TCalcRec objects to TabCalc objects to simplify code.
6) Field type error for Fund Acctg. Ledger table, "NoSignCalc" field resolved (only affects fund acctg users).
7) Fund Acctg tweaks to ensure local amount fields filled for automatic transactions.
8) Fund Acctg Rptg tweaks to give better control over "From Inception" participant perf. Rpts.  
(GetAcctValueForDate function extended to return addl parameters)
9) Fund Acctg generic import modification to fix the import of Fund Accts from a CSV file.
10) Internal CashFlow record modified to include Distribution field to support extended multi-currency performance reporting.
11) Billing Months in prior update now populates correctly.
12) Custodian import error for OpenLot/Realized Gains table introd in 8/13 release, now fixed.
13) Manually created security record now has "Active" flag set to true.
14) Misc. broken context help links repaired.
15) Sifma and Finra security lookup links removed b/c no longer offer useable security lookups.
16) More tweaks to fix bugs and make improvements in change made in #5 above.

8/12/14
1) Est. Tax calc. now adds back any taxwithheld before computing estimated taxes on dividends/interest, etc. 
2) Foreign Cash profit error introd in about 1/27/14 Hotfix corrected.
3) ROIMatrix report "show zero as blank" option now works as intended.
4) Fund accounting report headers now substitute fund acct Titling info w/o need for explicitly entering placeholders in header field.
5) Fund Acctg, fixed bug preventing "Expense" report from running. Also Rpt Header insert for fund symbol now populates.
6) Fund Acctg, add'l support for importing fund acctg transactions, by populating/computing NAV & Qty fields.
7) Fund Acctg, Use of "P/I" (principal/income) category field extended to allow users to use this field to differentiate
firm vs employee contributions to managed pension fund.
8) Wash sale computations now correctly handle wash transaction occurring w/i 30 days before closing transaction.
9) Transaction trade price now support > 4 dec. places if such specified in Gen. Preferences.
10) Plugged some memory leaks in ServerRDM & CTSrvUtil Units related to Temp datasets not being freed.
11) Fund Acctg, algorithms to mark (perturb) and update records due to changes in other records made more efficient.
12) Fund Acctg, transaction import modifications from #6 above to update share balances.
13) Fund Acctg, Acct Name field added to fund Transactions as a "Lookup" field. 
14) Add'l tweaks to Wash sale computations.
15) Blotter transfer speed up by offering options to suppress duplication check. (useful for users w. many transactions)
16) Transaction import of multiple files speedup implemented by doing post-processing (record massaging and updating to
database) after each file is imported rather than in one massive effort thereby reducing system resource reqts.
17) Fix to correct error intro'd in #25 in 3/6 release (see below) for fee rate% reported for layered fees.
18) Fee report calc correction also for advanced adjusted fee with layers, where the rebate for a closing account is
now properly layered.
19) "Billing Months" field added as an optional report field. This is reported as a whole number if the Start and
End dates are at the end of the calendar month or work month (i.e. last Friday of month).
20) TAC codes BOP & SOP treatment made same as BUY and SLL in cost basis calcs. 
21) Custodian client/account import for IB tweaked to be compatible with current data format.
22) More Fund Accounting tweaks to support import function added above and to speed certain operations.
23) "Published ROI" computation option, bugged in prior release change, corrected to exclude start date record.
24) More multi-date batch valuation options added.
25) More fund accounting fixes & improvements (incl. avg value based fee fix).
26) Foreign cash cost accounting now properly relieves cost at average rate.  4/15/14
27) Report file saving option to not use identifiable info revised to partially obscure acct#s and names used in the filename. 
28) More report header/footer page options added, including salutation field. 
29) Fund Acctg generated Portf. Trans. dates are now same date as fund accountg transactions if no shares generated.
30) Optional "Year-to-Date" fields (including YTD ROI) added to holdings report at Levels 3/above.
31) Custodian Import Speedup by using sorted cache list. 4/18
32) Unnecessary before commission ROI computation bypassed if that field not selected by user.
33) Pershing Global script fix for BDmemo field which is used for some TAC translates.
33) Custodian import bug intro'd in 4/18 hotfix affecting some interfaces (IB), fixed 4/24
34) Scripting improvements for Custodian Security & Price records in support of FX rates and single pass imports.
35) Zero Quantity CGR and SGR transactions now properly adjust costs.
36) Custodian import enhancement to support import of country code derived from 1st two characters of ISIN number.
The country code is appended to the symbol to avoid symbol conflict between identical symbols in different
countries.  Currently this is scripted only for the Interactive Brokers interface.
37) Computation of foreign cash based upon transaction currency field implemented.  
38) Distribution generation can now be generated up to indicated maturity date or distribution gen. end 
date (whichever earlier) rather than stopping at current date.
39) CBA transactions now reported in Return of Capital category of Income/Expense reports
40) RCV_DLV_pair checkbox status now taken into account for Total Additions/Removal in Valuations Table.
41) Generic price import now removes time part from date to suppress setting of "intraday" flag.
42) Blotter transfer function now sets default duplicate check set to "On".
43) ACL transactions on non-base currency securities (i.e. "foreign" securities in a multi-currency acct)
now accrued to the currency designated in the transaction record "Trans Currency" field if it is different
from the transaction security's currency (also the routine that computes the accrual is now a separate routine).
44) Fund Accounting participant composite performance report fixes for multi-currency/foreign cash acctg cases.
45) Credit/Debit Interest Table removed from view except for Pro-4/Ent-4 Licenses with B/D option set.  
Related IOB computation tweaks.
46) Correction to 3/3/14 bug that double counted effect of Tax W/h field entry in Estimated Tax computation.
47) Client Group reporting enabled at Level 2 (prev. Lev. 3).
48) Fee Class field added as an account filter option on the report run dialog page.
49) Fund Accounting "freezing" of Fund Account record now can be done on a per record basis and also prevents recomputation
of frozen account transactions.
50) Record "freezing" routine tweaks.
51) Fund accounting reporting correction to properly compute shares for end date SLW/LQD transactions. Fund & Acct share 
computations centralized in single routine to ensure consistency.
52) Fund accounting transactions which do not add/remove from portfolio now suppresed from creating a portfolio record.
53) Interactive Brokers import code tweaks to properly handle currency trades.
54) Sub-allocation function (Pro-3+) via security notes tweaked to properly handle merged accounts case.
55) Bifurcate Lot function added to "Tools" menu.
56) Server Control Panel option added to control generation of expired options transactions during valuation computation.


3/6/14
1) Cumulative performance report default periodicity tweaked to use "*Y" for last period.
2) "Period Size" field output for Cumulative perf. rpt now rounds better to nearest month or year
when end date is on a weekend and user does not create valuation on the calendar date.
3) Div by zero possibility eliminated in connection with erroneous SP+ transactions. Also deals better
with same date SP+ transactions which can come in from some data feeds.
4) Security Category Description field in reports now shows in subtotals.
5) Growth by categ. graph period now not subject to report periodicity order.
6) Portfolio Perf. report from inception period tweak so cash flow period (w. hidelines=none)
consistent with displayed period when ending period is from inception (was 1-Dy diff.).
7) Report PDF Font Encoding option added to Server Control Panel options (to support Mac encoding).
8) Server Control Panel DB fixups now always run when new version date > existing version date. (this
was to ensure that Simple Mode backup is set for all users, See item #24 prior update)
9) Checking for program updates no longer suggests system backup.
10) M.Except bug reporting email addressing updated.
11) Fund Acctg Incent Fee tweaks.
12) Wachovia First Clearing interface enabled at Pro-1 level.
13) TDG (tax deduct. gift) code transactions now populates AuxDate and AuxAmt fields.
14) Annualized cumulative TWROI line support added to Roi chart
15) Option to use portfolio based transaction data in lieu of distrib. records for 
estimated income added to forecast income report. 
16) Tweak to Mstar analytics export to support "Family" field.
17) Corrected Several places where string lists specified "No Duplicates" to also be "Sorted" as 
required for the "No Dup" case. (fsv_ABVrec, fsv_BatchOps, io_GenImport)
18) Special symbol "~Closed~" exempted from being considered a money fund symbol.
19) Valuation "profit" fields now summable on grid.
20) Report subtotalling improvement for text group fields in multi-level grouping type report.
21) MFA and PCA type transactions factored in to performance report results.
22) Fund Accounting incentive fee computation algo. simplified if no concession base specified; this also corrects an overstatement of the fee computation.
23) Data converted from CTWin now tolerant of lookup type fields recently added to acct records.
24) "Buttons" on Web Interfaces tweaked for better text readability.
25) Reporting of annual fee rate for layered fees for partial periods now computed as 
using the layers assets as the wtg factor.
26) Reporting of Mgmt Fee and Incent Fee in Fund Accounting no longer overlap.
27) Incentive fee report breakout added to portfolio performance reporting.
28) Backup purging params tweaked to retain more backups 
29) Generic import functionality added to use "skip= " to skip records containing value 
indicated.  Also added checks to handle Nil records from lookup.
30) Group Description reporting lookup in Rpt_BaseRep unit now support fund acctg transactions.
31) Realized Gains Rpt now splits partially washed loss sales in report in order to maintain long
term hold status for part not washed.
32) Option for Generic Import of Fund Transaction Records activated.
33) ROI Matrix report display period fields where security was not held as blanks.
34) Realized Gains report now has option to "sub-total" Buy & Sell dates using "Last date" method.
35) Clearing of existing Recon Records upon import now differentiates data sources to preserve data
from different custodians up to a month. Also, existing Recon recs. of same Account being
imported are deleted before new import records are posted.
36) DLL's and HTML's affecting Browser based functions cleaned up for tighter look  and better visibility 
of some button components.  Support contact info in software also now refers to web link.


12/10/13
1) Allocation function now properly factors in bond accruals.
2) Multi-Currency position reports now properly include local accrual in Local Values.
3) Account merge utility tweaked so that works even when "new" account is empty.
4) Account Extract/Import function tweaks to simplify Rep/UserId specification upon data import.
5) BFC and SFC transaction codes now avail. at all program levels.
6) Chart description lookup from Security Note field fix.
7) Fund Accounting Shares & NAV calc improved to use Valuation records plus Fund Transaction records instead of 
relying only on Fund Transactions.  ~10/21
8) Fund Accounting performance reports "Income items" (e.g. interest, divs, etc.) previously showing only
distributed income now show pro-rata share of income to the fund whether or not distributed
9) DataExtract function data scramble tweak to deal with acct numbers which completely fill field.
10) Income/Expense report generation efficiency improvement.
11) Avg Fee with security factors active now correctly computes exclusions and security fee factor when mid-period deposits/withdrawals. (note: security factor for (CASH) symbol is always computed as 1.0);
12) Aggreg. ROI Chart tweaks so index and portfolio start on same dates, index ROI is now cumulative & rolling 12 mon index calculation now correct.
13) Optional ROI fields on Holding report labeling corrected and two add'l fields added.
14) Script call to open firewall for Old Dataserver port no longer called.
15) Report Periodicity date processing for case of where Fiscal Year End used.
16) Clearing of Reconciliation, Open Cost, and R.Gains tables upon import of new data now better clears old data.
17) Pos. by Lot report now applies price factor to period value changes field results.
18) Custodian import of options now supports price factor other than 100.
19) Application of Acct ROI Start/End dates specification to growth & ROI charts fixed (several hotfixes involved)
20) DST Downloader link disabled on Server control panel because Active-X not recommended for Win 7/8+.  DST Fanmail 
website can be used to get the same data.
21) Notation such as "x0.01 in the "Format" field of the Generic import template implemented as a multiplier applied to the imported number. 
22) Fund Acctg Change in #7 above, corrected to exclude same date DPF/WDF transactions.
23) "Freezing" of fund accounting transactions now does not occur until "next" day to facilitate easier manual data entry. 11/25
24) File compaction method change (see 10/8 update) now triggers on first run of server control panel.
25) Additional "wait" and log messages added to SCPanel "compaction" function to deal with very large LDF files.
26) Open Lots and Realized Gains import fills Gains and Days Held if not provided by custodian. 
27) Fund Acctg. "NAV Fixup" function fixups.


10/8/2013
1) Automatic option expiration generation code now allows +4 days slack for custodian lag in posting expiration.
2) Reconciliation Cusip to Symbol translation threshold reduced from 8 to 7 characters to support Schwab options
3) Realized Gains record import and reconciliation function tweaks.
4) Consolidated Closed position reporting object freeing bugs resolved.
5) Fund accounting cash position error intro'd in prior update resolved.
6) Chg 9/12.23 modified so does not disable Fx import where base currency not in price record. This now still correctly deals with cases where account base currency does not match implicit global base currency.
7) Server Control Panel now puts the database in "SET RECOVERY SIMPLE" mode when you run "DataBase Compaction" function to minimize size of LDF files. We judge that this is ok, since the full recovery mode is never used in practice. 
8) Mgmt Fee Xref report group subtotal for "billing days" field now correctly computed (bug in last update)
9) Client Name fields in merged Fee reports now show account owner name not group master name.
10) Optional "Misc Status" field (normally hidden) added to transaction records to allow characterization of transactions for tax and other purposes.

9/12
1) Cross-ref reports no longer need to show security detail to report aggregate values for 
security stats such as Yield%
2) Sub-Account Symbol import tweaks to avoid field getting overwritten.
3) Reconciliation, Open Lot and Realized Gains custodian imports now do not "de-dup" identical records.
4) Fund Accounting "NAV fixup" utility added (this can be used to verify NAV consistency and fixup when not consistent)
5) Single table XML import fixes.
6) Price History "Time" fields now retain blank value manual creation of new record.
7) Price History records now not overwritten by download if DataSource does not match Download Src.
8) Multiple entries of same account/symbol on Reconciliation Table are now subtotaled.
9) Single transaction branch of IRR calc modified to require that transaction to be first Cash Flow.
10) Fee report handling of Billing Days and Avg Balance for accounts starting mid-period tweaked.  
11) YTM calc now automatically computes accrual even if no accrual method specified by user.
12) "Investment Gain" and "Investment Gain%" field options added to reports.  These differ from
"Profit" and "Profit%" fields in that only cash flow inputs/outputs used (no non-cash cost adjs).
13) Bond Accrual treatment in allocation trades corrected
14) Fund accounting now ripples down recalcs if amount in a fund transaction is made. Also automatic freeze of portfolio records in fund accounting portfolio extended to current date.
15) Tweaks to calculation/reporting of large negative ROI's to support better convergence near -100%.
16) Closed position reporting tweaks. (8/20 & 8/28)
17) Swap trade min qty rounding now works as intended.
18) Report footer spacing tightened and potential paging problem when report "borders" active resolved.
19) Before Fee ROI now properly reflects user's custom selection of OFE and other TACs as a mgmt fee TAC
20) Mgmt Fee summary reporting of average balances on new accounts tweaked (does not affect fee amt).
21) Realized Gains Reconcile table "push down" of costs now works as intended.
22) Generic import function tweaks to deal with data containing apostrophes and other issues.
23) Multi-currency Exchange rate look up algo no longer presumes account base currency and global currency are the same.

6/18/2013
1) Chart min-y axis initialization reverted to pre-4/30 value of "True"
2) Tweak to rpt PDF attachment routine to prevent random duplicate attachments
3) "Calc" function now operates on "Lot" field of Trans. records to assign sequential lot # for opening
lots when specific method is used.
4) ROI matrix report now implements optional hiding of "cash/mmf" records.
5) XAE (expense accrual) transaction activated at level 3.
6) Fee fields in report footer now support layered fee situation.
7) Duplication of records with lookup fields (e.g. alloc. records) now does not error out.
8) Security records entered manually now flagged as "CTnet" created records.
9) "Fill down" in fund acctg records now operative.
10) Fund Acctg fee trans. record generation now suppresses zero fee records.
11) Support added for Beta Index to be Synthetic index.
12) Fund acctg, h/w incentive fee calc fix.
13) Footer subtotals returned to Position table for Value and Cost flds.
14) Allocation trades now properly factor exchange rates.
15) Amortization treatment with partial redemptions fix.
16) Report "DataStartDate" reset in each account group to runtime startdate (fixes #2 4/30)

4/30/13
1) Fee table "Group" field re-activated for Level 2 users.  
2) Report Start Date reverted back to not being set to dataStartDate (3/29 release #7)
3) "rf_EffectiveFeeRate", "rf_FeePctPerYr" and "rf_BillingDays" added as placeholder options in Fee Report User Text and Footer.
4) Client related fields now supported in Mgmt Fee reports detail line.
5) Tweak to Item#1 (LT hold period) from 3/29 release.
6) Security ROI exclusions now properly deal with Non-cash RCV/DLV transactions.
7) Quote Download (from Yahoo) now does not update Security description unless blank (due to some truncated descriptions for on site for some securities)
8) Cost adjustments for splits now does not adjust cost for transactions on same date as split.
9) Tweak to ROI Matrix report header descrip. routine so YTD only shows if period EndDate matches report end date.
10) "Billing Days" on Mgmt fee subtotal now rounded to whole day instead of truncated to whole day.
11) Tweak to "Uniform Period" option implementation in Fee Billing to allow for end of quarter on March 28 in case of Easter falling in March.
12) Error message from Desktop in case of loss of Server connection, now more verbose. 
13) More Security ROI exclusion tweaks (see #6 above).
14) Growth of Synthetic indices no longer has discontinuity at date of mix change (fixes bug introd in prior rel).

3/29/2013

1) LT hold period for reporting now requires 12mon + 1 day consistent with IRS regs.
2) Import script now supports "wildcard" char "*" for symbol translations,
3) Cost adjustment from zero quantity DLV transactions now attributed to source lot base upon
Aux. Date matching rather than spread accross multiple lots.
4) Performance reports now ignore account "Foreign Cash Accounting" Setting as "off" unless the license
has multicurrency active, and a base currency is specified.
5) Import and Reporting now always treat CashTicker currency as account base currency.
6) IOB TAC code added to "Sweep" TAC set.
7) Report periodicity function called earlier in base report runtime setup to support user adjustment of start date with "I+" notation for all report types.
8) Valuation chart "cost basis" item (recently added) now not displayed unless Caption is not blank.
9) Fund Acctg. tweak to include DLV fund transactions in Incentive base computation.
10) Cost basis computation modifications to better deal with cost adjustment transactions including zero Qty DLV, and correct issues introduced in the 2/8 release.
11) Realized Gains Table reconciliation enhancements, including coloring to indicate custodian closing costs pushed down to portfolio transactions.
12) The fields 'rf_EffectiveFeeRate', 'rf_FeePctPerYr'and 'rf_BillingDays'now supported as placeholders in UserText and footer of Management fee reports.

2/8/2013

1) Contract price no longer imported into Aux. Amt field for Futures contracts or CFDs
2) Wash sale adjustment calcs now successfully handle February (short month) loss sale with monthly reinvestment
3) Modifications to support using Sub-Acct Record "Symbol" field for composite investment style.(folio support)
4) ROI chart generation tweaks to ensure correct chart start date esp. for Cumulative ROI
5) Fund acctg. "NAV" display precision now can be displayed up to 6  places.
6) Non-U.S. date format related issues resolved (S.African date format & fund acctg dialog dates).
7) Fund Acctg. tweak so default NAV and share precision to 4 places if Fund Param Decml fields Null.
8) File/Restore View Settings function tweaks to remove suggestion that user restore using RegEdit
(due to risk of user error) if Captools Restore function fails (e.g. in Win7)
9) Transactions generated from Fund Acctg to a client portfolio now not subject to "Trade Price" being limited to 4 decimals.
10) Fund Account FAcalc unit revamped for better efficiency and improve robustness.
11) Reconciliation tweak to better match multiple lots in a symbol.
12) Reconciliation and Position price and accrued fields are now "maskable".
13) Price Downloads from Position records for prior dates no longer also triggers a "Current Date" download.
14) Option added to "delink" fund accounting transaction entry from portfolio transaction (Use "Delink_Trans" in Param Record "Code" field).
15) One more tweak to item #2 above for wash sale adjustment.
16) Tweak to #13 to use "Intraday Price" flag as criteron to re-download historical prices.
17) Reconciliation view now applies AcctId field in record comparison if active.
18) Blended index plots now "fill" weekend/holiday prices with prior market day's blended price.
19) Realized Gains report handling of "Washed Sale Days" now consistent with the Position by Lot report.
20) Reconciliation price import now applies multi-custodian pricing if pricing must be fetched.
21) Tax rate table State and Local CG rates specified in Keyword field now only apply to long term gains. Help
documentation updated to reflect that State and Local rates are additive to the Federal Cap Gains rates.
22) "Third Currency" valuation reporting added for Level 3/above multicurrency installations.
23) Transactions coded as "NQD" are now apply "Non-Qualif." tax rate, if one is specified, other than "Ordinary" tax rate
24) Signature or other graphics may now we loaded into the report "User Text" area.
25) Desktop grid "Finops" unit consolidated into "TabCalc" unit.
26) Periodicity User Labels (Pro3/4 feature) now adjusts for automatic removal of duplicate date periods
27) Code added to Server Control Panel "fixup" to unregister old DCOM version of CTServerSvc service if the
	new service is installed and to warn if the new service is not installed.
28) Security symbol change now does not perturb position/valuation records.
29) Report footer order corrected so "Footer #1" always appears first.  Interim Hotfix code that expanded the
height of headers and footers reverted to return to previous height.
30) Fund Acctg "Gen Trans" function now refreshes fund trans. view after it finishes.
31) Handling of DLV transaction adjustment to cost basis for specific lots corrected to properly allocate adjustment.
32) Account renumbering function via import interface enhanced to function to merge accounts where both already exist in database.
33) Security Merger tools now applies negative sign to amount field.
34) Option symbol Format specification support added to generic imports.
35) Realized Gains Table now has functionality to push custodian cost basis to portfolio closing transactions.
36) Bond Amortization/Accretion calcs now support amort/accret upon early/partial redemption
37) Handling of CBA transactions with lot number assignment reinstated to pre 11/16 release functionality. 
38) Security exclusion from ROI reports now better deal with transaction exclusions and also now support
listing of excluded symbols and value with placeholders in UserText.
39) Reporting option added to report for individual security ROI's (e.g. for options) with maximum ROI of 100%.
40) Tax lot assignment utility fix for short transactions.
41) Period profit by security chart fix.  Also "Other %" option now works for bar charts.
42) Open Lot report enhanced (level 4) to add optional fields detailing gain changes by subperiod.


11/16/2012
1) Lot field now shows 4 characters to allow space for "Avg1"
2) SCPanel now displays proper description of SQL engine on 64-bit OS.
3) "Machine Id" now based on Microsoft Security Id instead of Volume ID for Windows installs dated post 10/31/2012
  Log-in machine Id no longer needs re-setting when user changes machines from which logged in.
4) Premargin ROI fields activated (Level 4)
5) Calc. clicking on populated Recon Price Fld will create price hist. record if none exists.
6) %PriceFactor function now a scripting option for computation of recon prices
7) Import of RCV / DLV w/o pricing or amounts now uses prior day for price lookup if a mutual fund.
8) "Base" fund accounting accounts set at 25.
9) Server Control Panel start up logging messages more detailed.
10) Report "Run" dialog tweaks for placeholder fields.
11) Specifying "End Date" in report body no longer triggers hist. Cash Flow fetch.
12) GetMem replaced with AllocMem (clears buffer) several places to resolve possibility of endless loop 
	in "GetLocalIP" and "GetComputerName" functions
13) "SecurityId" method of Dividend Accrual re-instated.  (Distrib. Method must be "SecId", in which case
Ex&Pmt Dates and Pmt Rates taken from Sec.Id record instead of distrib. records).
14) Mgmt Fee report for partial period now consistently handled with/without periodicity specification.
15) Import procedure tweaks to support using Custodian "Internal Security Id" for symbol lookups.  
(AllSymbols fetch now later, may affect DST import)
16) Import script loading routine now properly sets field type even if first instance of multispeced field is blank (e.g PriceFactor fld).
17) Tweak to GetRecordCount routine to ensure that zero returned for empty table.
18) Fix to Security Stats lookup function (CalcFinancialsStuff) to gracefully deal with empty data record.
19) Tweak to MMO and MTM transaction handling to disable field calcs.
20) Import scripting "Misc Specs" of ">=" and "<=" added to support import of partial data strings.
21) Multi-level folder generation now supported via "Report Path Placeholder field".
22) End Date field now populated in subtotal field for holding reports.
23) Transaction Sequence # made 3rd level default sort field after account# and date (to ensure server and desktop prog. 
sort same date records in same order as each other) Sequence field also made displayable but not sortable.
24) Server Control Panel no longer color flags DLL programs unless dated earlier than DLL specific "stale" date.
25) Generic import now computes "clean" price when price not included in source file.
26) Treatment of EXP transactions in share bal. calc. now carries fwd prior balance.
27)  "Cash" treatment for MTM transactions disabled in #19 above, re-enabled.
28) Position record for "Liability" in connection with futures position, now exactly offsets market value of futures
position (rather than nominal contract value) on the assumption that cash will be credited with mark to market transactions.
29) The field "Composite Style" (Level 3/higher) was added primarily to give greater flexibility in grouping performance 
results in composite reports base on management investment style. Please see Help/Reports/Performance for more detail.
30) Lot cost tweaks to properly deal with Splits and cost basis adjustment for return of capital, etc. in all cases.


8/23/2012
1) ROI matrix labeling tweak for Quarters
2) ROI matrix now reports non-normalized IRR figures (unless normalization is specified)
3) DFC (deposit foreign currency) and WFC (withdraw foreign currency) transaction codes added.
4) Aux Xrate field lookup on "calc" fcn now works.
5) Updated PDFtoolkit installed on "Hotfix" developement PC
6) Import of Interactive Broker currency trades adjusted to force "Local Commis & fees" if "US$ being traded. 
Also fix to sell side exchg rate. 
7) Perf. reports using "Taxable R. Gains" or "Period R. Gains" field now always runs computations at security detail level.
8) Default User Acct Prefs now set after custodian and generic import of account records.
9) I.B. import of currency trades in US$ where Base Currency is not US$ modified to accomodate special I.B. treatment of this.



7/31
1) "consolidate Accrued Int" option added to custodian import scripting (now used in TDWcan.idi)
2) Sigma results reporting now annualized when period > 1yr.
3) Massage of TWroi algo change from 5/11/12 release so expense transaction in closed portfolio does not result in 100% loss figure.
4) Mgmt fee based on end-value and "Uniform Fee Period" months set, now uses "actual" full billing days in lieu of "uniform period"
full billing days for pro-rating period so as to avoid understating fee for statements that use non-calendar month ends.
5) Tweak to report logging to prevent timeout on large crossreference reports.


7/6
1) Tweak so Mkt Values reconcile on Open Lot table when multiple same size lots on a given date.
2) Val Chg By Type rpt now defaults to Hide Details and Subtotals in setup.
3) Tweak to how "Trailing Note" type line is imported in transactions so can use conditional ("IF=") import 
to support fees Schwab is now including in this data.
4) Valuation change by Acct. report can now be generated as an "Acct only" report. (Fixed 7/11 so acct s/ts visible)
5) Report s/t group description now uses Lastname as well as first name when "ClientId" used as grouping field. (fixed 7/10) 
6) Price imports from Position records with no longer duplicate, and prior imports deduplicated automatically.
7) Dummy Variables used in S/T ROI calcs separated out in prior update are now initialized.
8) "Prices only" batch val. feature now has more logging.
9) Merge accts progress logging tweak.

6/21
1) "Rotated" Reports (e.g. portfolio perf.) rounding decimal now properly initialized (disabled in 6/18 release).
2) Open lot reconcilation for TDAM data now consistent with other custodians 
3) Inception ROI for merged accounts case (fix bug in 6/18 release)

6/18/2012
1) PCS transaction added to negative quantity TAC set so that it gets included into transaction share balance field calc. 5/11
2) Tweaks to Open Lot "cost push" function; highlighting Portf. Cost and clicking on "Calc" icon creates opening RCV transaction for each lot.
3) Tweaks to datestr. conversions in TaskMain to ensure non-u.s. users dates properly converted.  
4) Dividends accrued from ACL transaction is now maintained in valuation until reversal even if position is closed. Pending type div. accrual now does not accumulate.
5) Report ROI chart "Cumulative ROI" chart item is now non-annualized when subperiod < 1yr.  5/29
6) Report ROI charts "by Group/Class" etc. now apply different coloring to each group.
7) ISIN and SEDOL security identifiers added to reporting (Level 3/higher).  5/30
8) Report charts can now be stacked 3 wide (must reduce width & use landscape).
9) Portfolio ROI report fix to correct number formatting bug for European users.
10) Bug in item #3 change corrected.
11) BatchVal record freeze now triggered at last work day of month as well as end of month.
12) Non-quantity cost transactions (e.g. CBA) allocation to lots treatment modified to ensure that such transactions dated after
a close transaction are note included in the close cost.
13) ROI from inception now adjusts IRR normalization when a hidden "zero" initial valuation is inserted one day prior to start of portfolio.
14) Manually entered "Family" field now "protected" from automatic fill if already prefilled. Also field "pick list" 
now taken from own field rather than "last name" field.
15) Generic import tweak to compress long option symbols.
16) Portfolio max fetch months increased from 999 to 9999.
17) MTM transactions now treated same as MMO transactions.
18) For Option/Future pricing, if "Asset Symbol" is blank the main symbol is used for price lookup.


5/11/2012
1) Autodownloads now exclude distribs & fundamentals unless task day =Friday
2) Autodownloads now exclude "inactive" securities.
3) "Continous mode" for Excel output (implemented 10/3/11) disabled to resolve output columnization artifact.
4) Non-quantity cost Transactions (e.g. RCW) now adjust cost of prior transaction even with null lot assignment.
5) Batch re-pricing function now re-sets pricing stale days field.
6) Portfolio ROI report vs non-merged acct now rpts TWROI with Inv Wtd Avg option set (fixes error introd in 3/8 release when 
Inv. Wtd Avg. activated).
7) Custodian imports now can consolidate interest & interest reinvestment transactions.
8) "Aux Amount Local" transaction field now is optionally visible for multi-currency users.
9) Income F/C algorithm for reports now allows extra slop for late avail of div. data (2 days for monthly payers, 8 for quarterly)
10) Fund accounting transaction generation tweaks.
11) ROI for expired short options now reports positive 100%. 4/11
12) Tweak to custodian import mods made in 3/27 release to correctly handle scripts using "wildcards" in transaction code table.
13) Batch valuation progress screen again reports percent progress.
14) ROI algo tweaks for convergence issue for expired options (4/17,4/30)
15) Tax W/H field in money market fund transaction now reduces net amount field & adjustments to assoc. reporting to deal with
such older transactions.
16) Problem with Non-visible charts in report (intro'd in 3/28 release) resolved.
17) Quote Downloads triggered from the Securities Mgmt screen now update Securities Stat. table.
18) Desktop log in version dependency removed.
19) "Download" and "Freeze" dates now passed from Desktop to server in integer format to eliminate formatting issues.
20) Share balance calc on transactions can now be triggered on any TAC with a quantity requirement (not just a Symbol Reqt).
21) "Annual Income" field on position view now subtotaled/grandtotaled.
22) Scheduled downloads tweak in #2 above corrected to skip inactives rather than stop at inactives. Mkt Indices are treated as actives.
23) Pro-rating of Service fees between accounts in a group now works when there are not mmgt fees.
24) Account Split/Merge tool now does not error out in split mode.
25) Aux Exchg Rate now initialized at 1.0.
26) Account Merge utility now also adds old account# to sub-account records.
27) Security SpinOff tool now uppercases symbols entered in lower case.
28) CBA transactions w/o lot assigned now/again properly pro-rated across lots


3/27/12
1) Rpt Column Label headers hidden after first page for Excel & CSV output.
2) Cumulative ROI reports "Show Cumulative ROI Acct Detail" check box now also applies to cross-ref version of report.
3) Rptg calc. allowance made for BRW & RPY transactions with "(CASH)" symbol.
4) Custodian import speedup (esp. for transactions) due to more effic. TAC translation for non-wildcard scripts.
5) Temp Rptg code inadvertently put in 3/22 release, now removed. (effected Profit & Prd R.Gains)

3/22/12
1) Rotated Rpt indenting can now be field position dependent.
2) PIC/CCT transaction handling in reports revised to remove effect on accruals.
3) Security "merger" tool now generates RCV part of transaction and populates cost basis information.
4) Reporting for fund accounting activated (online documentation soon).
5) Report memory mgmt tweaks.
6) Bond Amortization/Accretion generation suppressed on Maturity date unless Date<=Current Date.

3/8/12
1) Wtd average version cross-ref. ROI composite option now not overridden by cash flow option. 2/20/12
2) Cost reconcile bug resolved for case of missing symbol in recon records  (custodian Id now filled).
3) Growth vs Index chart index start date now matches earliest portfolio start date.
4) Optional Avg Value field added to Portfolio ROI report.
5) Small batch valuation efficiency improvements (few %)
6) Algorithm for report wtd. avg Subtotals re-worked to support multiple nested subtotal groups.
7) Est. Tax calc on final closing transaction on a series of "washed" transaction now correctly accts for
carryforward washed cost.
8) Synth. Index graphing fix to ensure correct start date when multiple specifications.
9) Report U/R Gains no longer reduced for Return of Capital (i.e. no longer forcing Start to End Value figure to foot).


2/17
1) Refinements to cost basis reconciliation and function to push costs from Cost Recon table to portfolio RCV transactions.
2) Manual Batch valuations now attempt to download missing index prices for batch date, if downloads are activated.
3) Verbose (e.g. spell out Month) date format supported in reporting.
4) Fix to valuation recalc problem with wash loss resulting from 2/15 item 27.

2/15/2012
1) Accruals from ACL transactions now do not clear when a security is sold, rather it remains until reversed.
2) Add'l fields added to Level 3/higher Account Long/short cross-ref summary report to assist tracking cash levels and fees.  Account "Fees Due" field is now "Estimated Annual Fee" and is updated whenever fee billing report is run.
3) Cross-ref multi-date cumulative perf. report now includes check to ensure periods prior to inception of portfolio are suppressed.
4) charts initialized as bar charts are now restricted from being specified as pie charts, tho pie charts can still be changed to bar charts.
5) Report Sec. Type inclusions/exclusions modified to not require the sec type/group/class to be a grouping field.
6) Period reports now displays correct "Acct. Shortname" when that field selected with "details" hidden. (handling of other acct fields also done in same lookup procedure).
7) Rotated reports string fields "trimmed" so that right justified fields position properly.
8) Realized Gains Rpt no longer assigns displays "Err" lot# when opening transaction lot is unassigned and closing lot is anything other than specific lot (unassigned open lot displayed with close lot value)
9) Batch Valuation "Months" parameter is now persistent upon refresh rather than reverting to 1 month.
10) Generic Import of Account, Client and Security records now checks record limits one record at a time to avoid triggering limits if an import is merely updating an existing record.
11) Error on deletion of single "Temp" record handled.
12) BFC and SFC transactions now "float" exchange rate rather than price on manual data input
13) Batch Val fetch limits for "user default" case modified to use user default up to 12 months.
14) Item 18 on the 12/6 revision modified to suppress single account case.
15) Insertion of WashLoss CBA trans record on estimated tax recalc now reactivated (inadv. disabled in 12/23, item#3)
16) "Proper Capitalization" function now also removes extra blanks from descriptions
17) Item #4 above reverted b/c could not return to pie from bar chart
18) Import of schwab realized gains data now strips leading zeros from Acct#.
19) Import Cusip to Symbol function now adjusts for mixed 8 and 9 character cusips.
20) Div. Accrual calc tweak to accommodate change in accrual from transaction to accrual from 
Distribution records due to change in custodians.
21) Realized Gains reconciliation enabled for users with custodians who provide that data.
22) Upgraded charting component implemented with better memory management and logarithmic support and optional "shadowing" to 
enhance appearance.
23) Multi-chart reports with more then charts maintains chart order.
24) Code to detect discontinued dividend in Forecast income report (from about 10/15 release) fixed.
25) Distribution download start date fixed (12/9/11 update errored when many symbols selected).
26) RCR transaction code no longer cumulates cost in position records (corrects 8/11 release error)
27) WCF (Wash-loss Carry-Forward) transaction type added. This is typically automatically inserted on est.tax calc.
28) "Resume Report" function modified to allow clearing of last RAF (intermediate data format) file before proceeding in
cases where that file was not properly completed.
29) IRR/TWROI results inconsistency (small) introd in 12/23 release corrected.
30) Initialization from custodian open lot records (cost basis) record now activated.

12/23/2011
1) Open lot reconciliation fix for avg cost.
2) "Fixup" function for RCV/DLV transactions with missing prices now also does price factor checking and fixup for fixed income securities.
3) Wash loss routine in cost basis calcuation now bypassed if computation is triggered during transfer from blotter so as to prevent record update conflict during computation of estimated taxes.
4) "Billing Period" field in billing report can now optionally be populated by user specifiable code in rpt special options to better facilitate using export code required by some custodians when reporting to CSV format.
5) Report "Periodicity" format now supports using notation "B" preceeding period to indicate that it is to start from report runtime "Start Date" e.g. "B1Q,B2Q,B3Q,*Y" would indicate to report the year's first quarter, followed by the first 2 quarters and first 3 Quarters and then year to date. Using the notation "EOY" will adjust align periods to Year End, e.g. 5Y,3Y,1Y,*Y,EOY will ensure that period start dates are on a year end, and quarter dates on quarter end, and month dates on month end.
6) Report handling of "PIC" TAC code at portfolio summary level is now consist with detail level.
7) Cost basis calcs now include AMT and ACR transactions dated same date as close transaction even when occur sequentially after such transactions.
8) Cost basis reconciliation matching improvements including to allow for custodian combining multiple same date transactions into single lot.
9) Records with sequence #'s now always fetch sequence# field into local dataset before processing to ensure DB updates of same date records retain their order. (this item removed 12/20/11)
10) Custodian price import tweak to improve speed by removing unnecessary filtering of temp records. "Consolidate Reinv" import postprocessing now works as in 9/15 (i.e. no cases skipped).
11) Client and Account records now have a computed "Age" field to indicate client's age based on Date of Birth.
12) A "Forecast Income" bar chart added as a Pro-3/higher reporting option.  F/C Income periods forced to align to MonthEnd.
13) Reporting corrrection in treatment of capital commitment in U/R Gains
14) Foreign cash accounting cost basis calc. tweak to include foreign cash in/out of security trades for correct cost exchange rate
15) Transaction processing after transfer from the blotter now does not submit a separate compute thread after transfer so as to avoid "race" condition 
with subsequent operations that could cause failure of transfer and subsequent batch valuation.
16) Distribution download fine tuning to ensure new data downloaded in a timely fashion.

12/9/2011
1) Correction to ROI calc error in 12/6 release affecting ROI by security subtots.
2) Allocation table price fetching now will fetch up to 4 days stale price if necessary.
3) Scheduled downloads now has more intelligent frequency checking for Distribution downloads.
4) Statistics records now update themselves after price downloads.
5) Reporting "zero quantity precision" variable increased for certain licenses at user request.

12/6
1) Beta index cash flow date sync w. portfolio dates improved for weekend portfolio dates
2) Rotated report label column width tweaked slightly wider
3) ROI Matrix report period header tweaked to accomodate "YTD" and non-year or quarterly periods.
4) "PurgeNonSyncdValues" routine now inserts dummy first valuation itself rather than relying on other "SetROIList"
routine (change resulted from item #1 above)
5) Faster report subtotal computation algorithm implemented.
6) ROI Matrix report now reports closed security in last period it was open.
7) Custodian Import tweaks to ensure symbols always imported as Uppercase.  Uppercase check also done on init of Transaction and Position symbols.
8) Custodian cost reconciliation improvements (esp. for avg cost matching)
9) Custodian open lot import fix for symbol lookup failure where custodian does not provide pricing.
10) Specific lot assignment error introd in 10/28 release corrected.
11) Portfolio ROI labeling space allowance base on font size now works as intended (10/26 release improvement) 
12) "Reversal" transaction import modified to ensure that sign on "Amount" fields are consistent with reversal. (This also implemented reset of "MiscSpec" field in import specs with multiple specs per field)
13) Custodian open lot table view enhancements incl. support of 2nd level subtotals and filtering on subtotals only.
14) Specific Tax lot min/max function modifications for multiple same date sales.  11/21
15) Wash Loss function modifications to better handle different cases. "Days Washed" added to applicable reports. Regular cost basis and gains now always include wash adjustments, however these can be reported separately.  Field "Realized Gains with Wash" removed as redundant.
16) Line graph mods to better implement min/max y-axis values. 11/22
17) PCA & MFA transaction codes now handled consistently when ROIs at security detail vs portfolio level. Also Acct. base currency symbol when used in transactions now treated as equiv. to (CASH) symbol for reporting computation purposes. 11/27
18) Multi-account composites with security detail and non-uniform ROI start/end dates now correctly merge cash flows at S/T & G/T Level. (artifical Transaction CF added at startdate)
19) Position By Lot rpt with average cost now correctly adjusts cost for zero qty DLV transactions
20) Custodian import tweaks to support an account number change script.  
21) Generic import tweak to give precidence to double quote (") if in data over single quote as the delimiting quote character if both exist in data.  Generic import of money mkt funds now fills Qty or Amt as needed if one is missing. 12/1
22) "Sort" disabled on Tran Blotter "Calc" functions if Account number is the target field so as to allow action on multiple records w/o re-sort on posting to move a record. Also "Calc" function on "Sequence numbered records forced to start at first selected record to ensure all selected records processed.
23) Batch Valuation display of time periods now counts back from most recent valuation date. Batch val "refresh" now displays "most recent month" if user selection not specified).
24) Foreign cash transaction based accruals now cumulated even when position zero'd (so to allow for delays in accrual posting). 12/5
25) Batch tools function calls prospectively re-coded (however not activated in this release) to move to CTTasker from DLLs.
26) Reinvestment consolidation on custodian import now should always work for CGD and SGD transactions.

11/3
1) Several corrections to 10/28 release (corrects import filter error, #5 in 10/28 release).
2) QIF import date range feature in #28 of 10/26 release inadvertantly disabled import, now fixed.  QIF transactions now
imported into trans blotter
3) Lead zeros on account # stripped for Schwab import of open lot records.
4) Faster Transaction Blotter transfer due to separating out transaction perturb recalc function.
 
10/28
1) Imports and grid calcs for Money funds now net for commission and fees on trades
2) Realized gains report reverted to show "err" for lot field when lot mismatch detected.
3) Account import error from 10/26 release fixed (Posting of source in Custodian field).  
4) Alpha/Beta Index ROI cashflow reset now more rigorous than in 10/26 release
5) Custodian import script now requires a filter be specfied at record level.

10/26/11
1) Position by Lot and Realized Gains report made more efficient for short positions.
2) Sub-allocation reporting feature recently added, now properly implemented for charts.
3) Placeholder notations "\ed" and "\sd" now recognized in field headers.
4) Force Negative "bottom offset" for detail subtotals when detail line hidden now returned to zero, due to side effect. Users can change "detail line spacing" setting to compensate for this.
5) Reinstate "currency trade" massage routine for Interactive brokerage currency trades imports.
6) Other modifications to Custodian imports for currency cross trades including no longer assuming commission/trade fees are in
the local currency unless specifically scripted so. Also, money fund symbol detection now excludes currency cross trade symbol.
7) Changes to prevent non-multicurrency licensed users from having multicurrency flags inadvertently set in records.
8) Rotated report label size allowance now checks for fonts for each label.
9) Report "Periodicity" enhanced to allow co-existence of "Serial" and non-Serial Periods in same report.  With existing reports, all periods to left of "S" in specification will be considered "Serial" and all to right will be considered non-serial.To specify non-serial prior to serial, use "S" in serial period specs, e.g. "*Y,5Y,S1Y,S1Y,S1Y,S1Y".  See help docs for more detail.
10) Non-Nul "UserId" now passed for some Tasker initiated tasks which may require a non-nul "RepId" 
11) Report user customizable "Period" labels now work as intended when only indices being reported.
12) Revert Tax Lot Generation "Apply Qty" function to Pre-9/15 code (i.e. not dependent upon share sum > 0, due to user input not yet posted).
13) Specific Tax Lot generation now properly accounts for multiple same date sales in for same base lot.
14) Report Chart "Zero Y axis" check box control now functions as intended.
15) Generic Import post import check to ensure price is always positive.
16) Tweaks to handling of CCT and PIC (Capital Commitment and Paid in Cap) in transactions reports and position records.
17) Report Plot start date now subject to account "ROI Start Date" constraints.
18) Zero qty "DLV" transactions no longer flagged as missing qty in TransBlotter.
19) Transaction De-dup function now uses "TradeId" field as a condition.
20) Rotated reports date column headers now can handle single digit months and days without affecting col. header positioning.
21) Excel format output now suppresses pagination.  <-- Did not Work!  Need to do in RptBuilder
22) Email report footer now uses user's company name rather than user license name and company.
23) Import "Reinvestment Consolidation" tweak using more efficient algorithm to speed import
24) Open Lot Reconcile function tweaks to better match up lots and cost.
25) Cap. Gains rate augmented by State and Local Tax rates
26) Option symbol handling tweaks upon import to facilitate reconciling differing symbols from multiple 
custodians.  
27) Option added for Dividend payment rates for yield reporting to be computed on a "Trailing 12 months" 
basis instead of Last Payment x frequency. Also the option for Lower of TTM vs. LastPmt X Freq. for more conservative reporting.
28) QIF import now uses User specified Start/End Dates to bracket data imported.
29) Tax lot assignment tool now does not clear transaction Aux Fields in underlying non-close transactions 
or if fields were manually entered.
30) Tweak to PDF report timing (25 millisecond delay added) to resolve sporadic output failure problem for 
some users.
31) Correction to MMF symbol detection introduced in item #7 above.
32) Report logging added at security processing level to avoid browser timing out on long winded rpt.
33) Report efficiency improvements to minimize re-fetching same Index data from DB especially on 
	roi by security rpts.
34) Problem with comma in Acct. Title in Managment Fee Report body resolved.
35) Line plots will now use report date range if "0" specified as report months in Chart specs.
36) Custodian importing with filters resurrected.


9/15/11
1) Synthetic index calc (Pro-4) now works with multi-date specifications (tweaked further 8/16)
2) Batch Position Gains/Gain% now backs out accrued income from figure.
3) "CCT" (capital commit) and "PIC" (paid in capital) (lev 4 TAC codes) now exclude "accrued" amount of net commitment from reported Gains
4) Bond History report correction on use of accrual amount.
5) DLV with zero Qty of foreign security now properly relieves cost.
6) Period reports with S/L "Off" but with simultaneous S/L positions in the same security now show proper Qtys and values.
7) Accrued income again recomputed on position for which "Accrual from Transaction" is false
8) Accrual days no longer includes extra day as a default. User can use "Accrual Timing" field in security list if days elapsed needs to be adjusted for accrual.
9) Manual entry of "Amount" in transactions in foreign security/currency now automatically fills Xrate field.
10) Import script Global File settings of "OFF" now overridden by user checkbox setting.
11) Synthetic indices using multiple note records now operates as intended.
12) Suballocations reporting feature (Lev 3/higher) added 5/17 now works as intended.
13) Security Note record edit mode now does not Uppercase all text.
14) "Recomputing" the Position record "Accrual" field on foreign cash and money fund securities now re-applied the exchange rate.
15) Group Header on Bond History report now can display description.
16) ROI vs. Sigma chart (Lev. 4) modified to always use annualized figures when >1yr.
17) TransBlotter transfer routine now works for records 1 day after portfolio freeze date.
18) Tax Lot assignment tool tweaked to prevent conflict between Clear Lots and Assign Qty functions.
19) "GetApplicPmtRateForDate" function tweak so does NOT do SLCrecord lookup for most calls thus speeding up reports which use that function.
20) Generic import now sets "foreign currency/security" flags in transactions
21) Income calcs now bypassed during generation of certain reports if income fields not displayed (to speed rpt generation).
22) Annualized Index ROI's now can be displayed as "blank" when period is less than a year.
23) Accounts with ROIStartDates at the end of a report period are suppressed from being reported in period reports.
24) Holdings Reports with ROIstartDates and ROI or Mkt gains fields now utilize ROIStartDate in computation.
25) IN- and DV- TAC codes in cash flow for ROI by Security reports is now consistent with Portfolio ROI cash flow.
26) RCV transactions w/i 30days after a SLL transaction can now be excluded from cost by specifying an AuxDate after the SLL date.
27) Separate "Last Name" and "First Name" fields options added to Mgmt Fee Report.

8/10/2011
1) Cumulative ROI Report computation mods to support multiple accounts in a single report period.
2) ACL transactions may now be used for bonds in which case ACL accrual amount is summed with computed accruals.
This is useful where bonds are restructured with carryover interest accrual from prior bond.
3) Space in custodian import filename now supported.
4) Import of AuxAmount to Trans. Blotter now supported.
5) INminus/DVminus handling in profit reverted to as prior to about 3/31
6) CSV output for Rotated reports with "detail hidden" now does not hide all data.
7) Report "Below G/T" displayed Index ROI's now appear before any "User Text" and inherit decimal setting of above G/T fields
8) Default ROI option setting for ROI Matrix report set to "TWAfterMgmtFee"
9) ROI Matrix report now reports "blank" field when ROI days less than Min ROI days
10) Internal sub-account counter now decrements upon manual record deletion and increments 
upon new record import
11) ACL transaction on foreign cash symbol no longer cumulates to position record.
12) Account Note based blended indices ROI now functions.
13) RCR (return of cap. reinvested) in position by lot reports now rpts correctly adjusted 
cost basis.
14) More tweaks to Batch Ops Delete to reinstate multi-date delete capability, and to implement date conversion in all cases on CTnet Desktop before passing to CTnet Server.
15) ACL (accrual transaction) cumulation in Position records now work properly when "ShortAcctg" account property set

7/15
1) Batch delete tweak to handle inconsistent date formats on Desktop vs. Server.
2) Group sorting by value tweaked (actually in 6/28-7/1 release) to better deal with hidden grouping categories and multiple groups.
3) Report Acct Code/Acct Type filtering chg in 7/1 release now applies only to relevant sub-report when run in a group. 
4) Multi-Account report valuation graph now always uses earliest valuation date (chg to multi-acct valuation rec fetch)
5) More corrective tweaks to security detail level period profit calc. to deal with short div/int pmts chgs in 6/6 & 6/22 release.
6) Cost adjustment for ROC again properly handles splits. (5/3-17 release correction)
7) Tweaks to how Client/Acct Id "protection" is handled for Fee reports.
8) Account merge utility correction for case of accounts holding same symbol merged
9) ACL transactions with symbol (CASH) now cumulate to that symbol.
10) Client Name field for Mgmt Fee reports now populates.

7/1/2011
1) Bug in Portfolio Valuation "Est. Accrued Fee" field definition affecting some users ability to access valuations since 6/5 
fixed.
2) "SECTYPE" added to custodian import as an optional TAC translation condition
3) "Acct Code" filter in reports now also works for charts.
4) Tweaks to new "Multi-debit account" functionality to fee report (6/15 release)
5) Multilevel valuation based report sorting (Lev. 4) tweaks.
6) Handling of Valuation recalc for prior-dated perturbed transactions corrected for 5/15 mod which might leave these uncomputed. (6/28,29 versions).
7) Handling of accrued fees reporting changes (6/15 release) modified.

6/22
1) Yield as % of Cost added as a reporting metric (Pro-3/higher)
2) Several "dispersion" related fields added to Portfolio ROI report, rather than being limited to cumulative cross-ref. reports.
3) Improvements to Desktop table column header display (smaller font, better wrapping).
4) Fix to bug 6/15 in release that prevented manual insertion of new account record.
5) Report selection of applicable ROI start date when specified in account records now works properly for multiple accounts
even when ROI start date is specified prior to start of account.
6) Custodian import tweak to deal with source data with "( )" negative notation.
7) Tweak to Neg Div/Int treatment change in 6/6 release 
8) Self-decompressing non-zip format files now supported in imports.
9) Report Graphics legend formatting tweaks.

6/15
1) Batch valuation related date format handling tweaked to better deal with Desktop/Server mismatch in date formats.
2) Fee Accrual and Acct. ROI performance after accrued fee functionality added (Level 4)
3) Optional Billing date for report generated fee records now supported.
4) PCA and MFA (profit concession accrual and mgmt fee accrual) transaction code implementation tweaks in connection with item #2 above.
5) Fetching of Trans.Records for Exchange Gains reporting now does not trigger other time consuming functions 
if only exchange gains needed. (ComputeTransactionSums variable discontinued)

6/6/11
1) Security record change of symbol reverted back to pre-5/17 behavior, i.e. no longer reinitializes record for default or sec. type values, e.g. price factor etc., but does intialize new records as intended.
2) Custodian Import conditional checking algorithm tweak to make a bit faster.
3) Double counting of debit interest/dividends in profit calc, intro'd in 5/4 release, corrected.  (this did not affect roi cash flows).
4) New ROI vs Sigma rpt (Pro4) now uses annualization consistently for portfolio & indices.
5) Date window for re-calcing old perturbed valuations shorted to 100 days (from many yrs in 5/24 release) so as to avoid unneccessary long recalcs.
6) Recon records now include "ReconCostDate" and "ReconCost" as unique record fields.
7) Recon record match criterion for pricing Position records now can handle multiple records for a given account, symbol, date criteria.
8) Distrib. generation returns to using "float" temp variable for rate (rather than "currency") to preserve precision beyond 4 dec. places.
9) Batch Valuation with "download missing prices" no longer generates exception on checking for missing price (fix of 5/17 rel.).
10) Post-import transaction consolidation again operates correctly (temp. record sort fix).
11) Est. Tax computation for withdrawals from Tax Deferred accounts now ignor the Fed. and Local tax factors in security record.

5/25
1) Custodian price imports now will import zero priced records.
2) Fund accounting functionality work. 
3) Reporting lookup of various Account options revised to minimize additional DB calls
4) Local security record lookup bypassed during report generation if not needed to speedup reports.
5) Long option symbol "massaging" now also "shrinks" long option symbols with embedded "@" format

5/17
1) Position record initialization from security list now re-sets "Use ITM Pricing" flag.
2) Security record re-initialization from Sec. Type records based on change in type, group, etc. field.
3) "Decompress one at a time" import option activated. (applicable only for zipped files)
4) All Prior "perturbed" valuations are now checked for when recomputing valuations in an account.
5) Reverse split handling of fractional shares corrected to truncate in correct direction.
6) Handling of Cost adjustment for DLV and AMT transaction tweaked to correct error in 5/3 release
7) Extraction of float from text string simplified (2 functions combined to one GetFloatinStr).
8) Tweaks to remote host "privacy" function to include more fields with privacy set and reduce # of plain text chars.
9) Position record initialization from security record for options now excludes any symbols > 7 chars 
from legacy option expiration date routines.
10) Security sub-allocation reporting supported in Position report tables & charts (Pro3/higher).
11) 5/17 fix to #4 above to correct error in 5/16 release which recomputed unperturbed valuations.

5/12/2011
1) Valuation records no longer automatically perturbed when a prior valuation record is deleted. (because no longer needed and left "orphan" perturbed valuation records). 
2) Generic import of transaction bug fix of case of Sec. record lookup if blank symbol.
3) Fix to treatment of zero Qty "DLV" transaction on cost basis reduction (correction to error in 5/3 change)
4) Portf. Perf. report inception date fix (error introd in 5/3 update).
5) Rollback function fixed (disabled in prior 5/3 release) 
6) Distrib. generation function now uses "No. Frac. Shr" field in distrib records.
7) Interactive Broker script now pulls in price factors and option types.
8) Bond YTM calc tweak to ensure that Cash flow not missed for CD's due to short Feb. month.
9) Support added to YTM calcs for irregular scheduled bond interest payments via the distribution records.
10) Report support added for longer list of user period labels for portfolio ROI report.
11) Open Lot import process now clears out old records. 

5/3/11
1) Report chart tweaks to legend rows and font treatment
2) "Bond Par Value" and "Last Open Date" (Pro4) and "Last Open Price" (Pro4) fields added to reports.
3) More Rpt chart tweaks to accomodate slightly wider charts.
4) ROI by Security report with multiple accts, "Hide Detail" set and Acct.ROI start date set now generates G/T results consistent w. when detail is shown.  "StartROIdate" and "EndROIDate" fields added to reports.
5) Generic "Template" import of Trans. records now adds symbols/Descrip. to Security Table if missing.
6) In reporting IN- and DV- are now cumulated as a deduction from profit. (re-worked 4/20-22)
7) "Mkt Gain" field in holdings report (with inception date) no longer fetches historical trn record to speed rpt generation.
8) Price record "Volume" field usage extended to accommodate per unit accrual rate imported from position records.
9) Report logging now wraps lines longer than 100 char.
10) Batch Pos. Unit cost now available.
11) Val. rec Perturbed flag now cleared when cumulating Val. rec. values following "Batch Apply Prices"
12) Position rec. Accruals set from Recon records now not overridden by computed Accrual amount.
13) Pending -- Database password validation procedure reverted to use only ANSI Strings so as to work for users on systems set up to handle languages using multi-byte characters (e.g. Chinese, Hebrew)
14) Schwab recon record import reverted from import value/compute prices to import prices/compute value b/c the Values in the Recon file often do not match the C.S. paper statements for bonds.
15) Batch Valuation date format passed from Client to Server now used to resolve applicable dates (4/6 - update bug fixed 4/18).
16) Various program "Help" links updated
17) Various minor custodian import tweaks to better support Allbridge Hist. data import.
18) Acct and Client Rec. "User Defined" fields added to Report Header/Footer options.
19) Price factor lookup now enforced before computation of Recon Record price.
20) Modification to how CCT and PIC (private equity) transaction codes operate.
21) Transaction imports now pull in source filename.
22) Generic import code modified to support "Deblank" of symbols to better accomodate option symbols (put "Deblank" in Format field of spec).
23) "Avail Cash" field on account list now displayed in yellow if value falls below non-zero "Min Cash" 
value.
24) TD Ameritrade cost basis file import implemented.
25) Desktop grid minimum column width reduced to accomodate user custom narrowing of these fields.
26) Valuation calc no longer uses Prior Position/Val. records to speed calcs so as to eliminate potential record update conflict e.g. with dividend accrual calc  (cdpl)
27) Change to foreign currency transaction now handled in automatic valuation recalc w/o explicit revaluation required. (supports RCV/DLV trans. of foreign currency)
28) Foreign currency balance and currency symbol tracked/displayed on transaction view.
29) Progress logs now report total elapsed time in more user friendly format.
30) ACL transaction with "(CASH)" ticker now cumulates in accrual field of (CASH) position.
31) CIL transaction without a specified Quantity but with a relief of cost specified in the Aux Amount field are now factored into the cost shown on the Open Lot report.
32) Security Sub-category Allocation chart added (Lev 3/higher) to allow user to specify fund sub-allocations within charts using Security Note records.
33) Processing of cost basis adjustment transactions moved to later in the cost computation so allocation to multiple lots in complex cases properly done.
34) Reporting with ROI Start Date now allows omission of ROI start Date for some accounts in a group with reporting on groups.

3/18
1) Fix of bug intro'd in 3/9 release affecting tabbing into Fee Rate table. 
2) Subtotalling of new Open Lot and R.Gains tables added.

3/17
1) Realized Gains report mod to interchange "Buy" and "Sell" price display when short sales transaction involved.
2) DLV transaction with reversed quantity now computes proper "Aux Amount" (cost) field (disrupted in 9/17 release)
3) "% of Cost" fields added to reports.
4) Generic import now implements cusip to symbol conversion for price imports (similar to custodian imports).
5) Position by Lot report fields added for Acct.Val% and Group Val%.
6) DLV transactions with positive quantity and amounts now compute proper Aux Amounts so can be used for closing short option positions.
7) Excel report output now only uses quotes around text output which embeds quotes, commas or double blanks.

3/9/2011  
1) Transactions in Trans Blotter belonging to inactive accounts now marked with darker blue account # background.
2) Transaction amount fields with reversed signs now marked with different goldenrod BG color (also in Trans Blotter)
3) Position record "Stale Price Days" field now reset any time prices re-fetched and Stale Price Days>0.
4) Tmp. Mid-Period Pricing for ROI reports tweaked. 
5) Valuation dates before Acct ROIStartDate or After Acct CloseDate are excluded from ROI Syncronization Date list.
6) "Portfolio Estate Valuation" report added to support IRS Form 706 requirements
7) ROI by Security report treatment of RCV/DLV pair changed.
8) ROI reports for accts with specified ROI Start Dates now ignores those when the "Accounts
Open/Close Dates for ROI's" option is set to "Use Trans Start/End Dates" (corrects 9/13 rel.)
9) ClientId import for Cust. Data w/o Tax Id or ClientName (e.g.IB) tweaked to use acctnumber.
10) Addl tweaks to reporting obscuring of Acct#'s and ClientId#'s. (so works in rpt body).
11) "Compute" function with Price factor entered on Position records creates security record if missing (for users who had no Sec. records for symbol in prior product).
12) Commas now excluded from Symbol, Account Number and ClientId fields at import and manual entry.
13) Pf. ROI report inception and close date usage tweaks for merged reporting.
14) Pf. Sigma calc now performed even if no index specified
15) Periodicity option added to cover page report.
16) Short/Long ROI reporting activated. (Pro3 +)
17) DLV transaction matching with opening lot relaxed to allow blank DLV Aux Date if not specific lot.
18) Addl correction to item 9 above so First/Last name import not potentially corrupted.
19) Sigma placeholder option added to dispersion results available in User Text area of composite perf. rpts.
20) Fetching of pricing for ITM priced options now populates the price field with price of underlying asset.
21) Correction to exclude cash flows for non-base currency securities from "(CASH)" item in ROI by security rpt.
22) Transaction record ITM pricing now properly generates "Local Currency" value.
23) DST Import tweaks (code and script for Name address and Security import)

2/7
1) Bond accrual calc tweak to support first of month ex-date.
2) Import tweak for IB forex transaction with reverse symbol notation.

2/2/2011
1) Bond Yield to maturity subtotalling now supported in reports.
2) "Profit Attribution" fields added to Pro-4 period reports.

1/31/2011
1) Distrib. generated transactions now contain ExDate, Shrs & rate in description
2) Import Long option Symbol conversion for TDAM restored to pre-12/14 release
3) Thousands commas removed from Mgmt fee reports when CSV output used.
4) "Incent Fee Method" field in fee record now hidden as it is replaced by report TAC 
profit exclusion option.
5) When security changed from moneyfund to non-moneyfund, "manual price" flags are cleared.
6) Batch valuation "re-price only" function now overrides manual prices and does price lookup
even if "Don't Download" specified.
7) Report YTM subtotalling reinstated.
8) Transfer of "(CASH)" ticker from TrnBlotter can no longer have foreign cash flag set.
9) Fee Report has new special option "Base Adj TAC Exclusion" for excluding transactions from the 
fee basis adjustment when "Adjusted Fee Basis" methods are used.
10) Position calc. for captools Legacy format option symbols relaxed to ensure opening/closing transactions matched.
11) Batch valuation date range selection control tweaked to add more/better date range options, including "All Valuations".
11) Batch "Merge Accounts" function now not sensitive to which is destination account in 
terms of preserving older valuations.
12) Import Optional commission calc function now supports a precision specification.
13) Distribution Generation tool tweaks to deal with re-generation of Distr. Trans. when
overlapping distributions.
14) "Account Type" reporting field enabled at Level 1&2
15) Specifying a percent rate, e.g. "5%" in an account index specification will plot that rate in a growth graph.  Also The "ROI" distr. code in Distribution records now plots as expected on growth graph.
16) Additional check in tax calc function to ensure correct tax rate record used (Reset of 
relevant Account record now also forces reset of relevant taxrate record)
17) More robust recalc of cash and share balances on transaction records implemented, particularly for case of multiple same date same symbol transactions.
18) Global reporting option to display only last 4 digits in account numbers and tax ids implemented via Server Control Panel "Configure Options/Reports" dialog. This applies to 
useage in report headers, and group headers, not report detail fields.


12/29/2010
1) Period reports now populate start / end positions & values with zeros (rather than null) when no
position exists at start/end date.  (User can set report to use blank in lieu of zero if they prefer
blanks shown)
2) Thousands separator purged from % suffixed report fields for Excel output to accomodate 3rd party 
Excel rendering component reqts.
3) "RCV/DLV Pair" setting in transactions now works as intended in reports.
4) 12/14 release item for "Start ROI Date" for merged ROI reverted to prior behavior.

12/14
1) Description to Symbol Lookup now can work based upon first 15 chars of description
2) Custodian Client record import tweaks to create a unique "ClientId" from user's name and other data
in absence of TaxId.
3) Multi-period portfolio perf. reports with merged accounts now uses account record "Start ROI Date" and
" Closed Date" for each individual account when determining relevant period for ROIs.
4) "Minimum IRA Withdrawal field added to "Client Report". Default client xref rpt layout changed.

12/13
1) ROI Matrix report fix for new holdings in final period.
2) Custodian Import conditional TAC translation now can handle case of blank symbol.
3) Scattergram chart enhancement incl. "best fit" alpha/beta line.
4) Correction to default "Risk Free Rate" param used when user fails to specify one.
5) ROI Regression calc vs. Index (alpha/beta) tweaked to more correctly deal with non-syncronized
portfolio vs. index valuation dates.
6) "PDF form-fill" functionality restored (Pro-2/higher)
7) Tweak to Finra & Sifma web lookup function to preferentially use Cusip for lookup symbol
8) SubAccountDescription field added to ROI matrix report (Lev3/higher)
9) "Wildcard" characters now allowed in Generic Import Tac translation list.
10) Batch valuation option to have "No Download or Fetch of prices" added for users who are only tracking share inventory.
11) New TAC codes "AFE,AFD,AFS" added for "Advisory Fees".  This is to allow differentiation between "Management Fees"
and "Advisory Fees" where that function is split between two entities.  The user can control which of these (or both)
are factored into "After Fee" ROIs via the Report special options.
12) Cumulative ROI report tweaks to showing account detail by account group in multi-account runs as well as combined results.

11/17
1) Import status logging tweaks to make space for additional record types from custodians
in connection with 2011 tax reporting changes.
2) Scattergram charting added to level 4, w. associated charting routine changes 
(AllPVLrecs fetched at earlier in code)
3) Fid. WC scripts tweaks to correct 11/8 changes that caused some TACs to be imported as MMO

11/11
1) "Trade Counterparty" field added to transaction reports.
2) ROI Series rpt chart (Level 4) finalized.
3) Alloc. pie chart "Other" slice now colored light gray (instead of black).
4) All symbols compares now case insensitive (in case lower case symbols creep into system, 
symbol case fixup function added to deal w. this.)

11/3
1) "Gross-up" of Net Amount for accrued int. on fixed income "buy" side transactions for TDAM interface to correct for raw data field excluding accrual amount (this is not a problem on sell side transactions for this interface)

11/1/10
1) "OIP" transaction code (Other Income Paid from custodian)added to support "dividend gross up" transactions from custodians for cases where securities in margin accounts are "loaned out" to short sellers rendering the pass through dividend as non qualified.
2) FsvOps.GetPPOrecsForDateAndPosTypes function tweaked to use a string instead of word type in the Position type clause of the SQL fetch command to suppress generation of bogus exception. 
3) Resolved "Local Amt" error which occured when report special options for dividend calcs  was set at using historical transaction records.
4) Fee Billing "Service Fee" can now be pro-rated by placing notation "PRORATESERVICEFEE" in the Billing Report "Misc. Specs" field.  "Min Fee" and "Service Fee" are now taken from relevant fee record when rates are layered.
5) Report Value% "rounding rules" tweaked to better force result to round 100%
6) Progress percentage logging added to a number of batch processes which report through the browser log.
7) Custodian import now can optionally import "Rep Id" field to Trans. Blotter instead of using UserId of user doing the import.
8) BaseReport "GetFldValue" no longer returns "null" value, but uses GetRptDataSetDBFldValue so Override function is optional depending on report.
9) Code tweaks to resolve record conflicts when running fund accounting functions (L#1650 in Calcrecs, PFXcalcs.UpdateDBforComputedPTRchanges)
10) Portf. Trans. Rec "Calc" function on Amount field now triggers Amount recalc for DLV transactions. 
11) Account List "fixup" field now offers "Transfer out Acct." option to generate DLV and WDF transactions for accounts being closed. (useful when account closing transactions not provided by custodian)
12) When trans. record change perturbs Valuation record, subsequent position recalc thread now clears val.record perturbed status.
13) Various fund account computation/work flow related updates.
14) Transaction Blotter missing "Rep" posting error after edit resolved. Trans. Blot. "Inconsistent" values message now does not prevent record posting.
15) Now Calc function for Money Market Quantity for DV+ transactions edited to DRI transactions  (both Pf and Blotter trns)

10/13/10
1) Restore Recon. Pf. Account # lookup from subaccounts on import.  
2) Thousands comma removed from CSV type fee report output for compatibility with importing systems that can't handle quote-comma delimited data.
3) Fixed income report now spans from start date to end date rather than entire security  history as previously.
4) Mgmt Fee report with Start Date based Fee Basis again functions as intended when account starts mid-period.  
5) "SpecialCalc" Subtotalling on empty report dataset now does not cause report exception.
6) ROI matrix report (Lev 3+) tweak to elim. chance of redundant periods.

10/4/10
1) Bond Reporting YTM from Purchase corrected to include price factor.
2) Bond History report Remaining Cost calc. corrected.
3) Report "Calc" type Subtotalling on non-database fields now supported (e.g. on SubAcct Descrip field).
4) Incent. HW fee calc. modified to allow monthly incentive fee reporting for accrual purposes.
5) Reporting Bond YTM calc now takes price from position record rather than price lookup unless pos price zero (to avoid zero price base YTM)

9/17
1) Behavior of report CSV output reverted to prior behavior when details are hidden.
2) Cost basis is again readjusted on DLV trans. with zero shares based on Aux Amt. field.
3) YTM calc fixes so handles unit priced securities accurately.
4) Report debug stmt which could throw error fixed.

9/14 
1) Correction to import errors introd in 9/13 (9/9 compile date) release for some custodian interfaces (import failure or Qty sign wrong)

9/13
1) Recon Record sorting tweak to deal with possible Euro char. in symbol field
2) IB import script tweaks supporting futures trading.  Fix to Multi-currency import when only local amts imported.
3) More periodicity tweaks to correct 8/17 release for cases where start date is later than earliest period.
4) Initialization from Recon records now updates Trans. record control flags based uon symbol (needed for multicurrency)
5) "Calc" function on Amount field of records imported through trans blotter is now disabled to prevent inadvert change of value.
6) Import routine mods to move amount sign assignment to earlier in process so both Net Local Amt and Net Base Amount can be scripted to imported at same time w/o sign issue.
7) Report "Fixup" function now checks to see that OS has not removed Sizing Bitmap before using it. Bitmap now speced to be device independent.
8) Custodian import scripting option added (translation before combining fields).
9) Subaccount description field report option added (lev 3/higher)
10) Accretion/Amort routine tweaked to avoid exception if maturity price blank on bond spec.
11) Trans. Rec. Cash/Shr Balance tweaks to 1) deal with MMO recs which might zero shr balance and 2) to prevent recalc on Accrued Int field (prob. intro'd about 7/20)
12) Short/Lng ROI by Security rpt with "Short Acctg" now does not req "IsShort" field set for Trade transactions.
13) Cumulative TwROI computation correction. 
14) "Area" type chart coloration corrections.

8/24 {Tasker rebuild only}
1) Support for using "LongSymbol" field as alt. field for downloads added.
2) Position record lookup for options now properly handles currency options with strike price decimal
precision less than 0.01.
3) "Calc" function on Portf. Trans. "lot" field now works again.
4) Correction to 8/17-19 periodicity error so works prior to start date


8/19
1) Reporting tweak to constructing of grouping field names on position type reports so that computed fields (as opposed to lookup fields) can successfully used as grouping fields.
2) Portfolio periodicity behavior restored to pre=8/17 release.
3) Posit. by Lot rpt for shorts fix so only single rec.per short reported.
4) Tax lot calc reference to freed object fixed.
5) Wash sales calcs now account properly for splits.

8/17/2010
1) TAC based Transaction descriptions when used in reports now use "regular" capitalization.
2) TAC based Transaction descriptions now can be overridden with Types list lookup.
3) Custodian import now always forces symbol for any transaction including MMO TACs
4) Transaction report (Lev. 3) now includes Settlement Date field.  Settlement date now imported 
into Tr.Blotter as date rather than days.  
5) "Start Date" and "End Date" fields on perf. type reports now populated at S/T and G/T level based 
on first and last cashflow dates.
6) MTM (Mark to Mkt) TAC code added along with approp. valuation computations to support Futures Contract tracking with Interactive Brokers transaction imports (Level 3/higher).
7) Tweak to vertical centering of detail, Group S/T and G/T records to better center when background shading used.
8) CSV report now can be successfully generated even if detail is hidden. Right margin also suppressed for CSV & Excel reports
9) Report Benchmark Field Caption for Xref report with multiple accounts now shows user edited caption in lieu of blank.
10) Price data download speedup by reducing "sleep" times in data processing loops.
11) "ROI Series" report & graph added (Pro-4 feature).  
12) Generic import tweaks to support extracting filedate from filename or dataheader.
13) Valuation calc tweak to eliminate possible case of using base position dated prior to first transaction.
14) Option Exercise now adjusts cost basis of underlying security.
15) Tweak to report multiperiod datelist initialization to prevent unneccesary periods in ROI Matrix rpt for short term accts.
16) Server Control Panel "Configure" dialog reenabled for generic import for single users.
17) BM index ROI reporting added to ROI Series and ROI Matrix reports.  (Needs tweaks for paging)


7/20
1) Bond YTM calc correction of bug which caused YTM to be understated for some payment/maturity date situations.
2) Tweak to positioning of right click symbol "Lookup" popup menu on security and position records (for 2nd monitor)
3) Wtd Subtotaling for various Bond reporting fields implemented.
4) Report output numeric formatting tweaked to accomodate new Gnostice Excel export component for Percent fields with
values > 1000 (requires commas excluded)
5) Bond Yield from Purchase and YTM from Purchase added to certain reports (L3/higher)
6) Custodian Import with trailer note detection tweak (from 7/1 release).  Also Dest and Src values Trimmed 
in TAC translation.
7) Generic import provides option to allow spaces in Ticker symbols with "ALLOWSPACES" option in format field.
8) Custodian import scripting now allows "-" prior to field for numeric subtraction.

7/12
1) Security List Symbol "Right Click" Web Lookup functions now also offer Google, MSMoney Security lookup support and 
also offers Sifma lookup for Bond Cusips and Oanda lookup for Currency exchange Rates.
2) Security Lookup function now also available from Position Records.

7/9
1) "Published Index ROI" method now applies "AIMR" annualization option in report options.
2) Custodian delimited import now handles enquoted null field (i.e. w/o even a blank betw. quotes).
3) Date format conversion tweak to pre-pad single digit months and days.

7/7
1) "BETWEEN" import scripting function added to extract better extract security/transaction descriptions 
2) Pie chart "arrow" length slightly longer for charts with 3D >1
3) "Spin-off" tools function now allows zero ending "Parent" shares to facilitate use for mutual funds conversions.
4) New accounts imported through custodian interfaces now have Benchmark Indices initialized to User Pref. Default values.
5) Non-rotated perf. reports with BM Indices now properly substitute index captions.

7/1
1) Added "Tfr" code to QIF import TAC translation.
2) Report tweak so spacing specified to follow subtots for case where detail is hidden works as intended.
3) Custodian Import TAC translation based upon "trailing note" inadv. disabled 6/17, was restored. (effects Schwab users mostly).

6/29
1) Cust. Import correction of 6/8 release, affecting DST Dividend imports (users will need to reimport "01" files) 6/25
2) Costing by lot now properly includes non-quantity cost transactions occuring on date of a closing transaction.
3) MMO tac removed from "BothQty" set to resolve posting problem with Trans. Blotter records.
4) Fee report modification to facilitate generating pre-end of period incentive fee reports w/o need for dummy end of mon. valuation.

6/24/10
1) Generic import of recon records now automatically populated portfolio acct# field if empty and computes Recon Price 
if not otherwise imported.
2) RCS,XPS,MFS,OFS,MIS codes now factored into "Cash" "additions" field reported at by security report level. (does not affect ROI)
3) Custodian import tweaks to better support using Trailing notes in Trans. descriptions.
4) Position record now prices at cost for recently opened but unsettled positions to deal with custodians 
who do not send pricing until position is settled. Such prices are marked "stale" on position
records.
5) Obsolete script files now do not appear in drop down lists on Server Control Panel and Custodian import interface.
(please contact Captools support if you still need one of these).

6/17
1) Position record cost basis now picks up excess "Long" sales amount as short sale cost.
2) TDAM script modif. to purge "|" char. in description so Description Upper/Lower case conversion works as intended.
3) Fix to Security record import change in 6/8 rel. to skip Descrip. & Type updates to records converted from CTwin.
4) Single table XML Export/Import added to Server Control Panel Utilities
5) Correction to 6/16-17 release which inadvert. disabled some custodian imports.

6/8
1) Refinement of cust. import spec. of quote character in imports so single quote and embedded commas preserved.
2) A Temp Float variable now used to store intermediate computation results in ComputeExchgGain procedure along w. # checks to facilitate support for inflated currencies.
3) Output to CSV or XLS now ignores the show zero as blank spec. so to ensure all fields are represented.
4) Custodian import script support for multiple possible Symbol, Src or Dest conditions in TAC translations thru use of "|" char.
5) PIC (paid in capital) TAC code added.
6) Income report now does not include "Accrued Int. Paid" in Interest Category but its own category as in 5/14 release.
7) Effectively null date fields now displayed in reports as blank, incl. in S/T's
8) Non-manually edited Security record descriptions and types now update on import w/o prior requiremnt of blanking.

5/20
1) Foreign Security and Currency flags now set at import into the Trans. Blotter rather than waiting for transfer from Blotter.
2) Foreign Currency Import tweaks for case where Transaction currency provided in data feed (e.g. IB) so pricing not set to 1.
3) Custodian Security record import now applies "Factor of Ten" constraint on Price Factor field.
4) "%PRICEFACTOR" notation added to Price import scripting to add flexibility to build Fixed Inc. Pricing from Value & Qty.
5) Generic import non-TAC translates now functional.
6) Custodian import tweak to accomodate 11 char date format for file header dates. 
7) Foreign cash accounting case now includes trades trans of non-base currencies in computation of base currency amounts.
8) Foreign cash functions re-factored to reduce DB lookups & fix forn cash position qty calc.

5/14/10
1) Mgmt Fee reporting now can properly exclude Cash from fee basis computation.
2) 4/6 Accrued Int. paid fix now works (really) and "Net Amount" etc. not doubled.
3) Fund accounting transaction conversion now does not transfer perturbed flag value.
4) Revert 1/20 growth graph change that prevented correct plotting of blended index.
5) Calc function added for Trans. Blotter to assist in filling Qty field for MMFund transactions which have amounts.
6) "SLD" (Short term Loss Distribution) transaction code added to "Close" transaction code set.
7) Potential Div by zero case in reports fixed (in Set12MonSDHstats)
8) Blue shades in Color array for pie/bar chart graphs tweaked lighten.
9) Formatted String to date conversion now deals with dates with stripped leading zeros.
10) Report "Category Description" field made "non-groupable". User should use "Type", "Group", "Class" etc. as grouping
fields instead.
11) Report Security Benchmark computation period now forced to be congruent with relevant cash flow start/end dates for partial period holdings.
12) Transactions imported as "MMO" now retain quantity values.
13) Import (& data entry) of Money fund/Cash transactions tweaked for SAX,CMX,RCV,DLV codes so sign of Qty and Amt always match.  SAX & CMX transaction coloration tweak to allow blank Qty field for (Cash).
14) Blank symbol transactions now retained in transaction blotter rather than transferring.  User will need to add valid symbol.
15) "Trust Accounting" option added at Level 4, to separately track principal & income including separate cash components thereof.
16) Custodian Import tweaks supporting IB option symbology and scripting. Inserted explicit decimal removed from long option symbol due to indeterminate location and to support fractional strike prices. Users with open options will need to edit symbols.
17) Price retrieval into Trans records now works for Portfolio SLS transaction and also in TransBlotter for all buy/sell transactions (init value must be zero).
18) UpdateForeignCashCost procedure tweaked to avoid possible division by very small #.
18) Income / Exp. report tweak to fix net vs gross reversal in prior "hot fix" (also handling of trade accrued int.)
19) Rotated reports (e.g. Portfolio Perf. rpt) now display properly non-primary record fields (e.g. account code).
20) Holdings and ROI by Security reports now skip bond calcs. when only accrued int. field selected but not Bond YTM related fields.
21) Div. Accrual tweak to move back Position calc one day prior to ex-date.
22) Recon record import tweak to ensure precidence of record date over filedate or current date.
23) Recon record import tweak to compute missing recon price from recon value after excluding accrual amount
24) Position Accruals now picked up from matching Recon Records if Accrual Method=None.  This allows for Custodian provided accruals.
25) Transaction Blotter view now has a "standard" multi-currency view. (multi-cur. fields removed from Mut. Fund view)

4/16
1) D7 Tasker version reinstated.

4/13-14
1) Price multiplier now applied to "Cost/unit" and Income/year fields on Positions view.
2) Two additional "Valuation%" group fields added at Level 4.
3) Sec. Record "Payment Dates" and "Ex-Dates" fields now display and edit as intended for non-US Locale Format settings.
4) Mgmt Fee report with Security Factors now uses less resources (Portf. Local Sec. lookup consolidated)
5) SymbolsHeld function now bypasses Transaction records if start date equal to end date (speed improvement)
6) Realized gains report now has option to include "Zeroed DLV" transactions per a user request.
7) Initialization from Recon Records tweaked to preclude duplicate initializations.
8) Position by lot report tweak to fix cost for avg lot case with splits.

4/6
1) Temp. Bitmap used in reporting text sizing procedures moved from stack to heap memory so created once.
2) Income/expense report now includes accrued interest paid on bond purchase.
3) "Blank" thousands separator again supported (Change needed due to Ascii 160 used as blank character; Some routines modified to take system formatSettings as parameter rather than DecimalChar).
4) Large chart bitmaps eliminated from report intermediate RAF files to reduce memory burden.


4/2
1) Position record pricing now not trunc. to 4 places if preferences indicate higher precision.
2) Custodian import tweak to allow "delimit_method" specified at table level to be used in  field conditional imports.
3) Report graphic ledgend tweaks to better accomodate new graphic component.
4) Rebuild with current rpt_BaseRep unit (3/30 build inadvert. used older version)

3/30/10
1) Settle days transfer from blotter now works for "old" (>365 days old) transactions.
2) Income report now properly rpts "accrued int." on buy/sell for Income type="interest".
3) "Tools" browser based functions "read instruction" link to help docs now activated.
4) Pos. by Lot report Gross Cost/unit calc correction for case of cost delivered out (commis. now properly accounted for).
5) Realized Gains rpt exclusion of zero cost basis transaction (since 2/16) now excludes only if null symbol
6) Consolidation of TXW and Dividend transactions after import restored (inadvert. disabled in 3/15 release, item 5)
7) ETX transaction computation now excludes closing transactions for which Aux. Amount is zero. (e.g. for Money funds)
8) Custom script processing for IB Addresses.  Import Script "Non-names" functionality re-activated.
9) Div. Accrual 3/15 change corrected so accrual starts on ExDate, not after.  Combined div accrual plus int. accrual function 
reactivated for hybrid securities paying interest & dividends.
10) Report "Float" type fields now supported > 4 places when "non-System" Neg. Format specified.
11) Report pie chart tweak (due to chgd behavior of upgraded 3rd Party component) so "Other categ" suppressed if Other=zero.
12) "Release handle" call implemented in report chart routine to ensure Windows' copy of bitmap freed.

3/18
1) Dedup function now excludes "Perturbed" field from comparison. "Dup" function also tweaked to avoid altering a field const. array.
2) Setting Valuation "Missing Prices" flag again excludes "missing x-rates" which was included in 2/9/10 update. "Missing Xrates" now sets separate flag.
3) Batch distrib. generation now properly handles negative distributions (e.g. DV-).

3/15
1) Custodian import tweak to ensure that Tax Withheld in connection with mandatory withdrawals is not 
combined with same date income transaction.
2) Report first group headers now display underlines if underlined fonts selected.
3) "Long/Short Summary" cross-reference report added at Pro3 level.
4) Dividend Accrual computation can now handle multiple overlapping dividends as sometimes occur with non-US securities.
5) Custodian import now sorts records prior to merging Tax W/H transactions or deduping records.
6) Batch Valuation view export functionality activated (with rounding of certain % figures).
7) Added Security Benchmark Correlation field to ROI by Security rpt.
8) Correction to 2/18 release in ROI calc affecting inception rois.
9) Correction to div. accrual calc item #4 above which disabled calc.
10) "Subtotalling" for certain fields in R.Gains and some other reports now hidden for non-applic. subtot. lines.
11) Batch valuations now only trigger "freeze" records function for end of month valuation date (b/c of time to do freeze function)  3/1 implementation.
12) Reports for prior period end (typ >3mo old) now can report est. income & yield for end date.
13) Dividend accrual for closed security now supported.
14) Income forecast report now properly handles securities with "00/00x00" ex-date specification.  Future imports now import null ex-dates and pmt dates as "  /  x  "
15) DLV transactions dated 2009 or later now suppressed from R.Gains rpt unless "Est Tax" field is non-zero. DLV transactions now compute estimated taxes of zero, but assign Aux. Date and Amounts.
16) ROI by Security report now does not "carry down" the "nmf" in ROI fields to group subtotals if the last security in a group has that value due to not passing "min. days" criteria.
17) Pro4/Ent 4 now transfer "Order Date/Time" to Portfolio Trans description.
18) Frozen record date lookup fix (corrects bug in item 11 above).

3/1/10
1) Time series charting algo. now sorts accounts by Open date before building charting data.
2) CTnet Desktop mem leak fixes, incl occas. on close error.
3) Conditional Generic import TAC translations now work as intended (e.g. A<0, Q<0, etc).
4) "Received in profit" (included in profit 12/31/09 release) is now excluded again due to account and period attribution indeterminacy.
5) "Return of Capital" excluded from reported period gains if "Return of Capital" field is included in report.
6) Valuation table "Period Gain" field now excludes "received in" gains.
7) Generic import enhancement to support scripting using "TEXT" identifier to match any text in the source record.
8) Custodian import of RCV & DLV transactions which are missing amounts, now checks for price in transaction record before doing price lookup.

2/23
1) Transaction blotter now transfers only data dated later than last "frozen" valuation date in portfolio.
2) Option added to Server Configuration to allow user to specify that "frozen" valuation not be recomputed.
3) Spin-off computation of commission allocation corrected for spun-off "RCV" transaction.
4) Changing Transaction "RCV/DLV Pair" field now "perturbs" record.
5) Profit by Security now generates results consistent with Profit by Account when RCV/DLV pair field set in transactions.

2/18
1) ROI computation tweak to better deal with sub-period end date transactions particularly at the point where new
accounts come on board, containing "Receive" transactions whose receive date transaction values differ from valuation value. 
2) Position by lot report fix for avg lot case where Aux Amt field not populated and sale has occurred.
3) Purging of extraneous zero valuation data points in prep. for value/growth charts implemented.
4) Tax calcs suppressed for symbol-less "sales" transactions.
5) Realized gains report now bypasses symbol-less "sales" transactions.
6) Position by lot report now computes "avg" lot case properly.

2/16
1) Desktop dialogs now stay with parent window when parent moved to other screen.
2) group report bug introduced in 2/9 release fixed (caused 2nd/later subrpts to pick up wrong acct).
3) Batch "Show Position" bug introd in 1/26-2/9 releases fixed. Multiple date batch delete retained. 

2/9/2010
1) Missing Xrates (or 1.0 Xrate value) for foreign securities now color flagged as missing prices case.
2) Enhanced trade export scripts implemented.
3) Transaction "compute" on Lot field now pulls in correct Default lot specified in acct. record.
4) Reporting memory leaks fixed.
5) Reporting filtering on Account Type (also Account Code at Level 3) now available and functions on individual reports in a group.
6) Reverted 12/2009 change which made RCV'd in profit dependent on AuxDate and Report start Date, since this made results inconsistent 
when accounts merged in report.
7) ROI Matrix report tweak to suppress results for "non-relevant" periods.
8) Income/Exp. Report tweak so that "Tax/WH" always reported in portfolio base currency.
9) Position by lot report "Rem. Commission" field now produces correct value.
10) Cost Basis adjustment with prior split can now have tax lot assigned.
11) Generic import of transactions now purges sign on computed price. 
12) Foreign cash accounting realized gains treatment for foreign currency corrections.

1/26
1) Batch Delete of multiple valuation dates now supported.
2) Reporting ROI exclusion supported via specifying exclusion in local security record plus activating report ROI exclusion option.
3) Income forecast report refinement to properly deal with dropped dividends correct year crossover bug and also so multi-account reports report correctly.
4) Batch Spinoff function now correctly allocates commissions to spun-off shares.
5) Correction to ETX transactions at Year End when "Loss Carryover" option selected to divide by 100.
6) "Period User Label" field added to Portfolio Perf. rpts (>=Level 3) to allow users to specify own "text" labels for periods.
7) rf_MinROI, rf_MaxROI and rf_MedianROI placeholders for User Text area implemented for cross-reference composite reports (Lev3/higher). 
8) Growth Graph tweak so that plot more closely aligns with TWROI results with daily valuations.
9) Cross-ref composite account ROI benchmarks start date now adjusted for start date of account if necessary.
10) Amortization/accretion computation to allow for proper sign on purchase accrued interest.
11) Special symbol "(CASH)" now cant inadvert. be set as "foreign security".


1/8/2010
1) Report Model Pct field related computations no longer require model% field to be specified in report.
2) Security Record changes affecting position flags now flow through automatically to position records upon next valuation computation.

12/30/2009
1) Mgmt Fee report now offers option to exclude certain expense transaction codes from profit calc used for incent. fee.
2) QTD, YTD and 5Yr security ROI fields added to Security metrics report.
3) Security metrics report for funds now has reduced fields selection due to reflect that data not available for these fields.
4) Cash Balance calc on buy/sell of foreign security fixed (fixes 12/18 release bug)
5) Report "Below table" charts now functional again.
6) More "Long option symbol" tweaks.
7) "Local Gross Cost" fields (before commission) added to Pos. by Lot report for multicurrency users.
8) Generic import no longer attempts to recalc price if price field already filled by import.
9) Report filtering using AcctId exclusion now allows multiple exclusions.
10) Reporting with AcctId and/or strategy active now does allows for null assignments to these fields for some records.
11) Reporting with Val% vs Model% field now works.
12) Holdings report profits now can report profits from orig. cost basis date if rpt start date is prior.

12/18/2009
1) "Local Gross Amt" field added to income/expense report for multicurrency users.
2) "Long Symbol" field support and long to short symbol compression added to support new option symbology.
3) Various report "unit cost" fields reverted back to type "float" from "currency" to allow display to more than 2 dec. places
4) DLV transaction matching in cost computations now supports multiple same-date opening transactions.
5) Desktop prog. tweak to ensure does not try to apply neg color to non-applic. fields.

12/14/2009
1) Est. tax computaton for realized gains now does not apply cross-deductibility factor.
2) Tweak to position record lookup change made in 12/11 release so missing record wont stop display of table.
3) Mgmt Fee report change to pro-rate "End Value" method for partial period billed (but not based on $ amt as in "End Adj." method.


12/11/2009
1) Tweaks to ROI matrix enhancement in 12/1 release to make temp object size slightly smaller and allow serial periods 
concurrent with YTD/QTD periods.
2) Inc. by Categ. report tweak to account for security rec. income type setting in relev. cases.
3) Incent. fee rpt tweak to ensure can't have neg. profit base.
4) Custodian import support added for Variable trailer record  for fixed format records. Also double "IF" conditions now supported
5) Accum. Profit on RCV transactions at time of receipt is included in reported profit if profit occured in report time frame.
6) Adjusting of prices fetched from Price histories to account for storage as 4-byte float vs Binary coded decimal
now requires smaller difference (<0.0001) before converted to BCD.
7) Treatment of cost adjustments for DLV transactions corrected so these are properly applied to non-specific lot cases.
8) Manual entry of data into the price history "close" field or the Distrib record "Amt per Shr" or "Qty per shr" fields now sets
"DataSource" to manual.
9) High water billing report tweaks.  

12/1/09
1) Cumulative ROI report fix so 1st period properly included.
2) ROI matrix report to include inception to date, Yr to date and Qtr to date fields (Lev. 4 versions).


11/20/2009
1) Report charting for long periods (>10years) tweaked so x-axis lables better spaced.
2) re=Initialization of position record from security record now clears "zero value" and "foreign security" flags before reinit.
3) security record changes for "Special" and "Value Method" now properly propagate to downstream positions records flags.
4) Portfolio Perf. report which has no portfolio fields selected (only mkt index fields) now does not massage dates for portfolio inception.
5) Rotated report column header top now forced to tie to region (fixes err introd in 10/15 #22).
6) ROI Matrix report date header now properly wraps and sizes region.
7) Report index computation code moved to base unit to support index rptg in fund acctg.
8) Report Visual Style copying now works for Vista/Win7 installations.
9) Custodian Import script can now specify symbol length threshold for Cusip to Symbol conversion 
(specify min length next to "CUSIP_TO_SYMB" spec.)
10) Fee report "Uniform Period" option now works with layering.
11) Multi-date batch valuation generation option added.
12) Period Gain and Period Gain% fields added back to batch valuation.
13) Realized gains reporting on Foreign cash accounting implemented. Requires "Include Foreign Cash Moves" selected on report options.
14) Manually entered prices in position records now have precision preserved when other position fields recomputed.
15) Report "User Text" left margin and width tweaked to obtain better centered alignment.
16) Level 4 enhancements to ROI matrix report (more wrk needed)

11/4/2009
1) Report inclusion/exclusions specs. now pre-processed to remove sensitivity to included blanks.
2) Tweak to open lot report for avg lot case to correct change in 10/22 release
3) Index symbol plotting made resistent to user invalid or null symbol specification.
4) Synthetic indices denominator now automatically normalized to compensate for user mis-specification of %s.

10/29/09
1) Tweak to tax record lookup date filtering.
2) Rpt. tweak to allow display of AcctNum field on xref report when subtotalling by other account identifiers (e.g. short name or title)
3) Rpt. Synthetic index routine now skips components w. no price records and allows Note record date later than rpt end date.
4) Custodian import procedure tweaks to handle specification of transaction "Local Amount" import.

10/22/09
1) Batch "apply prices" now also applies prices for manually entered values.
2) "ROI Dispersion"field (see prior release) activated/tweaked.
3) Cap. Gains Distr% field in reports now populated at detail level.
4) Account extract function tweaked to not include "white list symbols" to reduce import time when prices extracted.
5) Pos. by lot cost basis tweak for avg cost case.


10/15/09
1) Securty Stats table view, calcs on ROI fields which were erroring out due to out of range list index fixed.
2) Report option to round currency fields to display precision before summing to ensure S/T and G/T sums match sum of visual detail.
3) Result initialized for several fee billing report fields to avoid them possibly having an undefined value.
4) Avg. Value calc for fee computations tweaked to properly adjust for initial period dpfs/wdfs
5) Tweak to Custodian Import code to support "any position" conditional import with long delimited data line. (for TDAM interface)
6) Mgmt Fee report Sec. Factor variable now initialized when fee method="No Fee" to avoid possible floating point error.
7) Tweak to generic import translate table lookup so underscore not reqd for blanks n left side of equate sign.
8) Foreign currency BFC & SFC transactions don't deduct commission from quantity (change from 9.25 implementation)
9) code branch in ROI algorithm which caused some neg. rois to fail to converge corrected.
10) Custodian import tweak to avoid retirement plan administrator name replacing existing client name in client records.
11) TDAM07.idi tweak to turn on netting of buy/sell accrued interest.
12) Est. Tax calc result when manually editing Tax Lot assignment records is now correct.
13) Tax Lot records now display and take into account closing exchange rates.
14) Div. by zero case in Mgmt Fee report if zero fee rate fixed.
15) Recon. Rec. Import process now does Poolfactor lookup for Var Rate Securities at time of import.
16) Trans record AuxXrate field lookup function activated.
17) "ROI Dispersion" field added at Level 3 for composite performance reports
18) TDAM07.idi tweak for DVIO transactions.
19) Custodian import code internal Description variable length increased to accomodate increasingly long 
(non-spec) TDAM comment fields
20) Custodian import single line data file dup import resolved.
21) Rotated reports column sizing tweak to support index only reporting.
22) BlockTrade (Level 4) vs Recon Records functionality added.
23) Item #9 (above) tweaked to ensure only applies to negative cases.
24) Alloc. Trade functionality restored for cases involving more than 1 account. (inadvert disabled in prior release)
25) Custodian security record import about 2x faster.
26) "Local Amt" field in multi-currency view now includes commis. if security in base currency.
27) Advance Fee billing tweak for case where user does not specify "billing months".

9/30/2009
1) Cross-ref composite reports now support reporting of Min, Max, and Median ROI's in the report summary text area, 
using the placeholders "rf_minroi", "rf_maxroi" and "rf_medianroi"
2) The "Base Currency Tax W/H" field added to transaction reports for multicurrency users who need this data for tax reporting in their base currency.
3) "Compute" function on transaction records now sets "Manual" flag on Amount field to false to facilitate recalc of the field.
4) "Orig Cost" field in R.Gain report now corrected for sign.
5) Transactions generating or using foreign currency now factored into foreign currency realized gains and open lots and share balances.
6) Report options "Hide cash" options now treat foreign cash associates.
7) Valuation record values now cumulated to a max of 2 decimal places.  Position cash and foreign cash now cumulated to a max of 2 decimal places, 
to eliminate fractional pennies due to imported split trades or cash transactions entered to more than 2 places.
8) 9/25 release item re tax lot price factor corrected so price factor not doubled up.
9) Batch valuation "Carryover Prior Price" option now uses prior position pricing if no current or more recent pricing found.

9/25/09
1) "Old style" Captools options ("+" or "-" suffix) valuation cumulation change on 6/9 release corrected so all opening/closed transactions matched.
2) Rollback to blotter function now preserves transaction flags.
3) Pos. by Lot reports now correctly adjusts costs for ROC and CBA transactions.
4) Foreign currency transaction share balance computation modifications to account for commissions and fee transactions
5) Rounding of transaction cash cumulation amounts during valuations discontinued (reverted to 6/30 method)
due to possibility of fractional pennies in split lot transactions.
6) Specific lot generated close transactions now have amounts rounded to 2 decimals with any remainder allocated to last lot.
7) Tax Lot assignment view now uses price factor in Gain/Loss display calc.  Also tweaks to TaxLot assignment so rollup function work properly.
8) Cross-ref Performance reports now populate G/T for Alpha, Beta, Sigma, etc. statistics, and correctly handle ROI Start Date, Close date for each account.

9/16
1) Spin-off utility now populates "Local Amount" fields and does exchange rate lookups.
2) "Old style" Captools options ("+" or "-" suffix) are now excluded from automatic generation of expiration transactions.
3) Server Control Panel "Extract" import, disabled in prior release, now working again.
4) Share balance field on Transaction view properly computed for "Foreign Currency" (Multi-currency functionality must be activated)
4) Period Gain% computation on valuation view now uses prior period value plus current period investment as denominator, 
subject to zero result if denominator is negative.
5) "Buy Price" field added in prior 9/1 update is now a "float" field instead of "currency" field to avoid rounding.
6) Reporting "Exchange Gains" calculation for non-base currency in multicurrency portfolios now correctly computed


9/1/09
1) Alloc. Driven Trade view now has "Group Detail Only" option. This is useful when rebalancing is done by family or account groups (lev 3/higher)
2) Forex transactions now properly handle manual edits of commissions and trade fees when those are in local currency.
3) Valuation re-calcs now pull in exchanges rates.
4) Change in Transaction Exchg Rate now perturbs transaction/valuations to trigger recalc.
5) Non-quantity transactions with foreign currency symbols now properly update share balances and position quantities for that currency
6) "buy price" field added to Realized Gains Report and open lot report.
7) Multi-Acct Portfolio Perf. report now excludes accounts from periods in which "ROI Start Date>=ToDate".

8/20
1) Income report netting of tax w/h now accounts for whether tax w/h in local or base currency.
2) Cross-ref. Fee Summary report re-enabled for Level 2.

8/18
1) Dbl click on account value date field now pops dialog showing any valuation dates with missing prices.

8/12
1) Currency trades now properly factor commissions and trade fees into net amount.
2) Cost basis computation changes to use "Local Amount" made in 7/13 release, now use "Amount" 
if "Local Amount" is zero or empty.
3) Morningstar export tweak to round output to 2 decimals & move MstarPort tag to higher level.
4) Gain vs Orig% field on Pos. by Lot report now subtotals properly.
5) New Muti-period Cumulative Composite ROI Cross-reference report added for Pro3/higher.
6) Placement of "-" (minus sign) in first field of generic import "Format" field operates to reverse sign of imported data.
7) Dbl click on account "value date" field no longer hangs Desktop.


8/3
1) Custodian file import "unzipper" routine now gracefully handles corrupt zip files.
2) Update of transaction record balances upon transfer from Trans blotter restored (inadvert disabled in 7/23 release)
3) Exchange gain percent field in reports now assigned to correct output variable.
4) Criteria for triggering exchg gain computation expanded so that "MultiCurrencyPortfolios" option does not need
to be set "True" for exchange gains to be computed if so long as base and security currency differ.
5) Position record update upon edit of transaction no longer re-looks up price or exchange rates unless they are null (Price factors
always looked up). 

7/29
1) Generic imports now orders same-date trades so closing trans. follow opening trans.
2) Cost bases/tax lot matching tweaks to accomodate re-ordered same date trades.
3) Money market/cash interest accrual calc (Pro 4) tweak so works with zero starting balance.
4) Fundamentals downloads restored.
5) Recon Record Price lookup now forced to always uses "1.0" for cash and money funds.
6) Positions and local costs for cash & foreign currencies now always cumulated based on no more than 2 dec. places
7) Transaction "Horizonal" computations for Local Amount and Amount modified to minimize small decimal rounding errors
for multicurrency transactions.

7/22
1) Position record "Local Cost" fix for reinvestment transactions (additional for 7/13 update error)
2) Transfer from Trans Blotter of RCV transactions with identical dates, quantities and amounts are no longer
pick up first transactions cost basis and aux dates.
3) Foreign Currency/multi-currency position record recalc on transaction change now does not create duplicate 
record (re-do of item #12 on 7/13 release).
4) Handling of charts marked "not visible" reverted to pre-7/13 method due to side effects of 7/13 change.
5) Realized Gains report now shows closing transaction even if matching opening record not found.

7/16
1) Repeated use of "calc" function on transaction record est. taxes field now repeats full compution of est. tax.
2) Security Payment rate lookup for accruals now uses security record specification if Distribution method is null
and security has maturity date.
3) Position record local costs sign error in 7/13 update corrected.
4) Text/Chart order when chart at bottom of report restored to orig order (text, then chart)


7/13/09
1) Report field now can be programmatically removed if it is unused ("% cash" field removed).
2) Report chart security type lookup function now more tolarant of nul sec. type/class etc. fields
3) Cross-ref. reports now (again) adjust start/end dates to data (this was disabled in 6/9 release, there is now
a report option to disable this)
4) Several additional Pro 4 report fields added (group w/o accrued div fields).
5) "From>To" currency lookup notation now can do lookup based upon reverse rate.
6) Report charts which have "visible" property set to "off" are no longer computed to save processing time.
7) Tax Rates documentation updated to match actual computation methods. Duplicate application of Fed and Local 
rate factors for ordinary income rates fixed.
8) CPI tax rate factors implemented in estimated tax computations.
9) Client Record value field bkgrd color now updated upon running "compute" function.
10) "GetSymbolsHeld" function made more efficient.
11) Foreign currency in foreign cash accounting multi-currency portfolio now correctly reports gains/profits.
12) Valuation computation triggered by transaction change now does not create duplicate foreign currency records
in "Foreign cash accounting" multicurrency portfolios.

6/30-7/2
1) "Notesonly" data conversion from CTwin data now works as expected.
2) Transfer of paired DLV/RCV transactions from Blotter now applies correct sign to RCV Aux. Amt.
3) Unpriced position records again have pink background in price field to alert user.
4) Spinoff generator now marks zero quantity field in DLV transaction as "Manual" so field does not appear blank.
5) Cash/MMF income distrib. generation function now pro-rates for days betw. Ex. and pmt date in distrib. records
so these records and be used for income accrual (Pro4 feature) as well as distribution generation.
6) Turnover fields in Performance reports re-activated.


6/24/09
1) Model reporting at security level now properly handles not held securities.
2) When click on Note field "button", resulting note dialog now properly "wraps".
3) "Double Click" on note records results in "no action" since edit of note field should be used instead.
4) Server Control Panel conversion of CTwin account notes data with "notesonly" option now properly handles extended notes.
5) Pos. by Lot report when s/t by "Hold Categ." now does description lookup same as Realized Gains rpt.
6) Master acct. now used for index symbols for multi-account portfolio performance. (prior release disabled) 
7) "Save Order" assignment implemented in report fixup to support CSV report field order with new Report Builder.
8) Lot matching enforced  and date cutoff implemented for cost basis adjustment transactions such as AMT, ACR, and CBA.
9) Multi-currency "Local" fields added to Position by Lot and Realized Gains report for multicurrency users.
10) AcctID field now consistently populated for all records for an acct upon Trans. Blotter import if AcctId specified in Subaccts.

6/18/09
1) Tac extension option in reports no longer requires square brackets for excluding TAC codes
2) Some fund accounting reports activated.
3) Various small memory leaks closed.
4) Position by lot report tweak to properly handle transactions occuring on rpt end date.
5) Correction to #15 in 6/9 release, which inadvertently disabled generic price imports.
6) Rpt Periodicity specification now tolarates double commas and trailing commas
7) Generic price import post import update of statistic records, disabled in #15 of 6/9 release, restored.
8) Tweak to item #9 in 6/9 release to correct calc for case where there are security exclusions
9) Cash/mmf accrual calcs (Pro3/higher) when from Distr. records have Start/End Dates shifted 1 day earlier.
10) Desktop "Position" view sort twk for sorting by currency.


6/9/09
1) Distribution generation function now allows for up to 170 days between ExDate and payment date.
2) Recently added FDR tac now credits cash.
3) Default calctype for Multicurrency view is now "1"
4) Growth graph now properly adjusts index for splits and distributions.
5) Growth graph now supports synthetic indices specified via note records.
6) Est. Tax & TaxWh now computed for WDF transactions for Tax Deferred accounts.
7) Pershing Global reconcile import now skips GMON import because same data is now in GCUS file. This import
now also imports the recon value field rather than needing to compute from prices.
8) Correction to Avg Cost calc when close rec followed by purchase w/i 90 days.
9) Mangement fee report tweaks to support security factor > 1.0 (also initialized some unint variables)
10) "Data Conflict" control on the "Data Tools" functions removed since are unused.
11) Transaction matching for Valuation/position computations relaxed for "old style" Captools option symbols 
(with "+/-" suffix) to ensure that positions are closed out as user intended.
12) Cross-ref. reports no longer adjust start/end dates to data.
13) Batch Valuation "purge valuations" options expanded. Also purge now works when non-current date specified.
14) Cash/Money Mkt Fund Accrual function (Level3/higher) now uses Distrib. Record specification w/o need to 
specify payment frequency in security Id record. This supports irregular payment frequencies.
15) Generic import of Price History and other security subsidiary records now skip symbols not in Security list
rather than abort import.
16) Downgraded licenses no longer can run reports which where created at a higher program level.


5/26
1) Several fields added to transaction history report to aid cost analysis (Level 3/higher)
2) Additional fields added to "Client Info" cross-ref. report.
3) Reconciliation process now populates Recon Record "AcctId" field from Position record if Recon AcctId 
field is blank following import.
4) Account & Client record User Defined fields added to reports at Level 3 (account) & 4 (client).
5) Speed improvement in fetching reqd symbols for reports and some other functions (particularly helps w. x-ref rpts)
6) Internal check for invalid fields so rpts cant add invalid fields (GetFldRecForRectype function now returns "nil" 
if field outside of allowed range for record type)
7) Report symbol filtering disabled in 5/20 release, re-enabled.
8) Local portfolio security fee exclusion factor now given precedence over main security list fee exclusion factor.

5/20 
1) Dividend accrual functionality (Lev 3/above), inadvert. disabled in 4/1 release, now restored.
2) Custodian reconciliation import now computes implied price factor and applies to security record.
3) Wash sales computations now dont error out if no tax rate records found (affected valuaton computation)
4) Acct Id filter added to holdings/performance/other reports (Level 3/higher) 
5) More tweaks to report group header visibility to ensure that all groups with non-hidden detail have visible headers.

5/12
1) Pos. by Lot report now subtotals on "Rem. Cost/Unit" field.
2) Wash sale CBA transaction generation now activated.
3) Custodian Import tweak to ensure that money market quantity=amount is maintained when taxes withheld.
4) Drawdown% and Turnover metrics now subtotal properly accross multiple accounts.
5) Performance report start/end dates now reset in multiple account reports to account for differing specifications for ROI Start Date and Acct Close Date.
6) Recon. records now pull AcctId field from position records.
7) Annual Roi normalization tweak for certain negative cases over longer periods.
8) Market index lookups now case insensitive.
9) "blank indexes" on batch position view are now suppressed.
10) multiple positions for same option symbol (e.g. for employee stock options) now fetch proper cash flow for by security ROI's.


5/6/09
1) Report tweak, so users can specify space after "before user text" even if text is empty.
2) Portfolio perf. report can now does not require contiguous index field selections (i.e. index0,index1,index7 now possible)
3) Account cross-ref perf. report benchmark calcs now use same start/end date as account when account held for partial period.
4) Transaction report with "Periodicity" now picks up 1st date.
5) Manual valuation indicator in position record price source field now retained after valuation recalcs.
6) Benchmark index perf. for weekend start date now properly uses Start date with prior Friday index value.
7) Update of manual prices for to price history now checks to be sure sec. record exists.
8) QIF import when QIF data does not have Security data now no longer applies check sum if symbol is less then 10 chars.
9) Tweaks to generic imports to ensure cash deposits and withdrawals are always coded DPF and WDF
10) Swap trade data fetch bug fixed.
11) Sec. Benchmarks now average in Subtotal/GT lines in ROI by security reports.
12) Portfolio Perf. rpts now do not extend beyond date specified "Date Closed" in account record.
13) Portfolio Turnover fields added to Account composite reports at Level 4.
14) Computation function on Xrate field of Div.& Int. transaction now properly computes amount in "Amount" field.
15) Period report group header visibility algorithm tweaked so group header is visible in all cases where at least one detail 
record is visible.
16) Report Header tweak for Acct. Title w. Address to remove extra space.


4/15
1) Portfolio trans. rec. computation of Aux Date/Aux Amount field disabled in 10/3/08 release, renabled.
2) Bond Val W/o Accrual field now subtotals.
3) Div. Accrual now computes for ex-date.
4) Turning "Div. Accrual" "Off" for an account clears any computed accrued div. next time valuation recomputed.
5) Generic import enhancements to allow extracting parts of string fields.
6) Trade consolidation on custodian import (Interactive Brokers) now computes implied price factor.

4/7
1) Account and Security caching during report generation revised to always fetch all fields (to minimize missing field type errors)
2) TAC field added to realized gains report.
3) Two new TAC codes (FDW,FDR) added for Unit Inv. Trusts and Funds.

4/3
1) Underscores no longer added between Index symbols and blend percent specification in account record edit.
2) Allow computation of greater than 2 places of precision for position values for cash & mmf holdings if display precision>2
3) Reporting internal "shiftwithparent" function disabled.
4) Cross-ref reports with single acct. now dont error on AccountGroup field. 

4/1/09
1) Reporting of holdings vs. model now brings in descrip. for not held model securities and properly
reports model percentages when reports contains grouped accounts.
2) Dividend accrual now properly computed as zero for positions purchased on/after ex-date.
3) Two year date format specified w/i report field now do not show as blank (further fix to 3/20 item)
4) Cumulative performance report now runs faster and now can displays certain acct. level fields such as 
base currency and family.
5) Pos.by lot report now uses manual Aux Amount for Orig. Cost field for Buy transactions. Also accrued in
is excluded from orig. cost.
6) "Calc" function on Transaction record Amount field now will not overwrite manually entered value. Manually
entered status can be reset by clearing field first
7) Default length for string fields increased from 20 to 100 for Temporary tables (e.g. batch position, swap trade tables).
8) Hold Categ. grouping added to Pos. by Lot report and Short/Long field now populated for this report if field
if selected even if Short/Long accounting is not activated for account.
9) Dividend accrual computation now includes share dividends. Dividend accrual now requires the div. payment dates, ex-dates and rates always be specified in Div. History records (security id specification no longer an alternative) due to the typical variability of payment and ex-dates.
10) "WhereHeld" function now shows multiple position dates if single acct and symbol.
11) Cached price records now cleared after manual price changes & also before repricing batch function.
12) Some client/Account record fields in ROI by Sec. reports which were erroring on lookup, now fixed.
13) Some reporting incompatibilities with new version of Report Builder component resolved (only needed if you downloaded a hotfix since 3/20)
14) Rpt Tweaks to improve vertical centering of text in group headers to align with colored backgrounds and 0.05in "cushion" space added to right side of detail and group regions for appearance. Any report editing will activate these changes.
15) Fee rpt tweak to implement min fee for zero fee rate account.
16) Optional Insertion of ACR and AMT transactions upon batch valuation re-activated.


3/20
1) Cross-ref. Holdings by Account report now again works with detail suppressed (inadvert disabled in 2/12 release)
2) Cross-ref. Perf. by Account reports now configured to hide detail as default setting.
3) Cross-ref. ROI by Matrix report (Pro3/higher) modified to run faster when grouped by acct and details hidden.
4) Posit. rec. accrued field color cleared to default when field is cleared.
5) Realized gains Rpt 3/6 inclusion of CIL in report now displays correct date for same, and does not pickup CILs from prior periods.
6) Amortization sign correction from 12/30 release
7) QIF import fixed to remove extraneous quotes around symbol inadvert introd in 1/22 release.
8) Batch split & merge acct functions fixes for uninit variables.
9) Problem editting symbol is TransBlot due to uninit Var. fixed.
10) CTwin data conversion and CTnet valuation computation now zeros "Unsettled Qty or Amt" values.  
This is necessary to deal with possible bad data in these from old Program. (These fields are not being used)
11) Control Option added to Realized Gains rpt to allow transactions with manually zeroed est tax fields to be included in rpt.
12) Position record fetch for holdings/period reports now insensitive to spurious contents in option price field.
13) Treatment of Tax W/H in accts with exchange rate corrected (inadvert introd in Jan. release).
14) CBOE symbol format no longer automatically used to assume that a security is an Option upon manual entry or custodian import due to
similar formats being used for other securities. Import data must explicitly indicate option detail and user manually
importing data must enter option detail in security record (tradeoff forced by use of CBOE fmt by other srcs, e.g.Yahoo).
15) Report date problem with non-system date formats intro'd in 3/16 release, now corrected.

3/16
1) Null maturity dates (and other dates)  in reports now always displayed as blank.
2) "Hiding closed Positions" and "Hiding Zero Cash" together now does not also hide preceeding acct header (problem introd 1/16)
3) Report record initialization change to avoid generating unnessary empty records (no change in visible output). 
4) Accrued dividends now allow longer than 45days between ex and payment date (now up to at least 5 months)

3/9
1) Allocation record fetch routine tweak to ensure correct record dates fetched if multiple instances of same model.
2) Reporting bug intro'd in 2/12 release corrected, affecting neg. annualized roi for short term holdings reported for long periods.


3/6/09
1) Employee stock options reporting now handles single symbol for multiple option dates.
2) Date of Birth added to account table as a lookup field.
3) CIL (cash in lieu) transactions now show on realized gains report even if transaction quantity field is blank.
4) Tweak to bond accrual calc to deal with case where computed first payment date is shortly after issue date.
5) Tweak to Dividend frequency count when computed from security dividend history to allow for small yr to yr chg in div dates.
6) Tweak to period reports to fix bug intro'd in #1 above (only experienced by users who got "hotfix")
7) Variable "ShortName" in alloc. trade records increased from 20 to 30 characters.
8) Composite report subtotaled by symbol now reports security benchmark roi on subtotal line.
9) Tweak to symbols exclusion code on report options screen so not sensitive to spaces between symbols.
10) Index ROI's tweak to internally add pricing date when period ending date on weekend/holiday.
11) Security record "Calc" funcion on Payment Date and Rate field now only applicable if the distribution generation method is From Distrib. records.
12) Function which interprets Ex and Payment Date specification modified so always gets first payment date of year (for Income F/c report).
13) Spinoff generator now applies correct sign to Aux. Amount of DLV transaction.
14) CBA is now an allowed TAC for the distribution records.  
15) Performance report option added to allow user to override ROI start date/Acct Close date for Client Perf reports.

2/25
1) Custodian import scripting enhancements to better support TDWaterhouse Canada data format.
2) Account Avg Gr. Total compuations now bypassed for speed because not needed when displaying acct totals only.
3) Tweak to retrieval of prior distrib. date from security record specification affecting month-end case, monthly freq.  
4) Realized Gains rpt bug intro'd in 1/30 release, corrected.
5) Cross-ref. composite reports using a security benchmark field now generate faster and populate the Sec. BM subtotal field.
6) Income forecast report fix so end of month payments properly f/c w/o sometimes skipping a month.

2/20
1) Cross-ref. performance report with detail hidden now displays account level fields such as "Acct. Title".
2) Correction of bug intro'd in 2/12 release that disabled automatic generation of option expiration transactions.
3) Additonal allocations charts added to display allocation by cost.
4) Report "Group" valuation percentage fields now properly subtotal when run agains multiple accounts.


2/17/09
1) Manually entered accrued int on buy or sell now properly computes into amount.
2) Tweak to quote download code to accommodate Yahoo changes.
3) Position record flags now updated if Symbol's security record "Special" field is changed.
4) Cash IRR when "B/D AcctID Active" is checked is now properly picking up all cash flows.
5) Position by Lot when "B/D AcctID Active" is checked is now properly showing all positions.
6) Value adjustment for Variable Debt Securities based on computed "Bond Principal Factor" now supressed. 
Factor used now is imported in Xrate field.


2/12/09
1) Report Line graph Axis scaling now given an addition 5% buffer so grph does not hit top of range.
2) Report pie chart "pie" border now uses slightly wider line.
3) Foreign currency converted from prior Captools now re-computes to correct cost basis.
4) Report with option to "Hide" closed position now has proper spacing between visible records.
5) Foreign cash accounting tweak made 1/8/09 reversed.
6) Cross-ref. ROI Performance report now runs faster when security detail hidden.
7) Short period negative Twtd ROI calc normalization errors, intro'd in 1/30 release, now fixed.
8) "Effective Fee Rate" field in mgmt fee report now subtotals. 
9) Manually entered cost in Aux Amt field of Closing transaction now recognized in realized gains rpt
10) Manually entered zero cost in Aux Amt field of opening transaction now recognized as cost basis in lieu of Amt field.

2/4/09
1) Realized Gains report now suppresses quantity field subtotals except at inner-most level.
2) Distribution Generation function now allows specification of security "Types" for inclusions/exclusions by placing the notation "types=xxx,yyy,etc" in the "Symbol" specification field. 
3) Mgmt. Fee report tweaked to "Uniform Period" option to correctly treat periods starting with Feb.
4) Tweaks to reconciliation routines to reduce mem. usage.
5) Tweaks to Inc/Exp by Sec. report and realized gains report to plug mem leaks.
6) Report mod to suppress group headers for groups where all items are hidden.
7) "Get Prices" and "Apply Prices" function on Batch Position screen now operative again.

1/30/09
1) CashEquiv accruals now optionally add to valuation.  Cash equiv. accruals now can be done on a 30/360 basis.
2) Fix to realized gains report for options when "expired options" reporting option used.
3) Exchange rate field now updates to portfolio from "show by symbol" batch position view.
4) Tweak to TwtdROi calc. so steep very short term loss does not give -100% roi.
5) Manually entered position record accrued amount now protected from override during recalc. Accrual value picked 
up from Recon records only when non-zero.  Accrual field backgrd color lightened.
6) IRR calc tweak for better convergence when smaller negative results.
7) Modification to change made in 11/24 release in price x position calc. so price now rounds to currency if float vs 
currency difference is less than would result from fractional pricing down to 1/64th. I.e. both decimal and fractional 
pricing now supported w/o rounding differences.
8) Netting of From/To cash transactions corrected for change made in 1/8/09 release which used wrong sign.
9) Period report (profix/roi by security) fix to bug in exchange rate lookup when security marked as "foreign".
10) Batch Position Gain and Gain% now immediately updated after "Get Prices" function updates record.
11) Pricing associated with manually entered position values now carried forward (when specified for security type) w/o currency rounding
12) "DST" transaction code added to list of allowable distribution record codes
13) Distrib. generation for ROC tac code now leaves Aux Amt field blank.
14) Position view "Gains" now excludes Accruals from computation if user has selected to exclude accruals from valuation.
15) Portfolio turnover fields now supported at Level 4, and drawdown fields for Lev. 3/above for cross-reference performance reports.


1/22/09
1) Distributions Generation function now can be based on Security Record Payment Specs for Fixed income securities.
2) More mods to support MS-Money QIF file import.
3) Possible div by zero in condition in roi calc fixed.
4) Report "Consolidate Closed Positions by Category" option temporarily disabled.  ("Closed by Account" still operative).


1/16/09
1) Tweak to Rpt Group S/t footer text vertical alignment (line spacing w/i region). Also background color no longer
applies to bottom spacing for footer subtotals.
2) Mod. to QIF import routine to support MS-Money generated QIF files.
3) Report decimal formatting for "Floating" decimal, now implements "minimum" decimal option.
4) Option to hide only "Inner" one line subtotal added to reports.
5) Tweak Item #1 in 12/30/08 release to have User Tac description apply only to group header description, not rpt body
6) Consolidated Closed positions roi computations on reports now correctly reported (previously was picking up Gr. Tot. roi values).  Consolidated closed positions now also reported as a sub-total line rather than as a detail line.


1/8/2009
1) EXP tac code transactions with non-"(CASH)" symbol now treated as negative cash flow for ROI by security computations.
2) Fix to #2, 12/19 revised, "IF=" condition in script relative to other specs no longer order sensitive (needed for Scottrade)
3) Symbol filter option removed from fee report as non-applicable.  Symbol exclusions can still be used if
activated in fee record. 1/2
4) Option realized gains reporting bug fixed.
5) Invalid or obsolete or renamed report fields now automatically removed from reports.  
6) Security category description field now operative for holdings and period perf. reports.
7) Security spin-off tool now functioning.
8) "UnitCost" variable in tax lot computations now referenced as "float" not "Currency" to avoid inavertent rounding.
9) Rotated type reports now assign custom fonts in "OnBeforePrint" event so other text regions can print properly.
10) Rotated type reports now have page width limits removed for CSV or XLS output.
11) Report "Hide single line subtotal" setting now preserves group "space after" property
12) Report fix to suppress "nmf" result appearing in yield% field in some cases.

12/30/08
1) User TAC descriptions now may be added on "Types" table for use in Income/Exp. Report in lieu of 3-Char Tac Code
2) "Min Fee" in mgmt fee report using layered fees now uses "Min Fee" field value from First fee record in layer group.
3) Custodian import tweak in parsing field specs for translate table so translate spec can be separated by a space if multiple specs for field.
4) "Report Period" date formatting now implements format specified in "special options".
5) Fee rpt now works using Avg Value across multiple valuations
6) Div. accrual function now also works for Cap Gains distributions entered into Div. History records.
7) Amortization & Accretion computation signs corrected for linear case, and non-linear calc now matches
CTwin results and also can amortize / accrete for multiple purchases of same issue.
8) Transfer from blotter now no longer assigns "REV" as tax lot in portfolio when prior transaction was a reversal.
9) "Adjusted" type fees (e.g. "Advanced Adjusted") are now allowed to go negative.
10) Cross-ref. perf. report index reporting now shows index for any subtotal record based on User index preference settings.


12/19
1) Position record symbols fld double click now does web lookup for cusips if in Cusip field (from FINRA site) 
2) Import script bug intro'd 12/3 (affecting Scottrade import), fixed.
3) Mgmt fee report tweak so generates faster (Avg Value calc skipped unless Avg method used) when even when daily valuations
4) Interest on foreign cash balance computation tweak.

12/11
1) Report Header/Title Date formatting re-activated
2) Est. Tax calc of DLV transactions now uses correct sign for Net Amount in computing gain
3) Rotated reports (e.g. portfolio performance) now apply detail "space after" specification
4) Custodian import tweak to support "IF=" scripting for last item in line in delimited data.
5) Fund accounting features in activated in keycode (for test License only)
6) Distribution record for a "foreign currency" is treated as an interest rate record for transactions
with IOB TAC code (Amt/Shr=credit rate, Qty/Shr=Debit rate).
7) "Interest on Balance" computation for a foreign currency now computed like a money fund
8) "Gross Amount" field in transaction report now reports gross on income transactions with tax w/h.
9) Transaction table records now properly factor in Tax W/H field when computing "Net Amount" on income transactions
10) Div. Accrual calcs modified to handle year end "straddle situation of Ex Date / Pmt date.
11) Static Synthetic index note date specification requirement eased so note dated outside of report date
range will still generate an index roi.
12) TXS transaction code is now treated as a "positive" cash flow (i.e. credit to portfolio) for before tax ROI 
computations. Portfolios with these transactions accordingly show a higher roi. Estimated tax amounts 
for income transactions which were cause for TXS transactions should have the applicable "Est. Tax" value
so after tax ROI reflects the Tax withdrawal.

12/9
1) Fix to bug Income by Category/Security report introd in prior release.
2) Subtotal and GT coloring from 12/3 release now working as intended.

12/8
1) Manually entered "zero" estimated taxes now recognized as "Non-taxable" on Income report.
2) "PoolFactor" field added to custodian pricing import and implemented for TD Ameritrade pricing import script.
3) "Is Money market fund" function now requires symbol be at least 4 characters in length b4 recognizing 
leading or trailing "$" as indicating it is a money fund.  This is to support more flexibility in assigning foreign
currency symbols.
4) "Purging of Non-Syncronized" valuation cash flows prepratory to ROI calcs tweaked for partial period holdings.

12/5
1) "Sleep" stmts intro'd in 11/17 release modified due to slowing valuation & other ops too much.
2) Multi-currency cash balances computations made consistent with Captool/win for Foreign cash acctg case.
3) Batch Valuation now re-fetches missing prices at end of batch val calc if "download missing prices" option
used, this resolves timing issue.
4) Portfolio Perf. Rpt. extraneous column headers resulting from different account holding times, now suppressed.

12/3
1) Custodian Security record import now adds cusip for new records.
2) Custodian import routine processing "IF=" condition modified to permit more complex conditions
allowing faster import of data with more than one record format per Captools record type (e.g. Interactive Brokers)
3) Tweak to Schwab import of client address field to better avoid getting Acct Title info into the address
4) Grid footer subtotals for position records now hidden.
5) Security Group filtering option added to Transaction reports.
6) "In the money" property now inherited from base position records when recomputing valuations (needed for ESOs).
7) Price lookup function now properly ignors time part of date in price record when forming cached price list.
8) Report numeric fields now can have custom font colors and subtotals now inherit font properties of associated
detail fields (e.g. red for negative #'s).
9) Accrued Dividend from distribution records now needs only a single distrib. record.
10) changing Foreign security/currency status via symbol "compute" function in transaction record now automatically 
triggers share/cash bal recalc.
11) Fix to Update Sec. Statistics func. called following downloading prices
12) Batch "Apply Prices" now works for downloaded prices.
13) Report column header band top adjusted to allow for page borders when headers hidden on page (e.g. pg 2)
14) Report Fixed decimal functionality, disabled in 11/17 release, restored.
15) Exports from Temp type views (e.g. Where Held, Batch Positions) now enquote text with double quotes in lieu of single quotes



11/24
1) Custodian import optional scripted calc of Commis. or accrued interest now restricted to trades only
2) Batch positions for securites with "zero price" set now do not show as missing price.
3) Price D/L script modified to accomodate new download format for Current quotes.
4) Custodian import script processing enhancements to support more complex import conditionals
5) Position view price x quantity calc variable tweak to avoid price rounding of price to 2 places during calc.
6) Cost calculation function calls parameters changed to remove optional parameters to ensure consistency thru-out prog.
7) Rotated reports font customization now supported.  Also Fix to sporadic uninit object error when running this type rpt.
8) "Published ROI" option for index roi reporting now functions


11/17
1) Neg. Number red color and font style control restored for reports
2) Sign on computed AMT transaction amount is now negative.
3) Browser screen help buttons with subtopic links now properly load subtopics.
4) Distribution records for indices with "ROI" in TAC field now work as per help docs.
5) Change in rpt detail font colors now save w/o need to change other font characteristics.


11/11
1) rf_index0, etc. fields added to composite perf. cross-ref. reports for subtotals on account fields.
2) Security distribution input with null Amount/shr field now does not generate a posting error.
3) Corrections to valuation purging routine and change to scheduled valuations purge specification user interface.
4) Allocation trades accross multiple accounts now supported.

11/3
1) Fill Down/up now also fills associated manual entry flags.
2) Addl. tweaks to better converge IRR when sharp neg. losses in ROI calcs.

10/30
1) Manual batch valuation purge option now operative.
2) Alloc. trade now does not pick up prev. closed positons for securities in alloc. table.
3) Custodian Tr. Blotter import now sets "Local" flags for transaction where Security Currency and Account currency do not match.
4) IRR algoritm for large neg. roi's now identical with Captool/Win 
5) Value% by Acct field now always uses report end date valuations. 
6) Accrued div. calc. now works for distribution records case.
7) Position by lot report correction for average cost case.
8) Additional work to ensure converge ROI for sharp loss situations.
9) Report Chart component bitmap "image" and handle now freed prior to generating charts for new reports to avoid possible mem leak.

10/22
1) Report roi's where effective period < MinROIdays now results in "nmf" output.
2) Manual valuations entered into batch position records at the account detail level, now can be applied to portfolios.
3) Excel output no longer truncated to right when exceeds std page size.

10/20
1) Report categ. exclusions bug fix.
2) Scottrade and TDW Canada import script changes
3) Rebalancing exclusions now operative.
4) Batch position view now closes faster due to suppression of batch valuation refresh.

10/13
1) Portfolio Perf. Report now can take placeholders in report headers/footers.
2) Fee report memory leak fix.
3) 6 Char Symbol ending in "XX" now recognized as money mkt fund (formerly only 5 char symbol ending in XX recognized)
4) Fee billing report now can handles "Billing Range" field better for layered fees so now 
can group and subtotal on this field for multi-account reports.
5) Perf. Report computation tweaks to be consistent with Captool/Win algorithms (mid period zero valuations filled for
time wtd rois, neg. roi convergence init. rate set same as CTW)

10/7
1) Fee records generated to blotter now consolidated to a single record/acct.
2) Price factor fixup for Datalynx to TD Ameritrade now works.
3) Security Type exclusions now work for Realized Gains and Pos. by Lot reports

10/03
1) More efficient Batch "Apply Prices" function (data transfer size from desktop to server reduced)
2) Reverse implementation of item #6 in prior release due to problem w. header.
3) Fee summary rpt now treats accounts with blank family field as non-related.
4) Schwab "CASH07" in RPS files now imported to reconcile table as applicable money fund symbol if user has sweep 
generation activated (requires updated Schwab.idi file)
5) "No Amount Calc" and "No Qty Calc" fields in Transaction blotter now visible so user can de-activate if need 
to manually enter. Also these fields are no longer set to "True" on blotter import.
6) Another Text string matching twk (9/17 rel) to deal with problem in Scottrade import Tac translations.
7) Reconcile sequence in Batch valuation moved to resolve (hopefully) with MS-WinXP Service Pack 3 issue with MSDART.DLL error.

9/25
1) Generic import post processing now computes Commission (& not price) for DLV and RCV transactions when "CalcCommission" 
set in translate rules.
2) Position record "Calc" function on Symbol field now resets "Money market" flag "off" (potentially needed for Money funds
valued below par).
3) Price factor fixup function, item #8 in 9/11 release modified to support Fiserve to TDAM conversion of bonds.
4) Manual zero price on batch position view is now shown as "0" not blank and does not display with pink background.
5) Correction of import bug in (item  2, string match, in 9/18 release) affecting comma delimited custodian import.  
6) Subtotals now hidden if detail lines are hidden due to "zero cash" or "hide cash" settings.
7) Portfolio sigma result now consistent with Captools/win.
8) Price History ROIs (e.g. Indices ROI's) now have start/end dates adjusted to start on applicable market dates.
9) Wtd Avg. subtotals like Gain% now operating properly on Position by lot report and realized gains report.
10) DLV transacctions with specific tax lots now apply cost adjustments using tax lot matching rather then averaging.
11) Batch position type, group, class etc. fields now populate correctly at the aggregate symbol level.

9/18
1) Subtotalling fixes to fee reports. 
2) fixed bugs in item #2 of prior release so custodian imports worked.

9/17
1) Security records now populate "Update Date" field when importing to facilitate identifying recently imported records.
2) Text string matching routine with "wildcards" in file masks modified to handle filenames with multiple extensions.  
This primarily impacts imports.
3) Word wrapping turned off when CSV reports generated to accomodate updated report component which no longer turns it off.

9/11
1) Position price "blanking" now leaves price as blank rather than zero.
2) Batch position manual entry prices now updated to price history records.
3) Batch "Apply Prices" now operative for downloaded prices in addition to manually entered ones.
4) ROI "Missing Prices" exclusion (8/27 release) now a report user option, with default value of "true". 
Also, now only applies to mid-period valuations.
5) Cosmetic tweaks to report editing pages.
6) fix of minor report memory leak plus nilling freed record objects to help detect leaks in future.
7) Pricing from Recon records now takes into account security price factor.
8) Price factor fixup function added to account record fixups options
9) Reports now provide option on whether to display Cash position and prices.
10) Batch Pos. missing prices coloring now not set is security is specified as zero priced
11) Data conversion now supports conversion of extended note records and allows re-conversion 
of note records, by using the notation "notesonly" in the "Other Specs" field of the conversion dialog.
12) Bond accrual days elapsed ct no longer adjusted upward by one day.
13) Accrual Adjustment turned "off" in TDAM interface to be consistent with recent data which 
is already adjusted.
14) Bond yield on sec. statistics table now assumes bond payment rate is stated consistent with maturity 
pricing (i.e. 5% bond w. par of 100 will have "5" as Div/Int rate).
15) Report Div Yld and Annual Inc. field calc fixes including fixing uninitialized variable.
16) Income/expense report now has special option to allow user to modify group labels, using the notation
"Old_LabelA=New_LabelA,Old_LabelB=New_LabelB".
17) Position by lot report now correctly handles short positions.

9/4/08
1) Price history conversion now able to deal with blanks and periods in CTWin symbols.
2) Batch valuation "delete" function bug intro'd in 8/11 or 8/19 release, corrected.
3) Report "Consolidate" closed position option no longer requires account field as primary group.
4) Bond price history "normalization" can be implemented by highlighting the "Maturity Price" field and 
"Data/Compute" command.  This is needed for users with bonds converting from Datalynx to TDAmeritrade
due to difference between custodians convention for par price.
5) Model allocation pie chart color fix.
6) Block trade modifications including rounding, and ability to exclude accounts based up "No Trade" flag in Portfolio Securities records.
7) Fields off right side of page now print upon CSV output.
8) Weekend pricing from batch valuations fixed.
9) Additional fields activated on the Security Metrics cross ref report. (Pro4)

8/27
1) ROI report cash flow generation now excludes "missing prices" valuations and valuations marked "exclude".
2) Acct record color flags for old perturbed or missing prices now resets once missing condition fixed.
3) Acct Shortname field to allocation trade records.
4) Report sort by value option re-enabled.  (note: value field must be first field column)
5) Batch "Apply Prices" mods to reduce size of data passed to Tasker (Changelist cleared before reuse)


8/19/08
1) Alloc. trade function corrections.
2) Covered short trades now always put in "short term" category of realized gains report.
3) Options for batch valuations increased to fetch year length time windows for prior years.
4) "Calc" functionality for "Value" field on account records now checks for "perturbed" or "missing prices" in non-current valuations, 
displaying such with non-blue color.
5) Report drawdown field now works (Lev. 3)
6) ROI cash flow preparation purges extraneous zeroed preceeding or trailing valuations to ensure consistent normalization.
7) "Split Account" utility now uses correct TacCodes when splitting on a specified date.
8) "Cash Bal" (broker cash balance) field on Level 4 valuations view now properly computed.
9) TDAM import now pulls Div Rate into security records.
10) Placeholders now supported for "User Text" for Indices in ROI by Security reports and for Total fees in Management Fee Reports. 
(See Help/Reports/Placeholders for detail).
11) CTwin to Net data conversion now places old "alarm date/time" into "Session Date/time" fields
12) Dividend accrual, inadvert. disabled in prior release, reenabled.


8/11
1) Spinoff function now no longer generates separate CBA transactions and now MMO's or deletes prior instances of same spinoff. 
2) Perturbed valuation "fixup" added to "Fixup" field of account records.
3) Pie chart of income/profit now handles negative values.  Growth charts now converts symbols & types to descriptions
4) Realized Gains report now can handle Cash and Moneyfunds w/o crash due to nil Trn pointer.
5) Trade counterparty field added to trans. blotter transfer (applic at Lev. 4)
6) Closed out positions reporting when "Consolidate" (not by category) is used now uses meaningful group header.
7) "Start Gain" and "End Gain" in reports now excludes accrued income.  Desktop Position records now also exclude accrued income from gains.
8) BlockTrade function modifications.


8/7/08
1) Treatment of TXS transaction code now consistent between Portfolio Perf. and Security Perf. reports.
2) Security Statistics view computation of income yield tweaked to use same method as in #11 in 7/31 release below
3) After tax roi reporting for portfolio performance rpt now consistent with after tax ROI for  by Security report.
4) Transactions fetching for period type reports now properly ignors "Cash/Margin" and "Short/Long" status if these 
are deactivated in account options (some users data had wrong C/M and/or S/L settings)
5) Correction of accrued div. bug introd in 7/31 release.
6) Transaction amount rounding added for cash/money fund transactions with multicurrency active.
7) Non-calendar year ending fiscal year notation reporting now works as expected if end date equal specified fiscal Y.E.
8) From-inception TW ROI now captures effect of 1 day transaction commission.
9) Symbol filters activated on realized gains report, and security record "special" setting of "Money Mkt Fund" now recognized for this rpt.
10) Cross-ref reports using "Group Value%" can now group on "Family" and "Client Group" fields.
11) Position by lot report now applies price factor to unit cost field.
12) Period reports for accounts containing position records with Null "Cash/Margin" fields now properly fetch start values (around 7/9 bug)
13) Chart Filters now activated for most line charts.  "Visibility" setting now activated for growth charts.  Pie chart arrow tweaks.
14) Option expiration date adjustment now allows for Leaps and now does not try to adjust a null date.
15) Report dividend/intr yield calc now excludes cap gains distribs.

7/31
1) Custodian import script "IF=" condition now accepts "wildcard" notation.  
2) Unit cost on batch position screen now factors in price factor.
3) Cost calc object now "recycled" during reporting (to improve speed and memory usage)
4) "Debit Only" option of Pro 4 Debit/Credit interest generation function now active.
5) Serial Performance reports again (7/14 bug) use correct starting date for period in which portfolio begins when most recent period is YTD.
6) Tweak to visibility of right most field in portfolio performance report so visibility of header and body consistent
7) Report sort field now purged of any legacy "PLS" type fields which might prevent report from being run or edited.
8) Cost basis calc tweaks to avoid floating point errors if data bad.
9) Missing Price calc. now works when no symbols specified.
10) Batch position "Apply Prices" function now works after a view refresh.
11) Dividend rate/yield lookup during reporting now always used distribution records as first option, security record date/rates 
specification as 2nd option and optionally uses portfolio dividend/interest history as 3rd option.
12) Realized Gains report special option "Include Cash and Money Markets" activated.
13) Price History record fetching for Index ROI computation now not sensitive to time of day component in record.


7/22
1)  First Cash Position record in portfolio now initialized with "C" and "L" in cash/margin and Long/short field. Indeterminate value 
for this record was causing empty record to be returned for Cash for first position record for reports.  
2) Forn Exchange rate lookup button added to batch position table view.  (This re-fetchs FX rates but does not download them)
3) Fee method option added to bill based upon Reconciliation records.

7/16
1) Position/Holdings reports now properly skip closed positions when report includes valuation or growth chart (bug from 7/4 release).
2) Custodian Import modif. to allow symbol in TXW type transaction field so can consolidate TXW with Dividend transaction.
3) "Client Info" type report now has some additional account fields to support reporting available cash and other account info.  
Also added "Show Account Detail" option to this report.

7/14
1) Batch positions now fill security type, group, class, etc fields for symbol subtotals.  
2) Trans. blotter dedup function now excludes Est. Tax, Aux Date, Aux Amount and months held fields.
3) Tweak to performance report computation to ensure not sensitive to system date format.
4) Serial ROI performance reports no longer drops first period in 2nd and later reports.
5) Account ROI start date now functions as intended for portfolio performance reports.
6) Valuation computation tweak to ensure offsetting short/long positions generated from prior program version are cleared
7) Report body edit interface tweak to give more room for selected fields.
8) Valuation chart now plots correct additions, removals, net invested and profit lines.
9) Multi-period Portfolio perf. reporting with periods in ascending size now operative.
10) Report Chart associated with table no longer force to use table period length.

7/9
1) Various mods to somewhat improve speed of period report generation (reduced # of reqd custom fields, compute of GrTot Values now done 
at Acct Level rather than symbol level, Acct Values cached in list at start if AcctVal% field specified (also elims. a mem. leak)).
2)  Chart reports filtering options functionality extended to applicable line graphs
3)  Report valuation and growth chart "jaggies" in merged reports resolved.   Plot date range syncronized with single period reports.
4) Purging of non-syncronized valuations from cash flows prior to time wtd ROI computations now functions correctly as needed
for multi-account and merged account ROI's.
5) Junxure export (holdings.csv) now operative again.
6) Report Group Footers which have zero detail lines are now displayed if "Model" fields are active.
7) Report option to "Remove" Cash or MMFs or zero cash or MMFs from report.  This differs from "Hide" in that 
the amounts are also removed from totals.
8) "CashTicker" now forced for symbol for certain TAC codes during imports.
9) Security level ROI reporting now corrects for non "(CASH)" symbols in transactions that normally would require such (e.g. WDF,DPF,MFE, etc).

7/3/08
1) Reports containing blended indices when run against accounts w/o blended index specs now don't crash.
2) Adding blended index % to Index specifications in Program or Acct Preferences no longer adds extraneous index security records.
3) Portfolio Performance Rpt Date column header with merged accounts now does not display bogus start date in yr. of inception 
of accts held for shorter period.
4) Portfolio Performance reports with merged accts. now again properly purges non-syncronized valuations (this was disabled in 6/20 release, 
affecting Twtd ROIs)


7/1/08
1) Profit chart now created with "Symbol & Value" option instead of "Symbol & Pct" since latter was misunderstood as profit%
2) Cash and MMF report special options for "Hide" enhanced to add 2 extra options for hiding records or fields.
3) Custodian Imports "Advanced Options" user interface tweaked to get rid of extraneous items.
4) Report "Group Sort by Value" option added to Report "Special Options" for Level 3/higher.
5) Separate Chart Filter option added to Report "Special Options".  Specifying a symbol or category preceded by a minus, e.g. "-(CASH)" 
excludes that category from the chart.
6) "Pending Div.", "NextExDate" and "Next Pmt Date" fields on security list are now hidden since they are unused, and not updated,
since security distribution records can now be used for pending dividends.
7) Mutual Fund Firm Id field added to various reports.
8) Editing of Program Preferences, Account Options/Index symbols to include blending percentages, no longer adds 
extraneous symbols to security records.
9) Account note subject field is no longer a self pick list field.
10) Merged Account Blended Index ROI using Account Note specification for blend now operative.
11) Chart only reports no longer generate blank second page for some accts.
12) Report option "Hide Primary Grp Hdr & SubTotals" added.  This allows suppression of display of primary group header and subtotal 
which might be useful in some cross-reference reports such as Fee Summary report.


6/25
1) Report special options page items spacing tightened, check box order modified to group ROI controls.
2) Two additional report Portfolio ROI controls added to special options, "Never Annualize < 1 Yr" and "Blank Annualized < 1Yr"
3) Report "User Text" alignment tweak.
4) Composite ROI report option "Multiportfolio Twtd ROI method" option now offer "Investment Wtd. Avg" method (recommended),
which avoids inter-portfolio valuation sycronization issues.
5) Reconciliation during batch valuations now matches weekend date with last prior business date.
6) Tax Deferred accounts now update transaction Aux. date and Aux amount fields for Cost Basis Date and Amount values 
(provided tax calcs not deactivated)
7) Tax Lot assignment with splits now properly reflect post split quantities on tax lot assignment view.
8) Item #1 on 6/17 release was corrected only for Tax Lot assignment view.  This is now corrected for estimated tax computations as well.
9) Automatic assignment of values to Trns Rec AuxAmount and AuxDate are now suppressed if manually entered amount detected.
10) Transaction data coloring tweak to show manually entered data in lighter yellow coloring consistent with other tables.
11) Various client info related fields now output on holdings, profit and decendent reports.
12) Fee Billing Summary now correctly reports avg Billing Days and Fee% in the Gr.Total line.

6/20/08
1) Report bug introd in 6/17 release preventing "Where Held" reports from running, now fixed.
2) Valuation cash flow syncronization for computing ROI's modified to support grand total level ROI computations.
3) Report start/end position data fetching critical error fixed.

6/17
1) Tax Lot function with some closing transactions now properly excludes shares assoc. with last closing transaction.
2) More tweaks to batch pricing so "future" dates valuations will always update with most recent prices.
3) Multi-select/compute of portfolio valuation records now triggers only a single recalc thread.
4) Reports with AcctID active (#2 in 6/10 release)  now properly handles Acct Id closed out in period.  Also if AcctId or Strategy active now 
correctly fetches start and end position records if these fields are blank or null.
5) Morningstar export now enquotes text which may contain characters that cause XML problems. 
6) Proper filename extensions now prompted when doing custom exports like Morningstar or TXF.
7) Weekend portfolio pricing from prior market day reinstated.

6/10-12
1) Valuation purge excludes first valuation in each account from purge
2) Reporting mods so reports using AcctId when AcctId is active (& Strategy, C/M, etc.) reflects expected results.
3) IRA min withdraw calc. implemented (IRALifeexp.Ini added to CTscripts folder for lookup) 
4) Morningstar custom export activated.   Custom export of holdings to Junxure format implemented (acct info & money export not yet)
5) Group subtotals for ROI fields now hidden if detail fields hidden.
6) Batch valuation pct field computations corrected.  # of Accts field added.
7) Batch position reccords now show price source in By Symbol view.  Cost/Unit field also added.
8) Future valuations now update with most current prices and Xrates.
9) Generic import translation of Lot identifiers now supported.
10) Holdings and related reports now have some additional fields at Pro 4 level to show security values w/o dividend accrual 
while still using dividend accruals for performance computations.
11) Programmatic insertion of security records now always sets "Active" flag to True  (several places) to ensure these records 
remain visible.
12) Tax Lot assign function now shows open lots with blank lot fields.
13) (CASH) symbol now displays quantity (position) and price fields to support output to CSV.
14) Account Value% field added to reports to support "Where Held" and similar multi-account reports.
15) Position record price fetching again picks up weekend/holiday prices if found in price history records (disabled in prior release)
16) Growth graph can now use description in lieu of symbol for indices items.
17) Import mod & script change to purge of blanks from TIAA-Cref Acct#'s. (will require TIAA user edits of existing acct#'s)
18) Income/yr field added to position view.  This is based on most current info in Security Statistic records and thus those must 
be maintained.
19) "Addition" and "Removal" field values on period type reports now are adjusted at the Gr.Total level for flows into/out of cash.
20) Account notes based blended index now works.  Also date of blended index note record does not need to be in range 
of report start and end dates.
21)  Custodian import "Cusip to Symbol" lookup tweaked so not sensitive to order of symbol vs. cusip if two records with same cusip
22) Avg. Cost with multiple RCV transactions now matches costs properly.

5/29
1) Custodian import with imputed commission or accrued interest now imputes correct price factor if needed. (reverted)
2) Merge function no longer sensitive acct # order.
3) "Show single Acct subtotals" now always true for cross-reference type reports.
4) Accounts with zero fee rate but with min fees now generate fee rate record for reports.
5) Fixed couple of bugs associated with automatic insertion of expired options.
6) Bar charts now show a background grid.
7) Rpt Chart object now inherits from Period report object instead of Base Rpt object.  This resolve errors which could occur when 
some chart types run independent of a table report, and may eliminate some associate memory leaks.
8) Tax lot assignment function mod to correct problem with spec. lot case resulting from 5/20 change.
9) Accrual method selection list in security records, inadvertently misspecified in prior releases, corrected. (5/30 refresh)

5/20
1) Added a new Morning Star export functionality to the Desktop and Server program. Re-arranged code. (NOT FULLY IMPLEMENTED)
2) More tweaks to price retrieval to facilitate "future date" pricing.
3) Generic import tweak to fix bug for securities that invoke lookup via cusip field.
4) Specific Tax Lot assignment now does not display closed out lots on lot assignment view.
5) Other lot assignment tweaks for toggling between Fifo, Avg. and Lifo on tax lot assignment view.  
6) CBA transactions amounts now allocated amongst relevant specific open lots in open lot report.
7) multi-chart colors restored for Lic.27707


5/15/08
1) "Group Value%" field in position type reports now works as intended when grouping field is not the account number.
2) Distribution generation for reinvestments now accounts for price factor.
3) Report fields with data from account/client records of closed accounts on cross reference reports now properly populated.
4) On calc. est. tax from CTnet Desktop, Aux Date now populates with correct date for tax lot method. 
5) TaxLots now assigned on transfer from Trans blotter, and are not looked up for close records unless specific lots. 

5/9
1) Tweaks to Rpt Account Address lookup to provide approp. data if address used in header of cross-ref report.
2) Value% G/T sums in reports forced to 100 if slightly off due to rounding.
3) New Security record default "Approval" status is now "True"
4) Default security record Max Stale Price Days is now "0" in lieu of "1" previously.
5) Local Security record type removed from report dataset formation algorithm.  These record  type fields, when used, now looked up. 
6) Report footer now picks up correct "Family" and other account info on first page of multi-account report run

4/30
1) Pos. by Lot report now report Avg. cost for open transactions with "Avg" tax lot assignment.  Blank lots are reported at actual cost.
2) Client related fields item in #10 below now also operates for cross-ref. reports.
3) Mod. to GetDescriptionForBreakFld function to allow for possible Null value for date fields allowed as grouping fields in #9 of 4/24 mods.
4) Fiscal year end specification now recognized in reports for accounts with non-calendar yr ends.
5) Alpha and Sigma statistics computations modified to obtain results consistent with Captool/Win results
6) Batch position "value" changes now treated same as "price" changes w.r.t. "Apply prices" function.
7) By Security Period ROI/Profit report "Period R. Gains" field now consistent with Portfolio ROI/Profit report
8) Improved Progress indicators for R. Gains and Pos by Lot reports.
9) Value% in batch "Where Held" position recs now populated.
10) R. Gains report now properly accounts for splits with specific lot costing.
11) Fee exclusion by shares at a portfolio level activated (Level 3/higher).  (Note: fee exclusions must be first activated in the fee rate record)
12) #11 in 4/24 reverted due to dropping of last record. 

4/24
1) Single "consolidated" category added back to position reports for closed positions (4/17 version had multi-categ. only).
2) Transaction Aux. Date field for options now pulls in option exp. date indicated in security record, regardless of transaction date 
(to accomodate options expiring > 1 yr)
3) Batch position Value% fixed for case of "Show by Acct"
4) Batch position calc. dialog tweak for "Reprice Only" group box.  
5) Batch valuation "Reprice" function re-coded for faster performance.
6) Serial Portfolio ROI reports with Yr to Date specification for one period will now use year end (or Qtr end if applic) for all other periods.
7) Closed position consolidation can now be either by Security Category or by Account.
8) SubAccount view modif. so that CTNet Account selection shows all available accounts and also Account short names
9) Date fields now can be grouping fields in reports.
10) Additional client related fields (address, phone and email) added to report fields to better support audit related reports.
11) Custodian import of data files now does not import a duplicate of last record if source file does not end with an end of line character.

4/17
1) "Non-taxable income" category in income report (see below) now functions as expected.
2) Valuation computation now properly handles symbol changes where the symbol is changed to symbol already existing in portfolio.
3) CTwin data conversion tweak to construct price filenames for symbols>8 characters.
4) F/c income rpt for bonds now gets correct figure on maturity dates
5) IRR calc tweak to deal with premature convergence in certain cases of irr on loss position.
6) Batch position record tweak to "Gains" field computation so reflects gain for each security, not cumulative gains.
7) Option expiration handling modified to insert closing expiration transaction if does not already exist. 
8) Option symbol matching now only considers strike price and expiration only if "old style" Captools option symbols used 
(for backward compatibility).

4/10
1) Report "Hide Closed Positions" and "Consolidate Closed Positions" now excludes "Cash" (handled by separate control)
2) Income/Expense report tweak to correct change made in 4/3 release affecting AMT and ACR transasctions
3) Tweak to lot assignment fcn so applying more than one methodology or multiple assignment of qtys does not overstate close qty
4) Handling of consolidated "Closed" positions in period reports modified to associate with the inner most grouping category.
5) Manual entry of transaction price now also sets flag for "manual amount" on tranactions and trans blotter records.
6) Reporting Gains% computation tweaked to allow for neg. denominator.
7) "Non Taxable Income" category added to income/expenses report.
8) Perf. reports now pick up assigned indices for each acct. rather than reusing first accts. indices.
9) Trans. Blotter record now shows "Shortname" even if Custodian Acct # is a subaccount in CTnet (e.g. DST).
10) "Where Held" function added to "Batch Ops" submenu
11) QIF import tweak to deal with securities with no symbol.  A unique symbol is fabricated using Check Sum math.
12) Batch position to portfolio position Xrate transfer implemented.
13) Editing Aux. Amount field now perturbs transaction record. 
14) Price lookup for "future" dates now will import current quotes to support methodolgy used in prior prior program.

4/3
1) Report headers/footers now allow combining placeholders with insertion items.
2) Reports using Model portfolio fields now run again (inadvert. disabled in prior release).
3) Fee exclusions grandfathered to Level 2
4) Position record accrued int. field now updated when Xrate chgd.
5) Fixups to display of text type subtotal fields with and w/o word wrap.  
6) Wordwrap forceably turned off for non-text fields.
7) Rounding tweaks for fees.

3/27/08
1) Batch/Trade export using customized xdi file now excludes fields w/o column specification. 3/20
2) Allocation record pricing now allows for weekends, holidays and mutual fund pricing lag.
3) Tweak to US Mkt holiday algo. to implement perpetual Good Friday holiday algorithm.
4) "Uniform periodization" of for adjusted fee rate methods now consistent with older program.
5) Posit.by Lot report fixup for specific lot case (costbasis function tweaks)
6) Cross-reference fee report now properly allocates minimum fee across multiple related accounts.
7) Portfolio short name field now will not be overwritten during custodian import unless it is already blank.
8) "Maximize Gains" tax lot assignment function now works.
9) Batch Position price download inadvert. disabled in prior release, re-enabled.
10) Valuation interest accrual calc tweak to compute up to last day of period.
11) Income/Expense report now includes Depreciation, amortization and accretion items.  
Expenses are now reported as negative number to facilitate totalling of income and expenses.
12) Periodicity control option added to mgmt fee report.
13) Growth chart now allows "skip" in index selection.
14) "Override Prices" account option activated.  This will update position records with non-null prices to be updated.
15) Hidden cash or MMF option now also hides relevant subtotals and group hdrs.
16) Tweak (disable/enable controls) to subtotal processing for position records and certain other tables for small speed improvement.

3/19
1) Position records s/t type toggle function reinstated.
2) "Apply Quantity" button add to Tax Lot assignment view so user can apply manually indicated lot allocations.
3) Realized gains report now correctly handles same day sales (bugged in 1/19 release)
4) Unclosed options can now be optionally reported on realized gains report.
5) Re-Conversion of price history now handles "." in symbol.
6) Exchange rate lookup from Price History (not a download) implemented for valuation of foreign securities. 3/18
7) Reconciliation record coloration now reflects mismatched portfolio and recon dates with orange bkgrd.
8) Hide zero cash options in report now does not hide non-zero cash.
9) Option to purge non-month ending valuations now retains non-calender month ending valuations.
10) Report runtime date adjustment routine tweaked to make more efficient.

3/14/08
1) Optional Generation of Trans. Blotter records when Fee Report run is now functional.
2) Tax on Fee in fee report is now functional (Level 3 feature).
3) Fee summary report now hides detail and first level subtotal in default mode, so as to show just account subtotal.
4) Rotated Portfolio ROI report now sizes field labels properly to reflect larger font sizes.
5) Acct field "Tax Deferred" added  reports so can use as a grouping category.
6) TD Ameritrade import now does not suppress RCV/DLV transactions tagged "Between Like Accounts"  
(per TDA these are no longer used for C/M journal transactions)
7) Manually entered exchange rates in Batch position records now updated to underlying portfolios for given symbol. 
8) Acct. Shortname grouping supported on Mgmt Fee Reports. 
9) Mutual fund (MF) format transaction entry now computes quantity after entering price.

3/7
1) Specific Tax Lot Min Taxes/Max. gains function reactivated (inadvert. disabled in a prior version).
2) Manual zero prices entry in Position records now update to Price History records.
3) Two batch position routines now "disable controls" while traversing records for faster operations.
4) Batch Positions w/o pricing now show as "blank" price so that manual entry of "0" registers as a "manual zero price".
5) Exchange rate lookup function now does not generate error message when symbol for exchange rate not found in sec. list.  (returns value of 1.0)
6) Special View export using customized specs. (e.g. sample.xdi file) now operative.  Also "sample_noquotes.xdi" for export w/o quotes.


2/26
1) Fee summary report bug from 2/25 update fixed.
2) MFS,OFS,FES codes now properly handled in Realized Gains report
3) Accrued interest on purchase/sale now properly handled in Realized Gains Report and interest report.
4) Report ROI and Growth charts items selection now functions properly.
5) Type exclusions/inclusion special options added to Realized Gains and Position by Lot reports.
6) Accrued interest computation for bonds now uses "Payment Date" specs in lieu of "Ex Date" if latter is un-specified.


2/22-25
1)  Edits in Client/Account dialog now set "manual edit" flag same as when edited in grid, to prevent data import overwrite.
2) "Show Single Acct Subtotals" report option now only applies to portfolio reports (caused account subtotals to be suppressed on x-ref reports)
3) ROI Matrix report header labels for period column can now be manually set.
4) Provisional code added to test optionally treating options trades as closed transactions, ie suppress option positions in holding records.  (at request of a user, requires special notation in User Field#1)
5) Certain report subtotals (e.g. price) visibility suppressed unless subtotal group is security level.
6) Delimited format custodian imports now properly handle "IF=" conditional field imports.  (fixes reversal import for TDAmeritrade)
7) Text wrapping in "User Text" area of reporting now does not sometimes hide last line of text.  
8) Report field "Wrap" control now not enabled for numerical fields.
9) Field picklists derived from other tables now suppress duplicate entries.
10) Custodian import tweak to deal with data that does not enquote blank fields. (e.g. RBC Dain interface)
11) Fee Summary Report now supports merging by client & family in same way as Captool/win

2/12
1) Current record count info now shown on licensing dialog
2) Cost basis for series of transactions containing DLV transaction now correctly computed. (from 10/2/07 change)


2/5
1) New "ShortName" field in Recon Records now populated upon import.  
2) F/C income report now uses most recent payment x annual freq.
3) Batch Valuation special options tweak to always show last two days valuation.
4) Use of Account note records for title now does not require note date to be dated earlier than report end date.
5) Batch position description now shows more than 20 characters.
6) Bug intro'd in #1 above, which prevented position record imports, now fixed 2/11.

1/30/08
1) Graph Scale Factor reduced to 2
2) Distributions downloads post processing excised to improve D/L speed.
3) Pos. by Lot report now uses assigned lot costing (was avg only due to error in prior release).
4) Reporting tweak to handle mal formed flag data converted from CTwin.  (option flag problem)

1/23/08
1) Correction to 11/8 bug in way internal record filter state restored ("popped") which affected account record info in multi-account reports.
2) Captools/net Desktop "Tax Lot Assignment" function now works as intended.
3) Trans. Blotter import now does a subaccount lookup if necessary to find Acct Short name.
4) Envelope address printing, fouled up in 12/27 release, restored to proper functionality 
5) Double click from Trans. Blotter Shortname field to Portfolio transaction implemented.
6) Income by Category report uninit. index variable fixed (caused sporadic failure to run).
7) Group Value % field added to reporting to permit computing Value% based upon report primary subtotal field rather then grand-total.
8) Some mods to how accrual computations are handled to ensure accrual computations not unnecessarily repeated or manual accruals overwritten.
9) Some minor tweaks to report subtotal band spacing parameters.  
10) Generic import mods to compute implied commissions and support paren style negative numbers.
11) Trans Blotter manual input - symbol field picklist implemented and description updated upon symbol change.
12) Tax lot field can be manually changed w/o triggering a recomputation or reassignment of lot numbers.
13) Report grouping in the Account Client Id field now populates text fields on the group "subtotal" line.
14) Taxes Withheld displayed as a negative in reports.
15) Custodian security import no longer requires symbol to be shorter than Cusip for Cusip to Symbol lookup to work.


12/27/07
1) Account List field added to Client Info Cross-ref report.
2) Report User Text  - tweaks to alignment (may required edit and re-saving of reports using User Text).
3) Report Header horiz. positioning when header border used was tweaked.
4) Custodian import now can handle blank string text field in delimited import. 
5) Alloc. charts for groups containing short positions now does not show separate segments for the short position. 12/28
6) Stale price treatment tweak: stale prices now always retrieved during valuation if "stale price days" in sec. record>0.
7) Chart Titles and subtitles are no longer "forced", i.e. if these can now be blank.
8) Transactions with options flag set now display with darker color symbol field. 
9) Additional client info related fields from rf_ClientLastCmaFirstName to rf_TitleMailAddress supported in User Text fields.


12/22/07
1) Pie chart by type, class, etc. now properly colored (white sectors due to mods in prior release fixed).
2) Rpt Chart border style property now functions.  Users must set "border style" to "single" to get border around chart.
3) Report Description field now can display on subtotal line when word wrap property set.
4) Custodian Import file parsing modifications to handle a quote character imbedded within a substring.  Such a quote is replaced by an underscore.
5) Yahoo quote download script modification to accomodate latest URL format.
6) Quote download program modification to allow downloads for users using non-US data formats.
7) Batch Position re-computations upon user price edit are now done on client side for better speed.
8) Batch "missing pricing-only" function bug fix.

12/12
1) Batch position display/interface tweaks (ShortName and Value% now populated)
2) ROI matrix report now can deal with modified periodicity including serial.
3) Date fields with zero dates, e.g. maturity date field now displayed in report as blank.
4) Memory usage for charts reduced during report generation.
5) Security "Statistics" records Price updates and other functions restored.
6) Price Lookup for "Zero Price" and "Unit Price" securities now does not free "relevant security" record.  This caused reconcile record import error.

12/6
1) Scheduled batch valuation days offset now properly implemented.
2) Index price lookup/download for batch valuations now does not impose underscore for blanks in index symbol.
3) Price lookup (GetPHMktPrice fcn) efficency improvements.
4) Generic comma delimited import now allows specification to import substring from a text field using Start Pos and Length parameters.
5) DST Price downloading re-enabled (inadvert. disabled in 11/15 release).

11/29
1) Report Line chart color selection now retained when edited.
2) Report "Local" end cost/unit subtotal now properly computed.
3) Improvements to Security Record lookups during valuations.
4) Batch position modifications to show missing price color in symbol subtotals preserve view filter property.
5) Reports subtotaled on Symbol now properly report "local" market price in multicurrency positions.
6) Account "User Fields" no longer have underscores for blanks upon data conversion
7) Cross-ref version of Security Metrics report added.

11/15-20
1) Toggling between Account Detail and By Symbol subtotaling on Batch Position now works as intended.  Manual Price entry on 
batch position now rippled through system on "apply prices".
2) Multicurrency "End Local Cost" and "End Local Cost/unit" fields now populated with approp. data.
3) Schwab import with money sweep turned on but mmf symbol set to "Cash" now applies correct transaction code (IN+)
4) Growth Chart repaired (disabled 10/23)
5) Greyscale pie chart now supported.  Chart Axis labels now properly scaled.
6) Ameritrade legacy import interface script tweak for Recon records.
7) Tweak to Trans. Blott field display / data entry for Short Name field. 
8) Data conversion now preserves price history time field value. Also Date field conversion routine (CtwDateToDateTime) more direct (uses encode function). 11/17
9) Quote download post processing now updates distribution records payment dates from data downloaded to security record (since some dividend downloads 
only provide ex dates).  Postprocessing data fetching improvements (speed) also implemented.


11/2 - 11/10
1) Merged valuations graphs where one or more accts initiate mid period now report correct net invested figure.
2) Optional "Acct Id" filter on Report "Special Options" now filters as intended. 
3) Line Graph line color selections now change when color palette changed.
4) Cross-ref version of ROI Matrix report (level 3) added.
5) Download of "statistical" items w. Yahoo script restored.  11/9
6) Schwab import now does not import symbol into sec. record Cusip field unless >=8 characters.
7) Recon Records which are "Frozen" now are preserved when new Reconciliation records imported.  
8) "Symbol Filter" Reports Options field added, replacing item #3 for 10/10 release.
9) Fix to bug in Show Batch Position in 11/9 release fixed.
10) SQL fetching improvements in Show Batch Position function

10/30
1) Exchange rate lookup now permits "stale" exchange rate if security record for currency symbol has "stale days" set > 0 
(e.g. for currencies pegged at fixed rate to $ or Euro)
2) Manual entry of exchange rate into position view now updates applicable currency rate records.
3) "Previous Position" pricing now does not lookup prices in price history records except where no previous position exists for account.
4) One more custodian import tweek to deal with TDW Canada data (trim date string to rid spaces).
5) Trans. Blotter now shows CT Acct. field with yellow backgrd if account not yet present in account list as indicated by absence of short account name.
6) Couple of add'l custom colors for graphs added.
7) Transaction blotter manual data entry improved by moving point of creation of new security symbol to record post.
8) Transaction data entry for Foreign MMF's with zero qty transaction now allows Xrate change w/o zeroing amount.
9) DST pricing imports fix from 10/4 now fixed to properly handle cusip to symbols.
10) Notation "Service=%" in CustomSpecs field of Mgmt Fee Report causes service fee field in fee rate record to be treated as a % rather than fixed amount.


10/23
1) Improved report graphics resolution.
2) Valuation Line chart now properly syncronizes accounts with mismatched valuations.

10/18
1) Period Report "Est Tax" field now reports actual est. tax from transaction records rather than liquidation tax amount.
2) Index notation with percentages for blending (see 9/27 rel.) now properly computes 2nd, 3rd etc. period index rois.
3) Custodian import modif. to allow for quoted Transaction codes with trailing spaces in source data (TDW Canada interface). 10/19
4) Paren. notation for negative float fields now implemented (using currency negative notation).

10/10
1) Batch valuation Transaction optional dedup function fixed.
2) Bracket notation for neg. numbers in rotated reports now supported.
3) Temporary method implemented for filtering by symbol in some reports using notation "SYMBOLS=XYZ,ABC, etc.  in Misc Specs options field. (will be superceded later by improved interface)
4) Tax Rate records conversion from CTwin now consolidates INC and DIV records into single rate record.
5) Tax Rate computation now implements specification of separate rates for diff. security types.
6) Option open vs close transaction matching criterea relaxed in forming position records to accomodate older converted data and option security records which have omitted contract date and strike price info. (contract date and strike price are considered due to recycling of options symbols yr to yr)
7) RCV transaction now do not close short positions unless the RCV transaction is specifically tagged as "short"
8) Accrued change field in period reports now populated w. data.

10/4
1) Position report now automatically assumes "Start date" = "End Date" unless historical fields included.
2) DST price imports now does not add unused symbols to security list.
3) Sec. level Benchmark ROI field now subtotaled as a wtd average.  {**}
4) Two additional "Wash Sale" fields added to Realized Gains report. {**}
5) Report spacing after a subtotal tweaked to space primary S/Ts slightly more than secondary S/Ts.  User control of this parameter will be intro'd in a later update.

10/2
1) ROI by Security BM ROI now computed.
2) Spin Off computation now correctly computed cost base reduction for DLV with negative Aux Amount.
3) TDAmeritrade import script updates for mmf reinvestments.
4) Custodian transaction import with script using "Force Fees=On" now properly does not compute buy side fees.
5)  ROI computation bug due to syncronization of cash flows in  9/27 update corrected.
6) Cumulative ROI report "cumulative" fields reactivated.
7) Negative amount entered in "Local Amount" field now retains sign if "No Sign Calc"  checked.
8) Security Id table default field order changed, with "Approval" field now labed "Don't Delete"


9/27
1) Matching of options closing vs. opening transactions now fixed.  
3) Valuation record field "Exclude from ROI" can now be edited w/o triggering purturb check box.
4) "Blended Index" ROI reporting based upon static percentages in index specification records (like Captool/win) activated.  Specifying percentages in account notes can still be done.
5) Automatic exclusion of non-syncronized valuations from merged account rois implemented.
6) Advance adj. billing report calc now properly calcs period adjustment w/o requirement for prior fee rate record.
7) Two requested colors (FergGreen, and FergBlue) added to reporting options.
8) Problem with max length (20 chars)  Account numbers (and some other fields when filled to max length) resolved


9/18
1) Pos. by Lot report now properly includes Return of Capital effect on cost.
2) Cost basis computation tweak (open lot list cleared upon change of acct) to deal with case of computing cost basis of same security successively in different accounts.
3) Security "Statistics" record no longer need be present for Benchmark security perf. to be computed during ROI by security reports.  The requisite record is now automatically added if missing.
4) Changes to security Id record options settings now flow through to position records if ITM pricing or option type changed.
5) Price History conversion tweak to deal with 9 character Cusips in Captools/win symbol field.  9/17
6) Missing security records now created upon transaction blotter transfer (since generic imports now longer handle, due to chg #6 in 9/11 update)
7) Reconciliation based initialization tweaked so accounts with inception date matching recon date get proper Diff values.
8) Use of "<i>" place holder for report header items now functions as intended.
9) Report chart tweaks to implement more control options over xy grid and pie chart labeling. 
10) Existing tax lot assignments are now always preserved when editing a closing transaction.   Automatic Tax lot assignment is only triggered if the tax lot field is "blank" (i.e. in the "initial" state) or has a "spc" assignment, in which case an appropriate lot number is assigned.

9/11
1) Batch position price entry now extends value when exit price field in any direction (not just tab out).
2) Implemented price data caching to speed valuation computations.
3) Generic import tweaks to ensure data from first field containing blanks is enquoted.  Also to allow conversion of numeric fields containing prefixes and suffixes.
4) TaxRate object now reset if user edits tax rate records.  This is so changes will be reflected next time tax calcs run.  Cross-deductibility computation also corrected.  9/12
5) More generic import tweaks w.r.t. import start / end tags.
6) Security records no longer created during generic transaction imports to avoid junk data due to possible use of incorrect templates
7) Problem computing valuations for fund accounting portfolios fixed.
8) Pos. by Lot report now includes short positions.
9) Custodian import unzipping modification to handle zipped files with Linux path notation embedded.

9/4
1) Computation of Interest on Balance now supported for non base currencies in "Foreign Cash Accounting" portfolios (Pro 4 level, use Security Distribution record to set rates).
2) Cost basis for foreign currencies now handles short positions.
3) Generic import routine bug in handling dates in 8/22 release fixed.
4) Feature to support use of Published ROI figures for indices implemented.
5) Transaction blotter manual input enhancements to pre-fill fields based on symbol entry.


8/30
1) Conversion from Captools/Win now does dates correctly even if non-US regional settings used on Server.
2) "REVERSE" option for "Misc Custom Specs" on Transaction report reverse signs on "Portfolio Cash Flow" field.  
3) Minimum Fee handling fixes for Mgmt Fee report.


8/27
1) Realized Gains% field added to realized gains report.
2) Security description field added to Income/Expenses report and carries down to subtotal line.
3) "Date Range" and related "Period Days", "Period Months" etc. fields on profit and ROI by security reports now reports from first cash flow to last cash flow for a given security or subtotal.
4) ROI by security for short position fixed so certain short conditions correctly computed for relevant security.  (Overall portfolio ROI was not affected by this problem).  Also special case of all period transactions occurring on last day of period now uses ratio ROI computation rather than convergence algorithm.
5) Valuation chart now picks up correct net additions/removals if chart starts after account inception date.
6) Valuation record "Margin Remaining" computation now supports multicurrency case.
7) Data conversion from CTwin now flags applicable position records as money funds to elim. need to recalc. posiitons.
8) Pie Chart Color assignment bugs from 8/15 release corrected.
9) Recon record import price lookup now handles multiple date imports.


8/22
1) Batch valuation now recalcs portfolio position rec. values if mkt price is changed.
2) Generic import now handles "." as a date separator e.g. as in 24.08.2007 date.
3) Remaining margin computation on Valuation and account records fixed to properly allow for short  positions. 8/23
4) Recon Price now does not allow stale price.
5) Prev. Position Pricing tweaked to preserve orig. position pricing if no previous position existed.


8/15
1) Realized Gains computation now correctly accounts for split transactions with nul value lot fields
2) "Hide Closed Positions" in reports now does not hide zero valued positions.
3) Report "Account Title" now can be specified via an Account Note field of the master account to override the standard account title for Family merged reports.   Similar capability for report footnotes supported via Account note records.
4) Import and Rpt memory leaks plugged (related to case of empty relev. SLFrec)
5) Period report with Hide or Consolidate close positions now runs.


8/3-8/8
1) String variable handling modified in many places to minimize heap based strings in preference to defined length stack based strings so as to minimize heap memory fragmentation that could be the result of heap based strings.  This is intended to more efficiently use memory.  A memory leak on import fixed. 
2) Report Div Rate and yield computations now again look at "Security Statistic" record values if div/int rates are not found in distribution records.  (restores pre-7/23 behavior).
3) Import computation of "Trade Fees" tweaked to properly deal with zero quantity transactions.
4) TAC Exclusions special option added to Realized Gains Rpt.
5) Report logo handling tweaked to prevent report PDF output size from increasing during multi-acct run.
6) Memo truncation problem in 8/7 release fixed in 8/8 release.

1) Long/Short accounting computation fixes for position records.
2) Report Periodicity now reset with each account group to accomodate different start dates for different account groups.
3) Manual entry in the position screen is now "protected" from being recomputed.
4) Problem with "Hide Closed Positions" 
5) Multicurrency cost basis and foreign cash acctg computations tweaked. 
6) "Manual Pricing" flag set for batch positions cumulated from position records with manual pricing (gets rid of spurious "pink" positions with zero prices).
7) More multi-currency cost basis calc modifs.  8/2
8) Fee Report modifications and enhancements.
9) Custodian import mods to help with getting thru large DST price files.

7/23
1) Valuation Changes report fixed.
2) More modifications for support of securities paying interest plus return of capital at irregular intervals.
3) "Cusip to Symbol" translation upon import tweaked for DST imports of annuities with 9 char. symbols.
4) Cost/unit added to Position view screen

7/16-18
1) Report mods to improve speed by reducing DB lookup frequency (primarily ADT, CDT, ATX and SDH records)
2) Various modification to better support securities paying interest plus return of capital at irregular intervals.
3) Unrealized gains reports "realized gains" field now computed at runtime rather than from Aux fields.

7/13
1) Generic "Server Import" can now use tab delimiter, indicated by the notation "#9" in the delimiter field.
2) Custodian imports now does not overwrite user specified client tax Ids.
3) Fix to 7/10 #2 which was causing dup position records due to parallel recalcs of valuations).

7/10
1) Import routine modifications to deal with Interactive Broker import issues.  These involved cusip vs symbol import issues.
2) When Valuation "Perturbed" checkbox set, valuation recalc now done by Tasker so control can return immediately to Desktop.
3) Fix to Custodian import error intro'd by prior version when more than one file imported.

7/3 & 7/9
1) Report Header spacing variable now applied to Group Headers as well as Label header.
2) Report Header Labels which wrap now can be right justified.
3) Model alloc. fields now properly populate when multiple successive accounts run.  Also allocation records dated after report end date are now used if no prior records are found for relevant investment style.
4) Changes to Security record option parameters and price parameters now ripples through account position records.
5) Period Holdings rpt calc for Tot Gains% improved to trap out of limits values.

6/28
1) Bar chart legend/labeling now supports same categories (e.g. %, value, legend, label) as Pie Chart.
2) "RCS" TAC code (Return of Capital, shares reduced) added to better support various fixed income with reduction of principle.
3) Batch Position sorting enhancements for Val% when grouped by Acct Detail.
4) DST downloader now saves User ID, Password and path preferences
5) Included/Excluded security types report options (see 6/25) now "Security Categories", which includes "Types", "Groups", "Class", "Style", "Region" and "Currency"


6/25
1) Certain computations done when manually updating price records now deferred to change of view so as to speed up manual data input.
2) Holdings and position related reports now permit specification of inclusion/exclusion of specific securities.
3) Holding reports with "Model" fields with synthetic securities to represent investment classes now works.
4) Batch position price input now refreshes and ripples down faster.
5) Dividend/interest rate lookup routines modified to use Sec. Record "Special" option of "Use SDH records".

6/18
1) "Acct Short Name" added as a batch position field.  
2) Fixed Income security interest & principle payments for complex bonds can now be specified in the "Distribution" Records.
3) "Lookahead" batch valuations now displayed and priceable with current prices.
4) Custodian Import enhancements specific to Ameritrade (Omaha) custodian interface (certain reinvestments)
5) Custodian import modifications in support of Raymond James interface
6) Schwab.idi updated to not automatically reinv. money funds.
7) Foliofn.idi update to take price date from within data file rather than filename date.
8) Quantity field in Portf. Trans and Trans. Blotter records can now be "blanked" w/o triggering an Amount recalc.  Entering "zero" still triggers amount recalc if the TAC allows a quantity.

6/8
1) "Hide cash" option now works correctly for merged accounts
2) Batch Valuation date bug from 6/4 release fixed.
3) Report header property restoration function tweak (affects reports where header is "massaged" for dates).
4) Allocation chart legend sorting based on description field.
5) Improved Cap/win conversion dialog for conversion of groups of portfolios after the account list is converted.
6) Valuation calc problem (list error) when foreign cash fixed.


6/4
1) Improvements/ fixes to report ROI charts.
2) Import tweaks to specialized "Ameritrade" (not TD Ameritrade) code.
3) Server Control Panel "Account Extract" function functionality reinstated. (inadvert. disabled in prior version)
4) Report graph color assignment modifications
5) Running std report with European decimal format now produce meaningful output (but still will require manual
editing of report to use European decimals (future revision eliminate this need).
6) Management fee report Gr. Total in "Fee%/Yr" field now properly computed.


5/23
1) Valuation downloads refined to no longer attempt to download distributions and financials.  These can be downloaded via scheduled downloads.
2) Custodian Import mods for Raymond James imports.

5/22
1) Dedup function tweaks.
2) F/C income report mod so income ends after fixed inc. maturity.

5/18
1) Data conversion dialog mods to change the activation of several buttons/check boxes.
2) TD Ameritrade account number fixup fixed.  New TD Ameritrade script file "TDAM07.idi.
3) Manually entered "Value" flag on Position view now can be cleared by entering blank in value field or price field
4) Manually entering blank on Position "Accrued" field also now blanks the "Local Accrued" field.  
5) Imported Recon records no longer get Recon "Xrate" field set to security's price factor.  
6) Internal procedure to determine Div/Int rate now assumes "Maturity Price" set to 100 is a bond type security (Previously used "Maturity Date").
7) Sub Account related reporting field lookup changed to deal with possibility of incomplete converted subaccount records.  
8) Period report cash flow gathering algorithm now makes fewer DB calls.


5/15
1) Trans. Blotter view now shows Acct "Short Name" in lieu of B/D acct#, if B/D Acct# same as CTnet Acct#.
2) Modification to generic import procedure to correctly handle quoted fields.
3) Dialog for data conversion from CT/Win now provides option for users who never filled/incorrectly used TaxID field in CT/Win.
4) Price conversion from CT/win now deals with case of multiple price files for same symbol.
5) Yield to Maturity & duration computations now done for applicable reports.
6) User changes to account and security records now trigger reset of "Relevant records" (mem-res. copies used internally for speed) so changes reflected
in subseq. computations.  Resolves "foreign security" coloring issue.

5/11
1) Modifications to data conversion and import routines to ensure apostrophes and blanks purged from key fields.
2) Portfolio Security "Description" field option added to Pro 4 holdings report.
3) Tweak to recalc of position records with manual valuations to correct 5/4 bug.

5/4
1) Changes made to prevent manually applied values from getting recomputed.
2) Forecast Income report, added "Rate%" field for coupon rates on Fixed income.  Also tweaked
algo. to prevent dropping of end of month payments and to provide wtd avg subtotals on rate fields.
3) Report Pie chart graphs "Legend Alignment" property now give option of "Value" or "Alpha" 
ordering of chart items.
4) Custodian Recon Import tweak to lookup pricefactor before computing implicit price in recon records.



5/1
1) More fee reporting tweaks for allocating min fee and specifying debit acct in Subtot. field
2) Uninit List (holiday list) that potentially could cause rpt problems removed
3) Add'l log messages added to data conversion from Captools/win
4) Array range error in procedure moving Temp Records to DB (used in conversions and import) fixed
5) Two new TAC codes added (BFC, SFC) for buying and selling foreign currency

4/26
1)  Fee report treatment of min fee in merged layered reports with large min fee corrected.
2)  Additional Periodicity notation added (e.g. "1Qx12" means do 12 periods of 3 months each)
3)  Reporting lookup of Div Int rate tweaked to deal with stale distrib. history records.
4)  Problem with transaction reports when no data was fixed (recursive issue)
5)  Custodian import of distribution records now does not bring in extraneous records as was case with pershing.


4/20
1) Growth chart vs index bug fixed.
2) Cash balance field now computes correctly for foreign security transaction.  
3) Custodian Import tweak for money funds with zero qty to ensure correct amount sign for Buy transaction (needed for Soloman Smith Barney)
4) Index roi annualization now consistent with report's AIMR option setting.
5) Fixed decimal option activated for float type report fields.
6) Security list "Special" field modified to add "Use SDH Rates" item.  This item allows user to use the security distrib. records "Amt/shr" field to specify
a performance rate for a security.  This can be used to use a published performance for an index where the index pricing does not include dividends.
7) Trade record sort/subtotal toggle functionality now includes subtotal by security class, group, style and currency.
8) Users creation or edit of security record now creates equivalent "statistics" record if one does not exist.  Perfoming "compute" on security Id record "symbol" field also does this.
9) Data conversion utility now warns if file attempted to be converted is encrypted or PW protected.


4/13
1)  Closed/inactive accounts now suppressed from valuations/batch valuations
2)  ROI computation constants tweaked to reduce possibilities of non-convergence for short period negative ROI's.  Also incr. precision
3)  more work on custodian import of with null tax id. 

4/11
1) Custodian import tweaks to prevent overwrite of User specified client identifier.
2) Income reports now properly reports tax withheld, commis. & fees.
3) Account related fields now show as report subtotals as long as group does not span more than one account.
4) Manually entered pricing now "sticks" in position records (problem inadvert. created in 3/5 version)
5) Several fee report tweaks (for Fixed fee and for Ending Adjusted method).

4/5-9
1) Updating of Position records due to Transaction changes no longer triggers price downloads.
2) Scottrade import script tweaks for transfers.
3)  Cleanup of TDAmeritrade (WIS) transaction descriptions (remove "|")

1)  Security record imports now set "Approval Status" flag to "false" as default setting instead of "true" as previously.  This is to
facilitate clean up of unused security records.
2)  Max size limits imposed on charts located after report body.  Chart exceeding size will be made non visible.
3) Fix to Fee report bug for Merge/no layer case 

4/2/07
1) Fix to bug on automatic Amount / Qty Sign assignment for manual data entry with zero quantity (e.g. DPF/WDF)
2) Report Charting tweaks to suppress output of charts that will not fix page vertically and to move "after table"
charts to next page when not enough room at bottom of page.
3) Custodian import bug in 3/30 release fixed.

3/30
1)  Report Chart rendering tweaks to get better resolution.
2)  Report column headers and total footers width sized to horiz. width of fields in lieu of page width.
3)  Report "User Text" field positioning tweaks.
4)  Report header/footer memo fields now can wrap w/o hard end of line
5)  Batch Position now subtotaled on Position field if symbol group.



3/23
1) Dedup function prev. disabled for a number of record types re-enabled.
2) Fee Record display re-enabled.  
3) Account import exclusion option added  (contact for operation details).
4) Routine for import from zip files modified to better support multiple file import (e.g. from DST)
5) Fix to DST security description lookup function 
6) Fee report start date now uses first trans. date for new accounts.
7) Report Allocation chart enhancements (default legend and model portf.)
8) Allocation Driven Trades can now be run vs. Reconciliation records in lieu of position records.
9) Tweak to client record imports to prevent overwrite of manual changes to addresses by imports


3/19/07
1) Income/Expense report now has holding category exclusion option.
2) Security download of descriptions no longer overwrites manually entered descriptions.
3) Scottrade import scripts modifications 


3/15/07
1) Batch position manual entry of pricing now extends value on screen and clears "missing price" color.
2) Fixes to report right header and footer fields to obtain correct field width.
3) Price rate retrieval for currencies fixed so not treated as mmf.
4) Axys Data conversion modifications.


3/9/07
1) Batch position refresh suppressed after price input for speed reasons.
2) "Strategy" field description lookup added to "Types" table "Category option. This allows strategy descriptions to be used in reporting.
3) Batch "Apply" prices filter bug fixed.
4) Certain "compute" functions (Account price "fixups", and Security List record) delegated to tasker to free up Desktop program
5) Dedup function tweaks., including Trans Blotter dedup now excludes "TradeId" field.
6) Batch Valuations option (see 2/24) reinstated.
7) Security records can now be deleted direct from Captools/net Desktop provided "Approval Status"
is unchecked and security is not used in portfolios.

3/5/07
1) Fixes to batch valuation options implementation (see 2/24 below) some of which caused "hang" condition
2) Fixes to CTwin data conversion handling of account limits imposed in prior releases
3) Market Holiday routine modified for Monday holidays
4) DST import implements description lookup from Cusip.csv file (user must obtain from DST).
5) Report subtotalling modifications to better handle weighted average type fields.
6) More efficient "Applyprices" function in Batch valuations (uses less memory, fetches less data)
7) Manual data entry on position view adds price history record if none already exists
8) Fix of bug in computation of cash accrual (was problem only if cash accrual selected and all valuations perturbed)
9) Fix handled exception bug in security lookup when portfolio pricing entered manually (may have also been for other events).
10) Batch valuation now properly implements user selection to "dont compute taxes" when running manual batch valuation.
11) Missing prices Data "Fixup" functions at account level added for RCV/DLV transactions and position records
12) Generic import into tran. blotter restored  (Logging was causing failure).

2/24

1)  Batch valuations now contain user options to more precisely specify dates requested for temporary batch view.
2)  Reconcilation import post import code modified to avoid importing multiple dates.


2/21/07
1) MMF Sweep symbol identification routine incorporated into Schwab B/D initialization import.
2) Custodian import bug due to attempting to convert Cusips to numbers is now fixed (this affected automatic imports)

2/19/07
1) Suppressed Short Name field from Reconcile and Trans Blotter fields due to impact on refresh time. Will add another method to show this info. later.

2/15/07
1) B/D import mods to handle Fidelity unsettled cash import into reconciliation view.
2) Additional checking for null values for float/Currency fields prior to using value.


2/14/07
1)  Dedup of transaction records now triggers value recalc.
2)  RCV transactions now close short transactions
3)  Manual zero entry in batch position now no longer indicated as missing price.
4)  Gains, Gains% and Value% fields now on individual portfolio Position view.
5)  Fee Rate record "Fee Layering" field options chg.  such that multiple accts in portfolio are assumed to use merge method unless "unmerged" explicitly selected.
6) "Unmerged" Fee reporting now properly computed.
7)  Income report Holdings Categ. labels now correctly filled.
8) Report Charting defaults tweaked for better appearance.
9) Correction to Client record import code to prevent dups of client address.


2/9/07
1)  Merged Portfolio perf. report now computes correct ending values for all periods.
2)  Pro 1 now shows correct import interfaces.
3)  Data conversion for all files (#1 in 2/2 release) now converts portfolio records 


2/5/07
1)  Transaction blotter and reconciliation records now show short account name.
2)  Modifications to Trans. Blotter horiz. recalc. and also "Calc" function on TAC field re-sets qty & amt signs in record to default

2/2/07
1) Data conversion enhancements (all CTwin files at once option)
2) Custodain Import with date from filename (e.g. Schwab RPS files) now handles 4 digit year.
3) Birthday date format in Client Info report changed to "MM/DD"
4) Value graph line selection option now enabled.
5) Position Record view display bug fixed.
6) Account Record view now shows "Family" and "Client Group" fields.

1/29/07
1) Transaction "Quantity x Price = Amount" recomputation suppressed unless a non-Cashticker symbol is in place for the transaction
2) Generic Import modification to recognize and extend amount for money market fund transactions.

1/24/07
1) Generic import now imports symbols in upper case consistent with rest of program.
2) Apostrophes and other punctuation in security descriptions now dont cause problems with Blotter transfer or deduplication
3) Deduplication function fixes.


1/22/07
1) Generic Server Import routine now initializes certain float fields (Xrate and PriceFactor) to 1.0 instead of zero.  Also more powerful TAC translations.
2) Batch Position screen now has "by Symbol" option.  An "By Group", "By Class" etc. options now operative.
3) Est. Tax computation tweaks for CGR & CGD transactions
4) Underscore removed from import/conversion of "Salutation" field.
5) Trans. Hist report implementation of TAC code filtering fixed.
6) Income report grouping by hold period (more tweaks for compat with. CTwin descriptions)
7) Report "*Y" notation for "Year to Date" periodicity now operative.
8) Transaction record amount/quantity recalc now not triggered upon change of symbol or Tac code
9) Custodian importing of encrypted Zip files activated.
10) Portfolio Transaction record symbol field now pre-filled with "Cash Ticker" ("(CASH)") for transaction codes previously allowing blank symbol field.  A blank
symbol field is still technically allowed by the DB, but is undesireable.


1/15/07
1) Hold period field in Income report now a string field so can be grouped.  Description for Hold Period may now be spec'd in Type records.
2) Underscores in non-prime fields now no longer replacing blanks upon data conversion or imports.  Reimporting or converting will clear up existing records.
3) Period type reports now properly include symbols which were closed out during the period.
4) DST imports now do security description and type lookup in "cusip.csv" file provided by DST.  

1/09/07
1) Fix to date handling for Advanced Fee method in Billing report.
2) Consolidation of reinvestment transactions fixed to properly handle case of where buy transaction sequentially preceeds and is separated
from corresponding Dividend or Cap Gains Distrib transaction as is case with Fidelity.
3) Triggering of Share/Cash Balance and position transactions for SCP specified methods #3 & #4 so that computations of these values now
occur on tab switch.
4) Income/Exp. report "Holdings Category" field now populated from Tax Rate records for Cap. Gains Transactions.

1/04/07
1) RCV transactions now properly handled for "Profit" type of report.
2) Custodian Import of Account Address fixup.
3) Share and Cash Balance computation trigger restored on transfer of Trans. Blotter.

1) Valuation Pricing from Recon records now works if the valuation date is on a weekend/holiday and recon date is last prior market date.
2) Batch Position record price field rounding now uses "prices" rounding precision.

12/29
1) Position updating error occuring on editting of transaction symbol resolved.


12/26
1) Transaction reporting of transactions w/o symbols (e.g. WDF and DPF) restored.
2) Batch Position price retrieval functionality restored from prior release.  Refresh button also added.
3) Trans. Blotter import bug introduced in 12/13 or 12/20 fixed.
4) Transaction Posting error resulting from edit of transaction symbol resolved.

12/20
1) Batch valuation view screen formation improvements. 
2) B/D Reconciliation and Trans. Blotter import speed improvements.
3) Fix to CTnet Desktop date entry validation bug that could occur for inserted record.
4) Report group header descriptions restored (disabled in prior release).
5) Fixed income report functionality restored (disabled in prior release).
6) Client Info. type cross-reference report improvements and fixups.
7) Trans. Blotter import to suppress error occurance if no sec. record found for symbol in security list.

12/13
1) Transaction blotter transfer now does not trigger a position record recalc., but only perturbs the position records.  These are recomputed in other operations.

12/10
1)  Fix to bug occurring when running multiple accounts against a "rotated" report (such as performance report).  (LblList free error fixed)
2)  Server Import ("Generic" import) now does transaction description lookup from security list if the description field is blank.

12/6
1) Fix to bug in conversion from Captool/win that prevented conversion of portfolios with paired DLV/RCV transactions.
2) Automatic assignment of tax lots to closing transactions disabled temporarily to resolve data conflict.
3) B/D import of Client and Account records now will not overwrite certain manually edited data fields. Manually edited fields are displayed with a lighter background.
4) Saluatation field now made available for client memo report.


12/5
1) Transfer From Blotter recalc of Trans cash and Share balances reenabled (disabled in 11/13 release)
2) Other improvement to Transfer from Blotter process to eliminate redundant perturbation of position records.

12/1
1) "Duplicate" record function enabled for Fee, Allocation, Tax rate, and interest rate records.
2) Security Record B/D import fixes to deal with null symbol values or non existent SLC records
3) Tax lot assignment fix (ADT_DefaultTaxLot field added to Relevant ADT record lookup)

11/28
1)  Income by Category report now runs w/o slf_SecCurrency "field not found" error.

11/22
1) Money market fund symbol detection function made more efficient for faster valuation computations.
2) Cost basis computations efficiency improvements including suppressing tax computations when "No Tax Computations" and "Tax Deferred" options checked.
3) B/D import modif. to support multiple instances of same type of data group within a single data file (for Interactive Brokers)
4) Automatic assignment of closing lot method suppressed to improve computational speed. (will re-activate in future release with improved algo).
5) Desktop Tax lot function function fixes to assign lifo/fifo in correct order.  

11/17
1)  Multicurrency fields now visible on Batch Position view when multicurrency is a licensed feature.
2)  Temp. code in valuation routines to clean up underscores placed in blank transaction and position AcctId, Cash/Mrgn and Strategy fields in an 
earlier version (that most users did not get).  Requires recalc of valuations to clear these back to blank, but only necessary if you see "_" underscore in these fields.
3) Modif. to B/D import script handling to allow specification of decimal place in delimited data, and to permit specification of decimal character, i.e. "." or Euro "," in import script.
4) Custodian import file "Preview" function now works for compressed files.
5) Tasker logging for Desktop initiated "calc" functions now works properly.
6) Desktop Position view loads more quickly due to improvements in Server side data filling routines.


11/14
1) Fix to 11/13 release for IsMMF (is money market) routine which could not handle blank symbols. This prevented B/D transaction imports which now work again.
2) Fix to valuation plot, to remove spikes due to double counting at 1 yr intervals since 10/4 release.
3) Fix to tasker download error generated when symbol had no prior history.

11/13
1) Trans. Blotter transfer now no longer triggers downstream valuation recalc when done in 
conjunction with a batch valuation process.
2) Account and Security records custodian import methodology change (direct import to record  rather than to temp record) to speed up imports and provide field by field control of import of those record types.
3) Tweaks to the Server Import function.

11/8
1) Dedup function bug fixed and enhanced for better speed.  Frozen records will not be deduped from desktop.
2)   Record fetch function fixed to remove possibility of trying to fetch more than one instance of a field, or of trying to fetch an invalid field.  (related to dedup fix above)
3)  Text fields in reports now can be "subtotaled" to facilitate reports with detail hidden.


11/2
1) Fix to B/D import bug in rel. 10/30 which affected importing of dates for some interfaces/record types.
2) New "Consolidate Split Trades" function added to "Tool" menu.  This consolidates trades in portfolio which data records were delivered in split form by custodian.


10/30
1) Miscellaneous code changes to improve valuation computation speed.
2) Position by Lot with account ID active fixed.
3) B/D Import of dates with secondary date format specified in IDI script now works.
4) Tranaction Rollback function now much more efficient.
5) Pie chart graphics provide more 3d effect.  
6) Portfolio ROI reports now better adjust periods for non-month ending valuation dates.
7) Portfolio ROI reports now run significantly faster due to bypassing unnecessary computations.
8) "Import From Server" now extends "Local Amount" field value to "Amount" field if latter is not in import template.
9) Dedup function for Portfolio Transactions and Trans. Blotter reactivated.  

10/25
1) Bug in batch valuation view in 10/23 release is fixed.  
2) Fixed income report tweak for principal field for zero maturity priced instruments.
3) B/D import trade consolidateion (see 10/23 release below) now uses a 0.5% price threshhold and recomputes average price.
4) B/D transaction import now uses security record description for transaction if no description provided by custodian.

10/23
1) Fix to transaction and transction blotter imports where subsequently edited records were not recomputing amt properly.
2) B/D import consolidation of trades now consolidates same date trades executed at a price within 0.1% of each other.
3) Fix to 10/19 release Reporting which may have caused reports with charts to hang.

10/18
1) Bug preventing B/D import of Client/Account records intro'd in 10/4 release now fixed.
2) Report speedup by making code involving security exclusions more efficient.

1) Record dedup tweaks to exclude fields which are not used at prog. license level from dedup unique fields.

10/17
1) Report charts modifications so that chart sizing params properly retained and applied.
2) Optional Accrual of Cash and Cash Equivalents added for level 3 and higher.


10/13
1) Fix to resolve failure to transfer trans. blotter if there is an "orphan" position records.
2) Unzip routine used for B/D data import now uses memory unzip method (needed to allow DAZL import).
3) Download of prices to position records now "waits" for data to save need for 2nd mouse click.

10/12
1) Transfer Agent field added to Position and Position by Lot reports (Pro3/higher).  Data fetched from Security Note record of type "Transfer Agent".
2) Generic import list out of range bug fixed.
3) B/D import with file-rename to include date (e.g. Fidelity) now works.
4) Report "non-body" dates now support "Alpha" month date formats (e.g. 12-Oct-2006)


10/10/06
1) Yahoo d/l script tweak for descriptions downloads.
2) Market indices descriptions now pulled into reports.

10/9/06
1) Generic import comma delimited method inadvertently disabled in 9/28 release, reenabled.
2) Filter by Account Code option added to reports special options.  This allows exclusion of particular accounts in merged reports.
3) Account record "Report Consolidate" control removed (hidden) since it is not used.  Consolidated reports can be achieved using report merging functions.
4) Valuation bug in computing transactions with blank or null symbols (e.g. DPF's and WDF's), introduced in 10/4 release, now fixed.
5) Valuation process now purges "orphan" positions records which do not have valuation record parents.
7) "Chart Only" reports added (need some refining still).
8) Report "Special Options" settings reorganized into more logical order, and help documentation for same updated.

10/4/06
1) Fee report "Avg" method modified to work for every day valuation case.
2) Account and Client record imports from custodian now preserve prior manually edited values for certain fields.
3) Captool/win data conversion fixed so that converted client/account record data is saved in preference to existing data in cases where data is converted multiple times.
4) Captool/win data conversion bug fixed (where non-option securities were assigned non-zero value in "Option Type" field.  This is corrected and additional 
code implemented to deal with already converted data).
5) Valuation computations modified to better deal with very large data sets and to now properly handle recomputation on transaction changes.
6) Tax lot assignment function which was inadvertently disabled in prior version, now re-enabled.

9/28/06
1) Generic import: Post import processing to compute price and fix price factor compution.   Default account number now recognized for Trans. imports.
2) Valuations: Improved checking for "orphan" position record clean up.  
3) Suppression of inadvertant tax computations during valuations when this option not selected.
4) Several objects used during valuations computations now properly freed.  More Sleep statements added to better allow yielding to other processes.
5) Misc. minor reporting computation improvements primarily for speed.



9/22/06
1)  Vs. Model reporting field computations now operate.
2)  Routine to handle data updates after deletion of portfolio transaction records modified to better ensure that all updates occur.
3)  Subtotal Descriptions now do not include the subtotal key field value unless there is no description.  It is incumbent upon users to ensure that descriptions are unique for each subtotal key.  


9/19/06
1) Data conversion (from Captool/win) fixes req'd due to changes in prior release.
2) Transaction exchange rate retrieval fix.


09/08/2006
1.) Misc. fixes
2.) Non-US date format implementation
3.) Shared reports concept
4.) Custodian Imports preview feature